#include "praseapi.h"

/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC0
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC0;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC0(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC0(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC1
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC1;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC1(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC1(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC2
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC2;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC2(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC2(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC3
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC3;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC3(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC3(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC4
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC4;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC4(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC4(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC5
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC5;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC5(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC5(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC6
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC6;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC6(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC6(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC7
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC7;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC7(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC7(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC8
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC8;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC8(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC8(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeC9
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC9;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeC9(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeC9(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeCA
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCA;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeCA(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeCA(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeCB
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCB;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeCB(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeCB(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeCC
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCC;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeCC(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeCC(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeCD
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCD;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeCD(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeCD(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeCE
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCE;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeCE(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeCE(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeCF
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCF;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeCF(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeCF(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeD0
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameD0;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeD0(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeD0(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeD1
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameD1;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeD1(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeD1(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981C_api_Uav981CFlightDataJNI
 * Method:    decodeD2
 * Signature: ([B)Lcom/htfp/jni/uav981C/bean/Uav981CFlightDataFrameD2;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981C_api_Uav981CFlightDataJNI_decodeD2(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981C::DecodeD2(env, Parse);
}
