package com.htfp.jni.tests;

import com.htfp.jni.uav981C.api.Uav981CFlightDataApi;
import com.htfp.jni.uav981C.bean.Uav981CFlightDataFrameC2;


/**
 * 测试类，供windows开发环境下测试使用。
 *
 * @author Dong Jw
 * @creatTime 2024-01-03 10:59
 */
public class Uav981CFlightDataTest {

    public static void main(String[] args) {

        System.loadLibrary("resources/libDecode981C");


        String data = "EB 90 C2 F6 C9 12 4C 07 40 F0 4F 90 16 C5 48 FD 4A 8F 13 00 00 00 00 00 00 00 00 00 00 00 E7 F5";
        byte[] byteArray = StringUtil.hex2Byte(data);

        Uav981CFlightDataFrameC2 frame = (Uav981CFlightDataFrameC2) Uav981CFlightDataApi.getInstance().decode(byteArray);


        System.out.println(frame);

    }
}
