package com.htfp.jni.uav981A.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-06 14:13
 */
public class Uav981AFlightDataFrameA8 extends Uav981AFlightDataFrame  {
    private int DataA8FrameCount; //帧计数
    private int DataA8OEM718DLon; //北斗卫星导航经度
    private int DataA8OEM718DLat; //北斗卫星导航纬度
    private int DataA8OEM718DAlt; //北斗卫星导航高度
    private int DataA8SubFrameID; //子帧编号
    private int DataA8sub0OEM718DWeek; //GPS周
    private long DataA8sub0OEM718DSecInWeek; //GPS周内秒
    private int DataA8sub0OEM718DLocStatus; //定位状态
    private short DataA8sub0OEM718DSatNum; //卫星星数
    private int DataA8sub0OEM718DPDOP; //PDOP
    private int DataA8sub0OEM718DPostureStatus; //测姿类型
    private int DataA8sub0OEM718DHeadDeviation; //航向角偏移
    private short DataA8sub0OEM718DDiffCnt; //差分讯龄
    private int DataA8sub1OEM718DHGndSpeed; //北斗导航地速
    private int DataA8sub1OEM718DGrndSpedDir; //地速方向
    private int DataA8sub1OEM718DVerSped; //天向速度
    private int DataA8sub1OEM718DNorSped; //北向速度
    private int DataA8sub1OEM718DEastSped; //东向速度
    private int DataA8sub1OEM718DDiffPacNum; //差分包数
    private int DataA8sub2OEM718DBaseLineLen; //已知基线长度
    private int DataA8sub2OEM718DHeading; //测姿航向角
    private int DataA8sub2OEM718DPitch; //测姿俯仰角
    private int DataA8sub2OEM718DLatMSE; //纬度标准差
    private int DataA8sub2OEM718DLonMSE; //经度标准差
    private int DataA8sub2OEM718DHDOP; //HDOP
    private int DataA8sub2OEM718DVDOP; //VDOP

    public int getDataA8FrameCount() {
        return DataA8FrameCount;
    }

    public int getDataA8OEM718DLon() {
        return DataA8OEM718DLon;
    }

    public int getDataA8OEM718DLat() {
        return DataA8OEM718DLat;
    }

    public int getDataA8OEM718DAlt() {
        return DataA8OEM718DAlt;
    }

    public int getDataA8SubFrameID() {
        return DataA8SubFrameID;
    }

    public int getDataA8sub0OEM718DWeek() {
        return DataA8sub0OEM718DWeek;
    }

    public long getDataA8sub0OEM718DSecInWeek() {
        return DataA8sub0OEM718DSecInWeek;
    }

    public int getDataA8sub0OEM718DLocStatus() {
        return DataA8sub0OEM718DLocStatus;
    }

    public short getDataA8sub0OEM718DSatNum() {
        return DataA8sub0OEM718DSatNum;
    }

    public int getDataA8sub0OEM718DPDOP() {
        return DataA8sub0OEM718DPDOP;
    }

    public int getDataA8sub0OEM718DPostureStatus() {
        return DataA8sub0OEM718DPostureStatus;
    }

    public int getDataA8sub0OEM718DHeadDeviation() {
        return DataA8sub0OEM718DHeadDeviation;
    }

    public short getDataA8sub0OEM718DDiffCnt() {
        return DataA8sub0OEM718DDiffCnt;
    }

    public int getDataA8sub1OEM718DHGndSpeed() {
        return DataA8sub1OEM718DHGndSpeed;
    }

    public int getDataA8sub1OEM718DGrndSpedDir() {
        return DataA8sub1OEM718DGrndSpedDir;
    }

    public int getDataA8sub1OEM718DVerSped() {
        return DataA8sub1OEM718DVerSped;
    }

    public int getDataA8sub1OEM718DNorSped() {
        return DataA8sub1OEM718DNorSped;
    }

    public int getDataA8sub1OEM718DEastSped() {
        return DataA8sub1OEM718DEastSped;
    }

    public int getDataA8sub1OEM718DDiffPacNum() {
        return DataA8sub1OEM718DDiffPacNum;
    }

    public int getDataA8sub2OEM718DBaseLineLen() {
        return DataA8sub2OEM718DBaseLineLen;
    }

    public int getDataA8sub2OEM718DHeading() {
        return DataA8sub2OEM718DHeading;
    }

    public int getDataA8sub2OEM718DPitch() {
        return DataA8sub2OEM718DPitch;
    }

    public int getDataA8sub2OEM718DLatMSE() {
        return DataA8sub2OEM718DLatMSE;
    }

    public int getDataA8sub2OEM718DLonMSE() {
        return DataA8sub2OEM718DLonMSE;
    }

    public int getDataA8sub2OEM718DHDOP() {
        return DataA8sub2OEM718DHDOP;
    }

    public int getDataA8sub2OEM718DVDOP() {
        return DataA8sub2OEM718DVDOP;
    }
}
