package com.htfp.jni.uav981A.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-06 14:27
 */
public class Uav981AFlightDataFrameAC extends Uav981AFlightDataFrame  {
    private int DataACFrameCount; //帧计数
    private int DataACsubFrameID; //子帧编号
    private int DataACsub0FlyCtrolTime; //飞控运行时间
    private int DataACsub0MaxRunTimeOnce; //单次最大运行时间
    private int DataACsub0CPUResetSource; //CPU复位源
    private int DataACsub0TelContrlUnuseTime; //遥控失灵时间
    private int DataACsub0FlyTime; //飞行时间
    private long DataACsub0FlyMileage; //飞行里程
    private int DataACsub0TotalFlyNum; //总飞行架次
    private long DataACsub0AllFlyTime; //总飞行时间
    private long DataACsub0TotalFlyMileage; //总飞行里程
    private int DataACsub1PodState; // 0x11=锁定模式 0x12=跟随模式 0x13=俯拍模式 0x16=凝视模式 0x17=自动跟踪模式
    private int DataACsub1PodWork; //相机状态标志
    private short DataACsub1XMissDistance; // X方向脱靶量
    private short DataACsub1YMissDistance; // X方向脱靶量
    private float DataACsub1PodRoll; // 滚转角
    private float DataACsub1PodPitch; //俯仰角
    private float DataACsub1PodYaw; //航向角
    private float DataACsub1XAngularVelocity; //X轴角速度
    private float DataACsub1YAngularVelocity; //Y轴角速度
    private float DataACsub1ZAngularVelocity; //Z轴角速
    private float DataACsub1ZoomCameraMagnification; //变焦相机倍率
    private float DataACsub1ThermalImagingMagnification; //热成像相机倍率
    private float DataACsub2TargetDistance; // 目标距离
    private double DataACsub2TargetLongitude; //目标经度
    private double DataACsub2TargetLatitude; //目标纬度
    private float DataACsub2TargetAltitude; //目标高度

    public int getDataACFrameCount() {
        return DataACFrameCount;
    }

    public int getDataACsubFrameID() {
        return DataACsubFrameID;
    }

    public int getDataACsub0FlyCtrolTime() {
        return DataACsub0FlyCtrolTime;
    }

    public int getDataACsub0MaxRunTimeOnce() {
        return DataACsub0MaxRunTimeOnce;
    }

    public int getDataACsub0CPUResetSource() {
        return DataACsub0CPUResetSource;
    }

    public int getDataACsub0TelContrlUnuseTime() {
        return DataACsub0TelContrlUnuseTime;
    }

    public int getDataACsub0FlyTime() {
        return DataACsub0FlyTime;
    }

    public long getDataACsub0FlyMileage() {
        return DataACsub0FlyMileage;
    }

    public int getDataACsub0TotalFlyNum() {
        return DataACsub0TotalFlyNum;
    }

    public long getDataACsub0AllFlyTime() {
        return DataACsub0AllFlyTime;
    }

    public long getDataACsub0TotalFlyMileage() {
        return DataACsub0TotalFlyMileage;
    }

    public int getDataACsub1PodState() {
        return DataACsub1PodState;
    }

    public int getDataACsub1PodWork() {
        return DataACsub1PodWork;
    }

    public short getDataACsub1XMissDistance() {
        return DataACsub1XMissDistance;
    }

    public short getDataACsub1YMissDistance() {
        return DataACsub1YMissDistance;
    }

    public float getDataACsub1PodRoll() {
        return DataACsub1PodRoll;
    }

    public float getDataACsub1PodPitch() {
        return DataACsub1PodPitch;
    }

    public float getDataACsub1PodYaw() {
        return DataACsub1PodYaw;
    }

    public float getDataACsub1XAngularVelocity() {
        return DataACsub1XAngularVelocity;
    }

    public float getDataACsub1YAngularVelocity() {
        return DataACsub1YAngularVelocity;
    }

    public float getDataACsub1ZAngularVelocity() {
        return DataACsub1ZAngularVelocity;
    }

    public float getDataACsub1ZoomCameraMagnification() {
        return DataACsub1ZoomCameraMagnification;
    }

    public float getDataACsub1ThermalImagingMagnification() {
        return DataACsub1ThermalImagingMagnification;
    }

    public float getDataACsub2TargetDistance() {
        return DataACsub2TargetDistance;
    }

    public double getDataACsub2TargetLongitude() {
        return DataACsub2TargetLongitude;
    }

    public double getDataACsub2TargetLatitude() {
        return DataACsub2TargetLatitude;
    }

    public float getDataACsub2TargetAltitude() {
        return DataACsub2TargetAltitude;
    }
}
