package com.htfp.jni.uav981C.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameC6 extends Uav981CFlightDataFrame {
    private int DataC6flyID;    //飞机ID
    private int DataC6FrameCount;    //帧计数
    private float DataC6HeightGiven;    //高度给定
    private float DataC6AirSpeedGiven;    //空速给定
    private float DataC6VerSpeedGiven;    //垂向速度给定
    private short DataC6FengMenGiven;    //风门给定
    private int DataC6subFrameID;    //子帧编号
    private short DataC6sub0PitchAdjust;    //俯仰遥调
    private short DataC6sub0RollAdjust;    //滚转遥调
    private short DataC6sub0DistanceForFLyAdjust;    //待飞距遥调
    private short DataC6sub0SlideDisAdjust;    //侧偏距遥调
    private short DataC6sub0AirSpeedAdjust;    //空速遥调
    private short DataC6sub0LandAirSpeedAdjust;    //着陆空速遥调
    private float DataC6sub0AngleDeepDownAdjust;    //深下滑角遥调
    private int DataC6sub1SumThrottleGiven;    //总风门给定
    private int DataC6sub1DefaultThrottleGiven;    //默认风门给定
    private byte DataC6sub1AirSpeedCloseLoopProdFMGiven;    //空速闭环产生风门给定
    private float DataC6sub1AirSpeedCloseLoopGasI;    //空速闭环油门积分
    private float DataC6sub1SumPitchGiven;    //总俯仰给定
    private float DataC6sub1DefaultPitchGiven;    //默认俯仰给定
    private float DataC6sub1HeightCloseLoopPitchGiven;    //高度闭环俯仰给定
    private float DataC6sub1AirSpeedCloseLoopPitchGiven;    //空速闭环俯仰给定
    private float DataC6sub1AirSpeedCloseLoopPitchI;    //空速闭环俯仰积分
    private float DataC6sub1PitchBalencedValue;    //俯仰配平量
    private float DataC6sub1SumRolLGiven;    //总滚转给定
    private float DataC6sub1CircleRollGiven;    //盘旋滚转给定
    private float DataC6sub1RolLAngleI;    //滚转角积分
    private float DataC6sub1SlideI;    //侧偏积分
    private float DataC6sub1HeightI;    //高度积分

    public int getDataC6flyID() {
        return DataC6flyID;
    }

    public int getDataC6FrameCount() {
        return DataC6FrameCount;
    }

    public float getDataC6HeightGiven() {
        return DataC6HeightGiven;
    }

    public float getDataC6AirSpeedGiven() {
        return DataC6AirSpeedGiven;
    }

    public float getDataC6VerSpeedGiven() {
        return DataC6VerSpeedGiven;
    }

    public short getDataC6FengMenGiven() {
        return DataC6FengMenGiven;
    }

    public int getDataC6subFrameID() {
        return DataC6subFrameID;
    }

    public short getDataC6sub0PitchAdjust() {
        return DataC6sub0PitchAdjust;
    }

    public short getDataC6sub0RollAdjust() {
        return DataC6sub0RollAdjust;
    }

    public short getDataC6sub0DistanceForFLyAdjust() {
        return DataC6sub0DistanceForFLyAdjust;
    }

    public short getDataC6sub0SlideDisAdjust() {
        return DataC6sub0SlideDisAdjust;
    }

    public short getDataC6sub0AirSpeedAdjust() {
        return DataC6sub0AirSpeedAdjust;
    }

    public short getDataC6sub0LandAirSpeedAdjust() {
        return DataC6sub0LandAirSpeedAdjust;
    }

    public float getDataC6sub0AngleDeepDownAdjust() {
        return DataC6sub0AngleDeepDownAdjust;
    }

    public int getDataC6sub1SumThrottleGiven() {
        return DataC6sub1SumThrottleGiven;
    }

    public int getDataC6sub1DefaultThrottleGiven() {
        return DataC6sub1DefaultThrottleGiven;
    }

    public byte getDataC6sub1AirSpeedCloseLoopProdFMGiven() {
        return DataC6sub1AirSpeedCloseLoopProdFMGiven;
    }

    public float getDataC6sub1AirSpeedCloseLoopGasI() {
        return DataC6sub1AirSpeedCloseLoopGasI;
    }

    public float getDataC6sub1SumPitchGiven() {
        return DataC6sub1SumPitchGiven;
    }

    public float getDataC6sub1DefaultPitchGiven() {
        return DataC6sub1DefaultPitchGiven;
    }

    public float getDataC6sub1HeightCloseLoopPitchGiven() {
        return DataC6sub1HeightCloseLoopPitchGiven;
    }

    public float getDataC6sub1AirSpeedCloseLoopPitchGiven() {
        return DataC6sub1AirSpeedCloseLoopPitchGiven;
    }

    public float getDataC6sub1AirSpeedCloseLoopPitchI() {
        return DataC6sub1AirSpeedCloseLoopPitchI;
    }

    public float getDataC6sub1PitchBalencedValue() {
        return DataC6sub1PitchBalencedValue;
    }

    public float getDataC6sub1SumRolLGiven() {
        return DataC6sub1SumRolLGiven;
    }

    public float getDataC6sub1CircleRollGiven() {
        return DataC6sub1CircleRollGiven;
    }

    public float getDataC6sub1RolLAngleI() {
        return DataC6sub1RolLAngleI;
    }

    public float getDataC6sub1SlideI() {
        return DataC6sub1SlideI;
    }

    public float getDataC6sub1HeightI() {
        return DataC6sub1HeightI;
    }
}
