package com.htfp.jni.uav981C.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameC7 extends Uav981CFlightDataFrame {
    private int DataC7flyID;    //飞机ID
    private int DataC7FrameCount;    //帧计数
    private float DataC7UpDownGiven;    //升降舵给定
    private float DataC7AssFYGiven;    //副翼舵给定
    private float DataC7DirDuoGiven;    //方向舵给定
    private int DataC7subFrameID;    //子帧编号
    private byte DataC7sub0LeftOutAWingState;    //左外副翼状态
    private byte DataC7sub0LeftInAWingState;    //左内副翼状态
    private byte DataC7sub0RightInAWingState;    //右内副翼状态
    private byte DataC7sub0RightoutAWingState;    //右外副翼状态
    private byte DataC7sub0LUpDownState;    //左升降状态
    private byte DataC7sub0MidUpDownState;    //中升降状态
    private float DataC7sub0MidRUpDownStateAngle;    //右升降状态   更改为中右升反馈（角度）
    private float DataC7sub0MidRUpDownStateEle;    //左方向舵状态 更改为中右升降电流
    private float DataC7sub0MidRUpDownStateTemp;    //右方向舵状态更改为中右升降温度
    private float DataC7sub0LeftOutAWingRe;    //左外副翼反馈
    private float DataC7sub0LeftInAWingRe;    //左内副翼反馈
    private float DataC7sub0RightInAWingRe;    //右内副翼反馈
    private float DataC7sub0RightOutAWingRe;    //右外副翼反馈
    private float DataC7sub0LUpDownRe;    //左升降反馈
    private float DataC7sub0MidLeftUpDownRe;    //中左升降反馈
    private float DataC7sub0RUpDownRe;    //右升降反馈
    private float DataC7sub0LDirRudderRe;    //左方向舵反馈
    private float DataC7sub0RDirRudderRe;    //右方向舵反馈
    private byte DataC7sub0AirDropSteerForword;    //前空投舵机反馈
    private byte DataC7sub0AirDropSteerBack;    //后空投舵机反馈
    private byte DataC7sub0LeftHatchStree;    //左舱门舵机反馈
    private float DataC7sub1LeftOutAWingCurrent;    //左外副翼电流
    private float DataC7sub1LeftInAWingCurrent;    //左内副翼电流
    private float DataC7sub1RightInAWingCurrent;    //右内副翼电流
    private float DataC7sub1RightOutAWingCurrent;    //右外副翼电流
    private float DataC7sub1LUpDownCurrent;    //左升降电流
    private float DataC7sub1MidUpDownCurrent;    //中升降电流
    private float DataC7sub1RUpDownCurrent;    //右升降电流
    private float DataC7sub1LDirRudderCurrent;    //左方向舵电流
    private float DataC7sub1RDirRudderCurrent;    //右方向舵电流
    private float DataC7sub1LeftOutAWingTemperature;    //左外副翼温度
    private float DataC7sub1LeftInAWingTemperature;    //左内副翼温度
    private float DataC7sub1RightInAWingTemperature;    //右内副翼温度
    private float DataC7sub1RightOutAWingTemperature;    //右外副翼温度
    private float DataC7sub1LUpDownTemperature;    //左升降温度
    private float DataC7sub1MidUpDownTemperature;    //中升降温度
    private float DataC7sub1RUpDownTemperature;    //右升降温度
    private float DataC7sub1LDirRudderTemperature;    //左方向舵温度
    private float DataC7sub1RDirRudderTemperature;    //右方向舵温度
    private byte DataC7sub1RightHatchSteer;    //右舱门舵机反馈
    private byte DataC7sub1AirDropForwordEle;    //前空投电流（bit 4-7）后空投电流（bit 0-3）
    private byte DataC7sub1HatchEle;    //左舱门电流（bit 4-7）右舱门电流（bit 0-3）

    public int getDataC7flyID() {
        return DataC7flyID;
    }

    public int getDataC7FrameCount() {
        return DataC7FrameCount;
    }

    public float getDataC7UpDownGiven() {
        return DataC7UpDownGiven;
    }

    public float getDataC7AssFYGiven() {
        return DataC7AssFYGiven;
    }

    public float getDataC7DirDuoGiven() {
        return DataC7DirDuoGiven;
    }

    public int getDataC7subFrameID() {
        return DataC7subFrameID;
    }

    public byte getDataC7sub0LeftOutAWingState() {
        return DataC7sub0LeftOutAWingState;
    }

    public byte getDataC7sub0LeftInAWingState() {
        return DataC7sub0LeftInAWingState;
    }

    public byte getDataC7sub0RightInAWingState() {
        return DataC7sub0RightInAWingState;
    }

    public byte getDataC7sub0RightoutAWingState() {
        return DataC7sub0RightoutAWingState;
    }

    public byte getDataC7sub0LUpDownState() {
        return DataC7sub0LUpDownState;
    }

    public byte getDataC7sub0MidUpDownState() {
        return DataC7sub0MidUpDownState;
    }

    public float getDataC7sub0MidRUpDownStateAngle() {
        return DataC7sub0MidRUpDownStateAngle;
    }

    public float getDataC7sub0MidRUpDownStateEle() {
        return DataC7sub0MidRUpDownStateEle;
    }

    public float getDataC7sub0MidRUpDownStateTemp() {
        return DataC7sub0MidRUpDownStateTemp;
    }

    public float getDataC7sub0LeftOutAWingRe() {
        return DataC7sub0LeftOutAWingRe;
    }

    public float getDataC7sub0LeftInAWingRe() {
        return DataC7sub0LeftInAWingRe;
    }

    public float getDataC7sub0RightInAWingRe() {
        return DataC7sub0RightInAWingRe;
    }

    public float getDataC7sub0RightOutAWingRe() {
        return DataC7sub0RightOutAWingRe;
    }

    public float getDataC7sub0LUpDownRe() {
        return DataC7sub0LUpDownRe;
    }

    public float getDataC7sub0MidLeftUpDownRe() {
        return DataC7sub0MidLeftUpDownRe;
    }

    public float getDataC7sub0RUpDownRe() {
        return DataC7sub0RUpDownRe;
    }

    public float getDataC7sub0LDirRudderRe() {
        return DataC7sub0LDirRudderRe;
    }

    public float getDataC7sub0RDirRudderRe() {
        return DataC7sub0RDirRudderRe;
    }

    public byte getDataC7sub0AirDropSteerForword() {
        return DataC7sub0AirDropSteerForword;
    }

    public byte getDataC7sub0AirDropSteerBack() {
        return DataC7sub0AirDropSteerBack;
    }

    public byte getDataC7sub0LeftHatchStree() {
        return DataC7sub0LeftHatchStree;
    }

    public float getDataC7sub1LeftOutAWingCurrent() {
        return DataC7sub1LeftOutAWingCurrent;
    }

    public float getDataC7sub1LeftInAWingCurrent() {
        return DataC7sub1LeftInAWingCurrent;
    }

    public float getDataC7sub1RightInAWingCurrent() {
        return DataC7sub1RightInAWingCurrent;
    }

    public float getDataC7sub1RightOutAWingCurrent() {
        return DataC7sub1RightOutAWingCurrent;
    }

    public float getDataC7sub1LUpDownCurrent() {
        return DataC7sub1LUpDownCurrent;
    }

    public float getDataC7sub1MidUpDownCurrent() {
        return DataC7sub1MidUpDownCurrent;
    }

    public float getDataC7sub1RUpDownCurrent() {
        return DataC7sub1RUpDownCurrent;
    }

    public float getDataC7sub1LDirRudderCurrent() {
        return DataC7sub1LDirRudderCurrent;
    }

    public float getDataC7sub1RDirRudderCurrent() {
        return DataC7sub1RDirRudderCurrent;
    }

    public float getDataC7sub1LeftOutAWingTemperature() {
        return DataC7sub1LeftOutAWingTemperature;
    }

    public float getDataC7sub1LeftInAWingTemperature() {
        return DataC7sub1LeftInAWingTemperature;
    }

    public float getDataC7sub1RightInAWingTemperature() {
        return DataC7sub1RightInAWingTemperature;
    }

    public float getDataC7sub1RightOutAWingTemperature() {
        return DataC7sub1RightOutAWingTemperature;
    }

    public float getDataC7sub1LUpDownTemperature() {
        return DataC7sub1LUpDownTemperature;
    }

    public float getDataC7sub1MidUpDownTemperature() {
        return DataC7sub1MidUpDownTemperature;
    }

    public float getDataC7sub1RUpDownTemperature() {
        return DataC7sub1RUpDownTemperature;
    }

    public float getDataC7sub1LDirRudderTemperature() {
        return DataC7sub1LDirRudderTemperature;
    }

    public float getDataC7sub1RDirRudderTemperature() {
        return DataC7sub1RDirRudderTemperature;
    }

    public byte getDataC7sub1RightHatchSteer() {
        return DataC7sub1RightHatchSteer;
    }

    public byte getDataC7sub1AirDropForwordEle() {
        return DataC7sub1AirDropForwordEle;
    }

    public byte getDataC7sub1HatchEle() {
        return DataC7sub1HatchEle;
    }
}
