package com.htfp.jni.uav981C.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameCA extends Uav981CFlightDataFrame {
    private int DataCAFrameCount;    //帧计数
    private int DataCAflyID;    //飞机ID
    private float DataCAMCIntegratedPitch;    //组合俯仰角
    private float DataCAMCIntegratedRoll;    //组合滚转角
    private float DataCAMCIntegratedHeading;    //组合航向角
    private float DataCAMCIntegratedNorSped;    //组合北向速度
    private float DataCAMCIntegratedEastSped;    //组合东向速度
    private float DataCAMCIntegratedVerSped;    //组合天向速度
    private int DataCASubFrameID;    //子帧编号
    private float DataCAsub0MCRollRate;    //滚转角速率
    private float DataCAsub0MCPitchRate;    //俯仰角速率
    private float DataCAsub0MCHeadingRate;    //航向角速率
    private float DataCAsub0MCForwardAC;    //前向加速度
    private float DataCAsub0MCRightAC;    //右向加速度
    private float DataCAsub0MCVerAC;    //垂向加速度
    private double DataCAsub1MCIntegratedLon;    //组合经度
    private double DataCAsub1MCIntegratedLat;    //组合纬度
    private float DataCAsub1MCIntegratedAlt;    //组合高度
    private int DataCAsub1MCIntegratedWord;    //组合状态字
    private int DataCAsub1MC9250Temperature;    //9250温度
    private float DataCAsub2MCIntegratedUDSped;    //组合升降速度
    private float DataCAsub2MCIntegratedPreHgt;    //组合气压高度
    private int DataCAsub2IntergSwitch;
    private int DataCAsub2Fault_GyroBias;
    private float DataCAsub2MC9250OffsetValZ;    //Z轴加表零偏

    public int getDataCAFrameCount() {
        return DataCAFrameCount;
    }

    public int getDataCAflyID() {
        return DataCAflyID;
    }

    public float getDataCAMCIntegratedPitch() {
        return DataCAMCIntegratedPitch;
    }

    public float getDataCAMCIntegratedRoll() {
        return DataCAMCIntegratedRoll;
    }

    public float getDataCAMCIntegratedHeading() {
        return DataCAMCIntegratedHeading;
    }

    public float getDataCAMCIntegratedNorSped() {
        return DataCAMCIntegratedNorSped;
    }

    public float getDataCAMCIntegratedEastSped() {
        return DataCAMCIntegratedEastSped;
    }

    public float getDataCAMCIntegratedVerSped() {
        return DataCAMCIntegratedVerSped;
    }

    public int getDataCASubFrameID() {
        return DataCASubFrameID;
    }

    public float getDataCAsub0MCRollRate() {
        return DataCAsub0MCRollRate;
    }

    public float getDataCAsub0MCPitchRate() {
        return DataCAsub0MCPitchRate;
    }

    public float getDataCAsub0MCHeadingRate() {
        return DataCAsub0MCHeadingRate;
    }

    public float getDataCAsub0MCForwardAC() {
        return DataCAsub0MCForwardAC;
    }

    public float getDataCAsub0MCRightAC() {
        return DataCAsub0MCRightAC;
    }

    public float getDataCAsub0MCVerAC() {
        return DataCAsub0MCVerAC;
    }

    public double getDataCAsub1MCIntegratedLon() {
        return DataCAsub1MCIntegratedLon;
    }

    public double getDataCAsub1MCIntegratedLat() {
        return DataCAsub1MCIntegratedLat;
    }

    public float getDataCAsub1MCIntegratedAlt() {
        return DataCAsub1MCIntegratedAlt;
    }

    public int getDataCAsub1MCIntegratedWord() {
        return DataCAsub1MCIntegratedWord;
    }

    public int getDataCAsub1MC9250Temperature() {
        return DataCAsub1MC9250Temperature;
    }

    public float getDataCAsub2MCIntegratedUDSped() {
        return DataCAsub2MCIntegratedUDSped;
    }

    public float getDataCAsub2MCIntegratedPreHgt() {
        return DataCAsub2MCIntegratedPreHgt;
    }

    public int getDataCAsub2IntergSwitch() {
        return DataCAsub2IntergSwitch;
    }

    public int getDataCAsub2Fault_GyroBias() {
        return DataCAsub2Fault_GyroBias;
    }

    public float getDataCAsub2MC9250OffsetValZ() {
        return DataCAsub2MC9250OffsetValZ;
    }
}
