package com.htfp.jni.uav985.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-11 13:39
 */
public class Uav985FlightDataFrame85_89 extends Uav985FlightDataFrame {
    private int Data85subFrameID; //子帧编号
    private int Data85SaveVersion_Device; //设备软件版本号
    private boolean Data85bRecvVersion_Device; //是否收到某设备软件版本号
    private int Data85sub0HGCtrlCmdRe; //火工控制指令回报
    private int Data85sub0HGExecuRe; //火工执行情况回报
    private int Data85sub0SwitchRe; //开关回报
    private int Data85sub0PwrDstrExeRe; //配电执行状态回报
    private int Data85sub0PwrDstrErrorRe; //配电故障状态回报
    private float Data85sub0SaluteOpenVoltage; //开伞供电电压
    private float Data85sub0SaluteSwitchVoltage; //切伞供电电压
    private float Data85sub0PwrGenVoltage; //发电机电压
    private float Data85sub0BatteryVoltage1; //蓄电池1电压  电池一体机电压
    private float Data85sub0ActuatorVoltage;
    private float Data85sub0PwrMngVoltage; //电管母电电压（电网电压）
    private float Data85sub0PwrMngAllCurrent; //电管总电流
    private float Data85sub0PwrMng5Voltage; //电管 5.0V电压
    private float Data85sub0PwrMng33Voltage; //电管 3.3V电压
    private float Data85sub0HGVoltage; //火工供电电压
    private float Data85sub0BatteryVoltage2; //蓄电池2电压
    private float Data85sub1PayloadVoltage; //卫通供电电压
    private float Data85sub1FibreVoltage; //无
    private float Data85sub1VoiceRadioVoltage; //语音电台供电电压
    private float Data85sub1TempUpVoltage; //加温A供电电压
    private float Data85sub1NightLightVoltage; //无
    private float Data85sub1CKRecvSendVoltage; //刹车控制器输入1供电电压
    private float Data85sub1CKPwrVoltage; //无
    private byte Data85sub1BatteryChargeVoltage; //配电一体机环境温度1
    private int Data85sub1RecvBusFre; //接收总线帧频
    private byte Data85sub1WorkTemp; //电管工作温度
    private int Data85sub1VersionByte1; //主版本号
    private int Data85sub1PM485Freq; //电管485帧频
    private int Data85sub2HGCtrlCmdRe; //火工控制指令回报
    private int Data85sub2HGExecuRe; //火工执行情况回报
    private int Data85sub2SwitchRe; //开关回报
    private int Data85sub2PwrDstrExeRe; //配电执行状态回报
    private int Data85sub2PwrDstrErrorRe; //配电故障状态回报
    private float Data85sub2SaluteOpenVoltage; //开伞供电电压
    private float Data85sub2SaluteSwitchVoltage; //切伞供电电压
    private float Data85sub2PwrGenVoltage; //发电机电压
    private float Data85sub2BatteryVoltage1; //蓄电池1电压
    private float Data85sub2ActuatorVoltage; //刹车控制器输入2供电电压
    private float Data85sub2PwrMngVoltage; //电管母电电压（电网电压）
    private float Data85sub2PwrMngAllCurrent; //电管总电流
    private float Data85sub2PwrMng5Voltage; //电管 5.0V电压
    private float Data85sub2PwrMng33Voltage; //电管 3.3V电压
    private float Data85sub2HGVoltage; //火工供电电压
    private float Data85sub2BatteryVoltage2; //蓄电池2电压
    private float Data85sub3PayloadVoltage; //任管一体机供电电压
    private float Data85sub3FibreVoltage; //飞控C供电1电压
    private float Data85sub3NightLedVoltage; //夜航灯供电电压
    private float Data85sub3TempUpVoltage; //加温BC供电电压
    private float Data85sub3NightLightVoltage; //无
    private float Data85sub3CKRecvSendVoltage; //飞控A供电1电压
    private float Data85sub3CKPwrVoltage; //飞控B供电1电压
    private byte Data85sub3BatteryChargeVoltage; //配电一体机环境温度2
    private int Data85sub3RecvBusFre; //接收总线帧频
    private byte Data85sub3WorkTemp; //电管工作温度
    private int Data85sub3VersionByte1; //主版本号
    private int Data85sub3PM485Freq; //电管485帧频
    private float Data85sub4PowerGenVoltage; //发电机电压
    private float Data85sub4Battery1Voltage; //蓄电池1电压
    private float Data85sub4PwrMngVoltage; //电管母电电压
    private float Data85sub4PwrMng5Voltage; //电管 5.0V电压
    private float Data85sub4PwrMng33Voltage; //电管 3.3V电压
    private float Data85sub4SelfPwrVoltage; //自举供电电压
    private float Data85sub4PwrDstr1Out1Vol; //配电器1输出1电压
    private float Data85sub4PwrDstr1Out1Ele; //配电器1输出1电流
    private float Data85sub4PwrDstr1Out2Vol; //配电器1输出2电压
    private float Data85sub4PwrDstr1Out2Ele; //配电器1输出2电流
    private int Data85sub4PwrDstrSwitchRe; //配电器开关回报
    private int Data85sub4Bus485RecvFre; //485总线收数帧频
    private int Data85sub4SwitchCmdExeRe; //开关指令执行回报
    private int Data85sub4VersionByte1; //主版本号
    private int Data85sub4PwrDFre; //配电器帧频
    private float Data85sub4WorkTemp; //配电器1输出1电压
    private float Data85sub4PwrDstr1Out3Vol; //配电器1输出2电压
    private float Data85sub4PwrDstr1Out4Vol; //配电器1输出2电流
    private float Data85sub5PowerGenVoltage; //发电机电压
    private float Data85sub5Battery1Voltage; //蓄电池1电压
    private float Data85sub5PwrMngVoltage; //电管母电电压
    private float Data85sub5PwrMng5Voltage; //电管 5.0V电压
    private float Data85sub5PwrMng33Voltage; //电管 3.3V电压
    private float Data85sub5SelfPwrVoltage; //自举供电电压
    private float Data85sub5PwrDstr1Out1Vol; //配电器1输出1电压
    private float Data85sub5PwrDstr1Out1Ele; //配电器1输出1电流
    private float Data85sub5PwrDstr1Out2Vol; //配电器1输出2电压
    private float Data85sub5PwrDstr1Out2Ele; //配电器1输出2电流
    private int Data85sub5PwrDstrSwitchRe; //配电器开关回报
    private int Data85sub5Bus485RecvFre; //485总线收数帧频
    private int Data85sub5SwitchCmdExeRe; //开关指令执行回报
    private int Data85sub5VersionByte1; //主版本号
    private int Data85sub5PwrDFre; //配电器帧频
    private float Data85sub5WorkTemp; //配电器工作温度
    private float Data85sub5PwrDstr1Out3Vol; //配电器输出3电压
    private float Data85sub5PwrDstr1Out4Vol; //配电器输出4电压
    private float Data85sub6PowerGenVoltage; //发电机电压
    private float Data85sub6Battery1Voltage; //蓄电池1电压
    private float Data85sub6PwrMngVoltage; //电管母电电压
    private float Data85sub6PwrMng5Voltage; //电管 5.0V电压
    private float Data85sub6PwrMng33Voltage; //电管 3.3V电压
    private float Data85sub6SelfPwrVoltage; //自举供电电压
    private float Data85sub6PwrDstr1Out1Vol; //配电器1输出1电压
    private float Data85sub6PwrDstr1Out1Ele; //配电器1输出1电流
    private float Data85sub6PwrDstr1Out2Vol; //配电器1输出2电压
    private float Data85sub6PwrDstr1Out2Ele; //配电器1输出2电流
    private int Data85sub6PwrDstrSwitchRe; //配电器开关回报
    private int Data85sub6Bus485RecvFre; //485总线收数帧频
    private int Data85sub6SwitchCmdExeRe; //开关指令执行回报
    private int Data85sub6VersionByte1; //主版本号
    private int Data85sub6PwrDFre; //配电器帧频
    private float Data85sub6WorkTemp; //配电器工作温度
    private float Data85sub6PwrDstr1Out3Vol; //配电器输出3电压
    private float Data85sub6PwrDstr1Out4Vol; //配电器输出4电压
    private float Data85sub7PowerGenVoltage; //发电机电压
    private float Data85sub7Battery1Voltage; //蓄电池1电压
    private float Data85sub7PwrMngVoltage; //电管母电电压
    private float Data85sub7PwrMng5Voltage; //电管 5.0V电压
    private float Data85sub7PwrMng33Voltage; //电管 3.3V电压
    private float Data85sub7SelfPwrVoltage; //自举供电电压
    private float Data85sub7PwrDstr1Out1Vol; //配电器1输出1电压
    private float Data85sub7PwrDstr1Out1Ele; //配电器1输出1电流
    private float Data85sub7PwrDstr1Out2Vol; //配电器1输出2电压
    private float Data85sub7PwrDstr1Out2Ele; //配电器1输出2电流
    private int Data85sub7PwrDstrSwitchRe; //配电器开关回报
    private int Data85sub7Bus485RecvFre; //485总线收数帧频
    private int Data85sub7SwitchCmdExeRe; //开关指令执行回报
    private int Data85sub7VersionByte1; //主版本号
    private int Data85sub7PwrDFre; //配电器帧频
    private float Data85sub7WorkTemp; //配电器工作温度
    private float Data85sub7PwrDstr1Out3Vol; //配电器输出3电压
    private float Data85sub7PwrDstr1Out4Vol; //配电器输出4电压
    private float Data85sub8PowerGenVoltage; //发电机电压
    private float Data85sub8Battery1Voltage; //蓄电池1电压
    private float Data85sub8PwrMngVoltage; //电管母电电压
    private float Data85sub8PwrMng5Voltage; //电管 5.0V电压
    private float Data85sub8PwrMng33Voltage; //电管 3.3V电压
    private float Data85sub8SelfPwrVoltage; //自举供电电压
    private float Data85sub8PwrDstr1Out1Vol; //配电器1输出1电压
    private float Data85sub8PwrDstr1Out1Ele; //配电器1输出1电流
    private float Data85sub8PwrDstr1Out2Vol; //配电器1输出2电压
    private float Data85sub8PwrDstr1Out2Ele; //配电器1输出2电流
    private int Data85sub8PwrDstrSwitchRe; //配电器开关回报
    private int Data85sub8Bus485RecvFre; //485总线收数帧频
    private int Data85sub8SwitchCmdExeRe; //开关指令执行回报
    private int Data85sub8VersionByte1; //主版本号
    private int Data85sub8PwrDFre; //配电器帧频
    private int Data85sub8WorkTemp; //配电器工作温度
    private int Data85sub8Version_Device; //设备软件版本号
    private float Data85sub8PwrDstr1OutSumEle; //配电器输出总电流
    private float Data85sub8PwrDstr1Out3Vol; //配电器输出3电压
    private float Data85sub8PwrDstr1Out4Vol; //配电器输出4电压
    private float Data85sub9PowerGenVoltage; //发电机电压
    private float Data85sub9Battery1Voltage; //蓄电池1电压
    private float Data85sub9PwrMngVoltage; //电管母电电压
    private float Data85sub9PwrMng5Voltage; //电管 5.0V电压
    private float Data85sub9PwrMng33Voltage; //电管 3.3V电压
    private float Data85sub9SelfPwrVoltage; //自举供电电压
    private float Data85sub9PwrDstr1Out1Vol; //配电器1输出1电压
    private float Data85sub9PwrDstr1Out1Ele; //配电器1输出1电流
    private float Data85sub9PwrDstr1Out2Vol; //配电器1输出2电压
    private float Data85sub9PwrDstr1Out2Ele; //配电器1输出2电流
    private int Data85sub9PwrDstrSwitchRe; //配电器开关回报
    private int Data85sub9Bus485RecvFre; //485总线收数帧频
    private int Data85sub9SwitchCmdExeRe; //开关指令执行回报
    private int Data85sub9VersionByte1; //主版本号
    private int Data85sub9PwrDFre; //配电器帧频
    private float Data85sub9WorkTemp; //配电器工作温度
    private float Data85sub9PwrDstr1Out3Vol; //配电器输出3电压
    private float Data85sub9PwrDstr1Out4Vol; //配电器输出4电压
    private float Data85subAPowerGenVoltage; //发电机电压
    private float Data85subABattery1Voltage; //蓄电池1电压
    private float Data85subAPwrMngVoltage; //电管母电电压
    private float Data85subAPwrMng5Voltage; //电管 5.0V电压
    private float Data85subAPwrMng33Voltage; //电管 3.3V电压
    private float Data85subASelfPwrVoltage; //自举供电电压
    private float Data85subAPwrDstr1Out1Vol; //配电器1输出1电压
    private float Data85subAPwrDstr1Out1Ele; //配电器1输出1电流
    private float Data85subAPwrDstr1Out2Vol; //配电器1输出2电压
    private float Data85subAPwrDstr1Out2Ele; //配电器1输出2电流
    private int Data85subAPwrDstrSwitchRe; //配电器开关回报
    private int Data85subABus485RecvFre; //485总线收数帧频
    private int Data85subASwitchCmdExeRe; //开关指令执行回报
    private int Data85subAVersionByte1; //主版本号
    private int Data85subAPwrDFre; //配电器帧频
    private float Data85subAWorkTemp; //配电器工作温度
    private float Data85subAPwrDstr1Out3Vol; //配电器输出3电压
    private float Data85subAPwrDstr1Out4Vol; //配电器输出4电压
    private float Data85subBPowerGenVoltage; //发电机电压
    private float Data85subBBattery1Voltage; //蓄电池1电压
    private float Data85subBPwrMngVoltage; //电管母电电压
    private float Data85subBPwrMng5Voltage; //电管 5.0V电压
    private float Data85subBPwrMng33Voltage; //电管 3.3V电压
    private float Data85subBSelfPwrVoltage; //自举供电电压
    private float Data85subBPwrDstr1Out1Vol; //配电器1输出1电压
    private float Data85subBPwrDstr1Out1Ele; //配电器1输出1电流
    private float Data85subBPwrDstr1Out2Vol; //配电器1输出2电压
    private float Data85subBPwrDstr1Out2Ele; //配电器1输出2电流
    private int Data85subBPwrDstrSwitchRe; //配电器开关回报
    private int Data85subBBus485RecvFre; //485总线收数帧频
    private int Data85subBSwitchCmdExeRe; //开关指令执行回报
    private int Data85subBVersionByte1; //主版本号
    private int Data85subBPwrDFre; //配电器帧频
    private float Data85subBWorkTemp; //配电器工作温度
    private float Data85subBPwrDstr1Out3Vol; //配电器输出3电压
    private float Data85subBPwrDstr1Out4Vol; //配电器输出4电压
    private int Data86FrameCount; //帧计数
    private int Data86SwitchCmdRe; //开关指令反馈
    private int Data86SwitchState; //发管1开关状态
    private int Data86EngineMgrExeStatus; //发管1状态及故障代码
    private int Data86OilPwrState; //燃油管理计算机状态字
    private long Data86RealOilOpen; //实际油门开度/油门舵机当前角度反馈
    private long Data86EngineSpeed; //发动机转速
    private int Data86Engine2Temp; //2缸温度
    private int Data86Engine9Temp; //9缸温度
    private long Data86OarDisGiven; //桨距给定值
    private long Data86OarDis; //桨距值/桨距舵机当前角度反馈
    private long Data86InAirRudderAngleRe; //进气舵机角度反馈
    private int Data86subFrameID; //子帧编号
    private int Data86sub0EngineStepsRe; //发动机流程回报
    private int Data86sub0CarburetorTemp; //汽化器温度
    private int Data86sub0LubeTemp; //滑油温度
    private float Data86sub0FuelPressure; //燃油压力
    private float Data86sub0LubePressure; //滑油压力
    private float Data86sub0EnteringAirPressure; //进气压力
    private long Data86sub0OilTankID; //油箱ID
    private long Data86sub0OilTankVolume; //油箱油量
    private int Data86sub0CarburetorActuator; //汽化器舵机角度反馈
    private int Data86sub0SwitchState2; //开关状态字2
    private int Data86sub0EngineMgrExeStatus2; //发管2状态及故障代码
    private long Data86sub1LWingOilMass; //左机翼油量
    private long Data86sub1RWingOilMass; //右机翼油量
    private long Data86sub1EngineScaleBoardOpen; //发动机鱼鳞板开度
    private long Data86sub1FuelRadiatorFengmenOpen; //滑油散热器风门开度
    private int Data86sub1SwitchState3; //开关状态字3
    private int Data86sub1SwitchState4; //开关状态字4
    private int Data86sub1FaultStatusOfFengMenDuoJi; //风门舵机故障状态
    private int Data86sub1FaultStatusOfJiangJuDuoJi; //桨距舵机故障状态
    private int Data86sub1QiHuaQiJiaWenDuoJiStatus; //汽化器加温舵机状态
    private int Data86sub1JinQinDaoDuoJiStatus; //进气道舵机状态
    private int Data86sub1FaultStatusOfOilPwr1; //燃油管理计算机故障字1
    private int Data86sub1FaultStatusOfOilPwr2; //燃油管理计算机故障字2
    private float Data86sub2EngMgrVoltage; //发动机管理器供电电压
    private int Data86sub2FaultStatusOfOilPwr3; //燃油管理计算机故障字3
    private float Data86sub2ECUActuatorVoltage; //ECU供电电压
    private int Data86sub2PlaneBatteryCurrent; //开关状态字5
    private float Data86sub2EngineTunnelCurrent; //发管电流
    private int Data86sub2StarterMotorVoltage; //发管B,1缸温度
    private int Data86sub2BridgingElectromagnetVoltage; //发管B,9缸温度
    private int Data86sub2AuxiliaryIgnitionVoltage; //复位源
    private int Data86sub2VersionByte1; //主版本号
    private int Data86sub2VersionByte2; //修订版本号
    private int Data86sub2FuelManagementComputerFreq; //燃油管理计算机帧频
    private int Data86sub3ECUSensorFed1; //ECU传感器状态反馈1
    private int Data86sub3ECUSensorFed2; //ECU传感器状态反馈2
    private int Data86sub3ECUSensorFed3; //ECU传感器状态反馈3
    private int Data86sub3EngineSpeed; //发动机转速
    private byte Data86sub3InAirLubeTemp; //进气歧管温度
    private float Data86sub3InAirLubePressure; //进气歧管压力
    private float Data86sub3OilPressure; //燃油压力
    private byte Data86sub3OilTemp; //燃油温度
    private float Data86sub3GasTemp; //气缸温度
    private int Data86sub3GasPos; //节气阀位置
    private int Data87FrameCount; //帧计数
    private double Data87GPSLon;
    private double Data87GPSLat;
    private double Data87GPSAlt;
    private int Data87subFrameID;
    private int Data87sub0LocPosStatus; //定位/测姿状态
    private int Data87sub0LocPoseNum; //定位/测姿星数
    private float Data87sub0PoseHeadAngle; //测姿航向角
    private float Data87sub0PosePitchAngle; //测姿滚转角/测姿俯仰角
    private float Data87sub0PDOP; //PDOP
    private float Data87sub0L1MaxSNR;
    private float Data87sub0L1MinSNR;
    private float Data87sub0L2MaxSNR;
    private float Data87sub0L2MinSNR;
    private int Data87sub0slaveAntennaLocStatusAndNum;
    private float Data87sub1NEUGndSpeed;
    private float Data87sub1NEUGndSpeedDir;
    private float Data87sub1NEUVerSpeed;
    private int Data87sub1SpeedFlag;
    private float Data87sub1UTCSecondDay;
    private int Data87sub1TimeFlag;
    private long Data87sub2UTCDay;
    private long Data87sub2UTCMonth;
    private long Data87sub2UTCYear;
    private float Data87sub2KnownBaseLineLen;
    private float Data87sub2HeadOffset;
    private long Data87sub2DifComPer;
    private long Data87sub2RTCMCount; //差分校正数据计数
    private long Data87sub2RTCMDataLen; //差分校正数据长度
    private double Data89GPSLon;
    private double Data89GPSLat;
    private double Data89GPSAlt;
    private int Data89subFrameID; //帧计数
    private int Data89sub0LocPosStatus; //定位/测姿状态
    private int Data89sub0LocPoseNum; //定位/测姿星数
    private float Data89sub0PoseHeadAngle; //测姿航向角
    private float Data89sub0PosePitchAngle; //测姿滚转角/测姿俯仰角
    private float Data89sub0PDOP; //PDOP
    private float Data89sub0L1MaxSNR;
    private float Data89sub0L1MinSNR;
    private float Data89sub0L2MaxSNR;
    private float Data89sub0L2MinSNR;
    private int Data89sub0slaveAntennaLocStatusAndNum;
    private float Data89sub1NEUGndSpeed;
    private float Data89sub1NEUGndSpeedDir;
    private float Data89sub1NEUVerSpeed;
    private int Data89sub1SpeedFlag;
    private float Data89sub1UTCSecond;
    private int Data89sub1TimeFlag;
    private long Data89sub2UTCDay;
    private long Data89sub2UTCMonth;
    private long Data89sub2UTCYear;
    private float Data89sub2KnownBaseLineLen;
    private float Data89sub2HeadOffset;
    private long Data89sub2DifComPer;

    public int getData85subFrameID() {
        return Data85subFrameID;
    }

    public int getData85SaveVersion_Device() {
        return Data85SaveVersion_Device;
    }

    public boolean isData85bRecvVersion_Device() {
        return Data85bRecvVersion_Device;
    }

    public int getData85sub0HGCtrlCmdRe() {
        return Data85sub0HGCtrlCmdRe;
    }

    public int getData85sub0HGExecuRe() {
        return Data85sub0HGExecuRe;
    }

    public int getData85sub0SwitchRe() {
        return Data85sub0SwitchRe;
    }

    public int getData85sub0PwrDstrExeRe() {
        return Data85sub0PwrDstrExeRe;
    }

    public int getData85sub0PwrDstrErrorRe() {
        return Data85sub0PwrDstrErrorRe;
    }

    public float getData85sub0SaluteOpenVoltage() {
        return Data85sub0SaluteOpenVoltage;
    }

    public float getData85sub0SaluteSwitchVoltage() {
        return Data85sub0SaluteSwitchVoltage;
    }

    public float getData85sub0PwrGenVoltage() {
        return Data85sub0PwrGenVoltage;
    }

    public float getData85sub0BatteryVoltage1() {
        return Data85sub0BatteryVoltage1;
    }

    public float getData85sub0ActuatorVoltage() {
        return Data85sub0ActuatorVoltage;
    }

    public float getData85sub0PwrMngVoltage() {
        return Data85sub0PwrMngVoltage;
    }

    public float getData85sub0PwrMngAllCurrent() {
        return Data85sub0PwrMngAllCurrent;
    }

    public float getData85sub0PwrMng5Voltage() {
        return Data85sub0PwrMng5Voltage;
    }

    public float getData85sub0PwrMng33Voltage() {
        return Data85sub0PwrMng33Voltage;
    }

    public float getData85sub0HGVoltage() {
        return Data85sub0HGVoltage;
    }

    public float getData85sub0BatteryVoltage2() {
        return Data85sub0BatteryVoltage2;
    }

    public float getData85sub1PayloadVoltage() {
        return Data85sub1PayloadVoltage;
    }

    public float getData85sub1FibreVoltage() {
        return Data85sub1FibreVoltage;
    }

    public float getData85sub1VoiceRadioVoltage() {
        return Data85sub1VoiceRadioVoltage;
    }

    public float getData85sub1TempUpVoltage() {
        return Data85sub1TempUpVoltage;
    }

    public float getData85sub1NightLightVoltage() {
        return Data85sub1NightLightVoltage;
    }

    public float getData85sub1CKRecvSendVoltage() {
        return Data85sub1CKRecvSendVoltage;
    }

    public float getData85sub1CKPwrVoltage() {
        return Data85sub1CKPwrVoltage;
    }

    public byte getData85sub1BatteryChargeVoltage() {
        return Data85sub1BatteryChargeVoltage;
    }

    public int getData85sub1RecvBusFre() {
        return Data85sub1RecvBusFre;
    }

    public byte getData85sub1WorkTemp() {
        return Data85sub1WorkTemp;
    }

    public int getData85sub1VersionByte1() {
        return Data85sub1VersionByte1;
    }

    public int getData85sub1PM485Freq() {
        return Data85sub1PM485Freq;
    }

    public int getData85sub2HGCtrlCmdRe() {
        return Data85sub2HGCtrlCmdRe;
    }

    public int getData85sub2HGExecuRe() {
        return Data85sub2HGExecuRe;
    }

    public int getData85sub2SwitchRe() {
        return Data85sub2SwitchRe;
    }

    public int getData85sub2PwrDstrExeRe() {
        return Data85sub2PwrDstrExeRe;
    }

    public int getData85sub2PwrDstrErrorRe() {
        return Data85sub2PwrDstrErrorRe;
    }

    public float getData85sub2SaluteOpenVoltage() {
        return Data85sub2SaluteOpenVoltage;
    }

    public float getData85sub2SaluteSwitchVoltage() {
        return Data85sub2SaluteSwitchVoltage;
    }

    public float getData85sub2PwrGenVoltage() {
        return Data85sub2PwrGenVoltage;
    }

    public float getData85sub2BatteryVoltage1() {
        return Data85sub2BatteryVoltage1;
    }

    public float getData85sub2ActuatorVoltage() {
        return Data85sub2ActuatorVoltage;
    }

    public float getData85sub2PwrMngVoltage() {
        return Data85sub2PwrMngVoltage;
    }

    public float getData85sub2PwrMngAllCurrent() {
        return Data85sub2PwrMngAllCurrent;
    }

    public float getData85sub2PwrMng5Voltage() {
        return Data85sub2PwrMng5Voltage;
    }

    public float getData85sub2PwrMng33Voltage() {
        return Data85sub2PwrMng33Voltage;
    }

    public float getData85sub2HGVoltage() {
        return Data85sub2HGVoltage;
    }

    public float getData85sub2BatteryVoltage2() {
        return Data85sub2BatteryVoltage2;
    }

    public float getData85sub3PayloadVoltage() {
        return Data85sub3PayloadVoltage;
    }

    public float getData85sub3FibreVoltage() {
        return Data85sub3FibreVoltage;
    }

    public float getData85sub3NightLedVoltage() {
        return Data85sub3NightLedVoltage;
    }

    public float getData85sub3TempUpVoltage() {
        return Data85sub3TempUpVoltage;
    }

    public float getData85sub3NightLightVoltage() {
        return Data85sub3NightLightVoltage;
    }

    public float getData85sub3CKRecvSendVoltage() {
        return Data85sub3CKRecvSendVoltage;
    }

    public float getData85sub3CKPwrVoltage() {
        return Data85sub3CKPwrVoltage;
    }

    public byte getData85sub3BatteryChargeVoltage() {
        return Data85sub3BatteryChargeVoltage;
    }

    public int getData85sub3RecvBusFre() {
        return Data85sub3RecvBusFre;
    }

    public byte getData85sub3WorkTemp() {
        return Data85sub3WorkTemp;
    }

    public int getData85sub3VersionByte1() {
        return Data85sub3VersionByte1;
    }

    public int getData85sub3PM485Freq() {
        return Data85sub3PM485Freq;
    }

    public float getData85sub4PowerGenVoltage() {
        return Data85sub4PowerGenVoltage;
    }

    public float getData85sub4Battery1Voltage() {
        return Data85sub4Battery1Voltage;
    }

    public float getData85sub4PwrMngVoltage() {
        return Data85sub4PwrMngVoltage;
    }

    public float getData85sub4PwrMng5Voltage() {
        return Data85sub4PwrMng5Voltage;
    }

    public float getData85sub4PwrMng33Voltage() {
        return Data85sub4PwrMng33Voltage;
    }

    public float getData85sub4SelfPwrVoltage() {
        return Data85sub4SelfPwrVoltage;
    }

    public float getData85sub4PwrDstr1Out1Vol() {
        return Data85sub4PwrDstr1Out1Vol;
    }

    public float getData85sub4PwrDstr1Out1Ele() {
        return Data85sub4PwrDstr1Out1Ele;
    }

    public float getData85sub4PwrDstr1Out2Vol() {
        return Data85sub4PwrDstr1Out2Vol;
    }

    public float getData85sub4PwrDstr1Out2Ele() {
        return Data85sub4PwrDstr1Out2Ele;
    }

    public int getData85sub4PwrDstrSwitchRe() {
        return Data85sub4PwrDstrSwitchRe;
    }

    public int getData85sub4Bus485RecvFre() {
        return Data85sub4Bus485RecvFre;
    }

    public int getData85sub4SwitchCmdExeRe() {
        return Data85sub4SwitchCmdExeRe;
    }

    public int getData85sub4VersionByte1() {
        return Data85sub4VersionByte1;
    }

    public int getData85sub4PwrDFre() {
        return Data85sub4PwrDFre;
    }

    public float getData85sub4WorkTemp() {
        return Data85sub4WorkTemp;
    }

    public float getData85sub4PwrDstr1Out3Vol() {
        return Data85sub4PwrDstr1Out3Vol;
    }

    public float getData85sub4PwrDstr1Out4Vol() {
        return Data85sub4PwrDstr1Out4Vol;
    }

    public float getData85sub5PowerGenVoltage() {
        return Data85sub5PowerGenVoltage;
    }

    public float getData85sub5Battery1Voltage() {
        return Data85sub5Battery1Voltage;
    }

    public float getData85sub5PwrMngVoltage() {
        return Data85sub5PwrMngVoltage;
    }

    public float getData85sub5PwrMng5Voltage() {
        return Data85sub5PwrMng5Voltage;
    }

    public float getData85sub5PwrMng33Voltage() {
        return Data85sub5PwrMng33Voltage;
    }

    public float getData85sub5SelfPwrVoltage() {
        return Data85sub5SelfPwrVoltage;
    }

    public float getData85sub5PwrDstr1Out1Vol() {
        return Data85sub5PwrDstr1Out1Vol;
    }

    public float getData85sub5PwrDstr1Out1Ele() {
        return Data85sub5PwrDstr1Out1Ele;
    }

    public float getData85sub5PwrDstr1Out2Vol() {
        return Data85sub5PwrDstr1Out2Vol;
    }

    public float getData85sub5PwrDstr1Out2Ele() {
        return Data85sub5PwrDstr1Out2Ele;
    }

    public int getData85sub5PwrDstrSwitchRe() {
        return Data85sub5PwrDstrSwitchRe;
    }

    public int getData85sub5Bus485RecvFre() {
        return Data85sub5Bus485RecvFre;
    }

    public int getData85sub5SwitchCmdExeRe() {
        return Data85sub5SwitchCmdExeRe;
    }

    public int getData85sub5VersionByte1() {
        return Data85sub5VersionByte1;
    }

    public int getData85sub5PwrDFre() {
        return Data85sub5PwrDFre;
    }

    public float getData85sub5WorkTemp() {
        return Data85sub5WorkTemp;
    }

    public float getData85sub5PwrDstr1Out3Vol() {
        return Data85sub5PwrDstr1Out3Vol;
    }

    public float getData85sub5PwrDstr1Out4Vol() {
        return Data85sub5PwrDstr1Out4Vol;
    }

    public float getData85sub6PowerGenVoltage() {
        return Data85sub6PowerGenVoltage;
    }

    public float getData85sub6Battery1Voltage() {
        return Data85sub6Battery1Voltage;
    }

    public float getData85sub6PwrMngVoltage() {
        return Data85sub6PwrMngVoltage;
    }

    public float getData85sub6PwrMng5Voltage() {
        return Data85sub6PwrMng5Voltage;
    }

    public float getData85sub6PwrMng33Voltage() {
        return Data85sub6PwrMng33Voltage;
    }

    public float getData85sub6SelfPwrVoltage() {
        return Data85sub6SelfPwrVoltage;
    }

    public float getData85sub6PwrDstr1Out1Vol() {
        return Data85sub6PwrDstr1Out1Vol;
    }

    public float getData85sub6PwrDstr1Out1Ele() {
        return Data85sub6PwrDstr1Out1Ele;
    }

    public float getData85sub6PwrDstr1Out2Vol() {
        return Data85sub6PwrDstr1Out2Vol;
    }

    public float getData85sub6PwrDstr1Out2Ele() {
        return Data85sub6PwrDstr1Out2Ele;
    }

    public int getData85sub6PwrDstrSwitchRe() {
        return Data85sub6PwrDstrSwitchRe;
    }

    public int getData85sub6Bus485RecvFre() {
        return Data85sub6Bus485RecvFre;
    }

    public int getData85sub6SwitchCmdExeRe() {
        return Data85sub6SwitchCmdExeRe;
    }

    public int getData85sub6VersionByte1() {
        return Data85sub6VersionByte1;
    }

    public int getData85sub6PwrDFre() {
        return Data85sub6PwrDFre;
    }

    public float getData85sub6WorkTemp() {
        return Data85sub6WorkTemp;
    }

    public float getData85sub6PwrDstr1Out3Vol() {
        return Data85sub6PwrDstr1Out3Vol;
    }

    public float getData85sub6PwrDstr1Out4Vol() {
        return Data85sub6PwrDstr1Out4Vol;
    }

    public float getData85sub7PowerGenVoltage() {
        return Data85sub7PowerGenVoltage;
    }

    public float getData85sub7Battery1Voltage() {
        return Data85sub7Battery1Voltage;
    }

    public float getData85sub7PwrMngVoltage() {
        return Data85sub7PwrMngVoltage;
    }

    public float getData85sub7PwrMng5Voltage() {
        return Data85sub7PwrMng5Voltage;
    }

    public float getData85sub7PwrMng33Voltage() {
        return Data85sub7PwrMng33Voltage;
    }

    public float getData85sub7SelfPwrVoltage() {
        return Data85sub7SelfPwrVoltage;
    }

    public float getData85sub7PwrDstr1Out1Vol() {
        return Data85sub7PwrDstr1Out1Vol;
    }

    public float getData85sub7PwrDstr1Out1Ele() {
        return Data85sub7PwrDstr1Out1Ele;
    }

    public float getData85sub7PwrDstr1Out2Vol() {
        return Data85sub7PwrDstr1Out2Vol;
    }

    public float getData85sub7PwrDstr1Out2Ele() {
        return Data85sub7PwrDstr1Out2Ele;
    }

    public int getData85sub7PwrDstrSwitchRe() {
        return Data85sub7PwrDstrSwitchRe;
    }

    public int getData85sub7Bus485RecvFre() {
        return Data85sub7Bus485RecvFre;
    }

    public int getData85sub7SwitchCmdExeRe() {
        return Data85sub7SwitchCmdExeRe;
    }

    public int getData85sub7VersionByte1() {
        return Data85sub7VersionByte1;
    }

    public int getData85sub7PwrDFre() {
        return Data85sub7PwrDFre;
    }

    public float getData85sub7WorkTemp() {
        return Data85sub7WorkTemp;
    }

    public float getData85sub7PwrDstr1Out3Vol() {
        return Data85sub7PwrDstr1Out3Vol;
    }

    public float getData85sub7PwrDstr1Out4Vol() {
        return Data85sub7PwrDstr1Out4Vol;
    }

    public float getData85sub8PowerGenVoltage() {
        return Data85sub8PowerGenVoltage;
    }

    public float getData85sub8Battery1Voltage() {
        return Data85sub8Battery1Voltage;
    }

    public float getData85sub8PwrMngVoltage() {
        return Data85sub8PwrMngVoltage;
    }

    public float getData85sub8PwrMng5Voltage() {
        return Data85sub8PwrMng5Voltage;
    }

    public float getData85sub8PwrMng33Voltage() {
        return Data85sub8PwrMng33Voltage;
    }

    public float getData85sub8SelfPwrVoltage() {
        return Data85sub8SelfPwrVoltage;
    }

    public float getData85sub8PwrDstr1Out1Vol() {
        return Data85sub8PwrDstr1Out1Vol;
    }

    public float getData85sub8PwrDstr1Out1Ele() {
        return Data85sub8PwrDstr1Out1Ele;
    }

    public float getData85sub8PwrDstr1Out2Vol() {
        return Data85sub8PwrDstr1Out2Vol;
    }

    public float getData85sub8PwrDstr1Out2Ele() {
        return Data85sub8PwrDstr1Out2Ele;
    }

    public int getData85sub8PwrDstrSwitchRe() {
        return Data85sub8PwrDstrSwitchRe;
    }

    public int getData85sub8Bus485RecvFre() {
        return Data85sub8Bus485RecvFre;
    }

    public int getData85sub8SwitchCmdExeRe() {
        return Data85sub8SwitchCmdExeRe;
    }

    public int getData85sub8VersionByte1() {
        return Data85sub8VersionByte1;
    }

    public int getData85sub8PwrDFre() {
        return Data85sub8PwrDFre;
    }

    public int getData85sub8WorkTemp() {
        return Data85sub8WorkTemp;
    }

    public int getData85sub8Version_Device() {
        return Data85sub8Version_Device;
    }

    public float getData85sub8PwrDstr1OutSumEle() {
        return Data85sub8PwrDstr1OutSumEle;
    }

    public float getData85sub8PwrDstr1Out3Vol() {
        return Data85sub8PwrDstr1Out3Vol;
    }

    public float getData85sub8PwrDstr1Out4Vol() {
        return Data85sub8PwrDstr1Out4Vol;
    }

    public float getData85sub9PowerGenVoltage() {
        return Data85sub9PowerGenVoltage;
    }

    public float getData85sub9Battery1Voltage() {
        return Data85sub9Battery1Voltage;
    }

    public float getData85sub9PwrMngVoltage() {
        return Data85sub9PwrMngVoltage;
    }

    public float getData85sub9PwrMng5Voltage() {
        return Data85sub9PwrMng5Voltage;
    }

    public float getData85sub9PwrMng33Voltage() {
        return Data85sub9PwrMng33Voltage;
    }

    public float getData85sub9SelfPwrVoltage() {
        return Data85sub9SelfPwrVoltage;
    }

    public float getData85sub9PwrDstr1Out1Vol() {
        return Data85sub9PwrDstr1Out1Vol;
    }

    public float getData85sub9PwrDstr1Out1Ele() {
        return Data85sub9PwrDstr1Out1Ele;
    }

    public float getData85sub9PwrDstr1Out2Vol() {
        return Data85sub9PwrDstr1Out2Vol;
    }

    public float getData85sub9PwrDstr1Out2Ele() {
        return Data85sub9PwrDstr1Out2Ele;
    }

    public int getData85sub9PwrDstrSwitchRe() {
        return Data85sub9PwrDstrSwitchRe;
    }

    public int getData85sub9Bus485RecvFre() {
        return Data85sub9Bus485RecvFre;
    }

    public int getData85sub9SwitchCmdExeRe() {
        return Data85sub9SwitchCmdExeRe;
    }

    public int getData85sub9VersionByte1() {
        return Data85sub9VersionByte1;
    }

    public int getData85sub9PwrDFre() {
        return Data85sub9PwrDFre;
    }

    public float getData85sub9WorkTemp() {
        return Data85sub9WorkTemp;
    }

    public float getData85sub9PwrDstr1Out3Vol() {
        return Data85sub9PwrDstr1Out3Vol;
    }

    public float getData85sub9PwrDstr1Out4Vol() {
        return Data85sub9PwrDstr1Out4Vol;
    }

    public float getData85subAPowerGenVoltage() {
        return Data85subAPowerGenVoltage;
    }

    public float getData85subABattery1Voltage() {
        return Data85subABattery1Voltage;
    }

    public float getData85subAPwrMngVoltage() {
        return Data85subAPwrMngVoltage;
    }

    public float getData85subAPwrMng5Voltage() {
        return Data85subAPwrMng5Voltage;
    }

    public float getData85subAPwrMng33Voltage() {
        return Data85subAPwrMng33Voltage;
    }

    public float getData85subASelfPwrVoltage() {
        return Data85subASelfPwrVoltage;
    }

    public float getData85subAPwrDstr1Out1Vol() {
        return Data85subAPwrDstr1Out1Vol;
    }

    public float getData85subAPwrDstr1Out1Ele() {
        return Data85subAPwrDstr1Out1Ele;
    }

    public float getData85subAPwrDstr1Out2Vol() {
        return Data85subAPwrDstr1Out2Vol;
    }

    public float getData85subAPwrDstr1Out2Ele() {
        return Data85subAPwrDstr1Out2Ele;
    }

    public int getData85subAPwrDstrSwitchRe() {
        return Data85subAPwrDstrSwitchRe;
    }

    public int getData85subABus485RecvFre() {
        return Data85subABus485RecvFre;
    }

    public int getData85subASwitchCmdExeRe() {
        return Data85subASwitchCmdExeRe;
    }

    public int getData85subAVersionByte1() {
        return Data85subAVersionByte1;
    }

    public int getData85subAPwrDFre() {
        return Data85subAPwrDFre;
    }

    public float getData85subAWorkTemp() {
        return Data85subAWorkTemp;
    }

    public float getData85subAPwrDstr1Out3Vol() {
        return Data85subAPwrDstr1Out3Vol;
    }

    public float getData85subAPwrDstr1Out4Vol() {
        return Data85subAPwrDstr1Out4Vol;
    }

    public float getData85subBPowerGenVoltage() {
        return Data85subBPowerGenVoltage;
    }

    public float getData85subBBattery1Voltage() {
        return Data85subBBattery1Voltage;
    }

    public float getData85subBPwrMngVoltage() {
        return Data85subBPwrMngVoltage;
    }

    public float getData85subBPwrMng5Voltage() {
        return Data85subBPwrMng5Voltage;
    }

    public float getData85subBPwrMng33Voltage() {
        return Data85subBPwrMng33Voltage;
    }

    public float getData85subBSelfPwrVoltage() {
        return Data85subBSelfPwrVoltage;
    }

    public float getData85subBPwrDstr1Out1Vol() {
        return Data85subBPwrDstr1Out1Vol;
    }

    public float getData85subBPwrDstr1Out1Ele() {
        return Data85subBPwrDstr1Out1Ele;
    }

    public float getData85subBPwrDstr1Out2Vol() {
        return Data85subBPwrDstr1Out2Vol;
    }

    public float getData85subBPwrDstr1Out2Ele() {
        return Data85subBPwrDstr1Out2Ele;
    }

    public int getData85subBPwrDstrSwitchRe() {
        return Data85subBPwrDstrSwitchRe;
    }

    public int getData85subBBus485RecvFre() {
        return Data85subBBus485RecvFre;
    }

    public int getData85subBSwitchCmdExeRe() {
        return Data85subBSwitchCmdExeRe;
    }

    public int getData85subBVersionByte1() {
        return Data85subBVersionByte1;
    }

    public int getData85subBPwrDFre() {
        return Data85subBPwrDFre;
    }

    public float getData85subBWorkTemp() {
        return Data85subBWorkTemp;
    }

    public float getData85subBPwrDstr1Out3Vol() {
        return Data85subBPwrDstr1Out3Vol;
    }

    public float getData85subBPwrDstr1Out4Vol() {
        return Data85subBPwrDstr1Out4Vol;
    }

    public int getData86FrameCount() {
        return Data86FrameCount;
    }

    public int getData86SwitchCmdRe() {
        return Data86SwitchCmdRe;
    }

    public int getData86SwitchState() {
        return Data86SwitchState;
    }

    public int getData86EngineMgrExeStatus() {
        return Data86EngineMgrExeStatus;
    }

    public int getData86OilPwrState() {
        return Data86OilPwrState;
    }

    public long getData86RealOilOpen() {
        return Data86RealOilOpen;
    }

    public long getData86EngineSpeed() {
        return Data86EngineSpeed;
    }

    public int getData86Engine2Temp() {
        return Data86Engine2Temp;
    }

    public int getData86Engine9Temp() {
        return Data86Engine9Temp;
    }

    public long getData86OarDisGiven() {
        return Data86OarDisGiven;
    }

    public long getData86OarDis() {
        return Data86OarDis;
    }

    public long getData86InAirRudderAngleRe() {
        return Data86InAirRudderAngleRe;
    }

    public int getData86subFrameID() {
        return Data86subFrameID;
    }

    public int getData86sub0EngineStepsRe() {
        return Data86sub0EngineStepsRe;
    }

    public int getData86sub0CarburetorTemp() {
        return Data86sub0CarburetorTemp;
    }

    public int getData86sub0LubeTemp() {
        return Data86sub0LubeTemp;
    }

    public float getData86sub0FuelPressure() {
        return Data86sub0FuelPressure;
    }

    public float getData86sub0LubePressure() {
        return Data86sub0LubePressure;
    }

    public float getData86sub0EnteringAirPressure() {
        return Data86sub0EnteringAirPressure;
    }

    public long getData86sub0OilTankID() {
        return Data86sub0OilTankID;
    }

    public long getData86sub0OilTankVolume() {
        return Data86sub0OilTankVolume;
    }

    public int getData86sub0CarburetorActuator() {
        return Data86sub0CarburetorActuator;
    }

    public int getData86sub0SwitchState2() {
        return Data86sub0SwitchState2;
    }

    public int getData86sub0EngineMgrExeStatus2() {
        return Data86sub0EngineMgrExeStatus2;
    }

    public long getData86sub1LWingOilMass() {
        return Data86sub1LWingOilMass;
    }

    public long getData86sub1RWingOilMass() {
        return Data86sub1RWingOilMass;
    }

    public long getData86sub1EngineScaleBoardOpen() {
        return Data86sub1EngineScaleBoardOpen;
    }

    public long getData86sub1FuelRadiatorFengmenOpen() {
        return Data86sub1FuelRadiatorFengmenOpen;
    }

    public int getData86sub1SwitchState3() {
        return Data86sub1SwitchState3;
    }

    public int getData86sub1SwitchState4() {
        return Data86sub1SwitchState4;
    }

    public int getData86sub1FaultStatusOfFengMenDuoJi() {
        return Data86sub1FaultStatusOfFengMenDuoJi;
    }

    public int getData86sub1FaultStatusOfJiangJuDuoJi() {
        return Data86sub1FaultStatusOfJiangJuDuoJi;
    }

    public int getData86sub1QiHuaQiJiaWenDuoJiStatus() {
        return Data86sub1QiHuaQiJiaWenDuoJiStatus;
    }

    public int getData86sub1JinQinDaoDuoJiStatus() {
        return Data86sub1JinQinDaoDuoJiStatus;
    }

    public int getData86sub1FaultStatusOfOilPwr1() {
        return Data86sub1FaultStatusOfOilPwr1;
    }

    public int getData86sub1FaultStatusOfOilPwr2() {
        return Data86sub1FaultStatusOfOilPwr2;
    }

    public float getData86sub2EngMgrVoltage() {
        return Data86sub2EngMgrVoltage;
    }

    public int getData86sub2FaultStatusOfOilPwr3() {
        return Data86sub2FaultStatusOfOilPwr3;
    }

    public float getData86sub2ECUActuatorVoltage() {
        return Data86sub2ECUActuatorVoltage;
    }

    public int getData86sub2PlaneBatteryCurrent() {
        return Data86sub2PlaneBatteryCurrent;
    }

    public float getData86sub2EngineTunnelCurrent() {
        return Data86sub2EngineTunnelCurrent;
    }

    public int getData86sub2StarterMotorVoltage() {
        return Data86sub2StarterMotorVoltage;
    }

    public int getData86sub2BridgingElectromagnetVoltage() {
        return Data86sub2BridgingElectromagnetVoltage;
    }

    public int getData86sub2AuxiliaryIgnitionVoltage() {
        return Data86sub2AuxiliaryIgnitionVoltage;
    }

    public int getData86sub2VersionByte1() {
        return Data86sub2VersionByte1;
    }

    public int getData86sub2VersionByte2() {
        return Data86sub2VersionByte2;
    }

    public int getData86sub2FuelManagementComputerFreq() {
        return Data86sub2FuelManagementComputerFreq;
    }

    public int getData86sub3ECUSensorFed1() {
        return Data86sub3ECUSensorFed1;
    }

    public int getData86sub3ECUSensorFed2() {
        return Data86sub3ECUSensorFed2;
    }

    public int getData86sub3ECUSensorFed3() {
        return Data86sub3ECUSensorFed3;
    }

    public int getData86sub3EngineSpeed() {
        return Data86sub3EngineSpeed;
    }

    public byte getData86sub3InAirLubeTemp() {
        return Data86sub3InAirLubeTemp;
    }

    public float getData86sub3InAirLubePressure() {
        return Data86sub3InAirLubePressure;
    }

    public float getData86sub3OilPressure() {
        return Data86sub3OilPressure;
    }

    public byte getData86sub3OilTemp() {
        return Data86sub3OilTemp;
    }

    public float getData86sub3GasTemp() {
        return Data86sub3GasTemp;
    }

    public int getData86sub3GasPos() {
        return Data86sub3GasPos;
    }

    public int getData87FrameCount() {
        return Data87FrameCount;
    }

    public double getData87GPSLon() {
        return Data87GPSLon;
    }

    public double getData87GPSLat() {
        return Data87GPSLat;
    }

    public double getData87GPSAlt() {
        return Data87GPSAlt;
    }

    public int getData87subFrameID() {
        return Data87subFrameID;
    }

    public int getData87sub0LocPosStatus() {
        return Data87sub0LocPosStatus;
    }

    public int getData87sub0LocPoseNum() {
        return Data87sub0LocPoseNum;
    }

    public float getData87sub0PoseHeadAngle() {
        return Data87sub0PoseHeadAngle;
    }

    public float getData87sub0PosePitchAngle() {
        return Data87sub0PosePitchAngle;
    }

    public float getData87sub0PDOP() {
        return Data87sub0PDOP;
    }

    public float getData87sub0L1MaxSNR() {
        return Data87sub0L1MaxSNR;
    }

    public float getData87sub0L1MinSNR() {
        return Data87sub0L1MinSNR;
    }

    public float getData87sub0L2MaxSNR() {
        return Data87sub0L2MaxSNR;
    }

    public float getData87sub0L2MinSNR() {
        return Data87sub0L2MinSNR;
    }

    public int getData87sub0slaveAntennaLocStatusAndNum() {
        return Data87sub0slaveAntennaLocStatusAndNum;
    }

    public float getData87sub1NEUGndSpeed() {
        return Data87sub1NEUGndSpeed;
    }

    public float getData87sub1NEUGndSpeedDir() {
        return Data87sub1NEUGndSpeedDir;
    }

    public float getData87sub1NEUVerSpeed() {
        return Data87sub1NEUVerSpeed;
    }

    public int getData87sub1SpeedFlag() {
        return Data87sub1SpeedFlag;
    }

    public float getData87sub1UTCSecondDay() {
        return Data87sub1UTCSecondDay;
    }

    public int getData87sub1TimeFlag() {
        return Data87sub1TimeFlag;
    }

    public long getData87sub2UTCDay() {
        return Data87sub2UTCDay;
    }

    public long getData87sub2UTCMonth() {
        return Data87sub2UTCMonth;
    }

    public long getData87sub2UTCYear() {
        return Data87sub2UTCYear;
    }

    public float getData87sub2KnownBaseLineLen() {
        return Data87sub2KnownBaseLineLen;
    }

    public float getData87sub2HeadOffset() {
        return Data87sub2HeadOffset;
    }

    public long getData87sub2DifComPer() {
        return Data87sub2DifComPer;
    }

    public long getData87sub2RTCMCount() {
        return Data87sub2RTCMCount;
    }

    public long getData87sub2RTCMDataLen() {
        return Data87sub2RTCMDataLen;
    }

    public double getData89GPSLon() {
        return Data89GPSLon;
    }

    public double getData89GPSLat() {
        return Data89GPSLat;
    }

    public double getData89GPSAlt() {
        return Data89GPSAlt;
    }

    public int getData89subFrameID() {
        return Data89subFrameID;
    }

    public int getData89sub0LocPosStatus() {
        return Data89sub0LocPosStatus;
    }

    public int getData89sub0LocPoseNum() {
        return Data89sub0LocPoseNum;
    }

    public float getData89sub0PoseHeadAngle() {
        return Data89sub0PoseHeadAngle;
    }

    public float getData89sub0PosePitchAngle() {
        return Data89sub0PosePitchAngle;
    }

    public float getData89sub0PDOP() {
        return Data89sub0PDOP;
    }

    public float getData89sub0L1MaxSNR() {
        return Data89sub0L1MaxSNR;
    }

    public float getData89sub0L1MinSNR() {
        return Data89sub0L1MinSNR;
    }

    public float getData89sub0L2MaxSNR() {
        return Data89sub0L2MaxSNR;
    }

    public float getData89sub0L2MinSNR() {
        return Data89sub0L2MinSNR;
    }

    public int getData89sub0slaveAntennaLocStatusAndNum() {
        return Data89sub0slaveAntennaLocStatusAndNum;
    }

    public float getData89sub1NEUGndSpeed() {
        return Data89sub1NEUGndSpeed;
    }

    public float getData89sub1NEUGndSpeedDir() {
        return Data89sub1NEUGndSpeedDir;
    }

    public float getData89sub1NEUVerSpeed() {
        return Data89sub1NEUVerSpeed;
    }

    public int getData89sub1SpeedFlag() {
        return Data89sub1SpeedFlag;
    }

    public float getData89sub1UTCSecond() {
        return Data89sub1UTCSecond;
    }

    public int getData89sub1TimeFlag() {
        return Data89sub1TimeFlag;
    }

    public long getData89sub2UTCDay() {
        return Data89sub2UTCDay;
    }

    public long getData89sub2UTCMonth() {
        return Data89sub2UTCMonth;
    }

    public long getData89sub2UTCYear() {
        return Data89sub2UTCYear;
    }

    public float getData89sub2KnownBaseLineLen() {
        return Data89sub2KnownBaseLineLen;
    }

    public float getData89sub2HeadOffset() {
        return Data89sub2HeadOffset;
    }

    public long getData89sub2DifComPer() {
        return Data89sub2DifComPer;
    }
}
