#include "praseapi.h"
#include <iostream>

/*
 * Class:     com_htfp_jni_uav98_api_Uav98FlightDataJNI
 * Method:    decode21
 * Signature: ([B)Lcom/htfp/jni/uav98/bean/Uav98FlightDataFrame21;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav98_api_Uav98FlightDataJNI_decode81_184(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 256);
	delete[] buf;
	buf = nullptr;

	return Decode98::Decode81_84(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav98_api_Uav98FlightDataJNI
 * Method:    decode25
 * Signature: ([B)Lcom/htfp/jni/uav98/bean/Uav98FlightDataFrame25;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav98_api_Uav98FlightDataJNI_decode85_189(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 256);
	delete[] buf;
	buf = nullptr;

	return Decode98::Decode85_89(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav98_api_Uav98FlightDataJNI
 * Method:    decode2B
 * Signature: ([B)Lcom/htfp/jni/uav98/bean/Uav98FlightDataFrame2B;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav98_api_Uav98FlightDataJNI_decode8B_18E(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 256);
	delete[] buf;
	buf = nullptr;

	return Decode98::Decode8B_8E(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav98_api_Uav98FlightDataJNI
 * Method:    decode2F
 * Signature: ([B)Lcom/htfp/jni/uav98/bean/Uav98FlightDataFrame2F;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav98_api_Uav98FlightDataJNI_decode8F_193(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 256);
	delete[] buf;
	buf = nullptr;

	return Decode98::Decode8F_93(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav98_api_Uav98FlightDataJNI
 * Method:    decode95
 * Signature: ([B)Lcom/htfp/jni/uav98/bean/Uav98FlightDataFrame95;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav98_api_Uav98FlightDataJNI_decode8F_196(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 256);
	delete[] buf;
	buf = nullptr;

	return Decode98::Decode8F_96(env, Parse);
}