#include "parseapi.h"
#include <iostream>


/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA1
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA1;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA0(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeA0(env, Parse);
}


/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA1
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA1;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA1 (JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

    return Decode981A::DecodeA1(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA2
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA2;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA2(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeA2(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA3
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA3;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA3(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeA3(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA4
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA4;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA4(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeA4(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA5
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA5;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA5(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeA5(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA6
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA6;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA6(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeA6(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA7
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA7;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA7(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeA7(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA8
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA8;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA8(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeA8(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeA9
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameA9;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeA9(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeA9(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeAA
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameAA;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeAA(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeAA(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeAB
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameAB;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeAB(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeAB(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeAC
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameAC;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeAC(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeAC(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeAD
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameAD;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeAD(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeAD(env, Parse);
}

/*
 * Class:     com_htfp_jni_uav981A_api_Uav981AFlightDataJNI
 * Method:    decodeAE
 * Signature: ([B)Lcom/htfp/jni/uav981A/bean/Uav981AFlightDataFrameAE;
 */
JNIEXPORT jobject JNICALL Java_com_htfp_jni_uav981A_api_Uav981AFlightDataJNI_decodeAE(JNIEnv* env, jobject, jbyteArray input)
{
	CFrameFK_D_JE Parse;

	int len = env->GetArrayLength(input);
	unsigned char* buf = new unsigned char[len];
	env->GetByteArrayRegion(input, 0, len, reinterpret_cast<jbyte*>(buf));

	Parse.Phrase(buf, 32);
	delete[] buf;
	buf = nullptr;

	return Decode981A::DecodeAE(env, Parse);
}