#include "Decode981C.h"

jobject Decode981C::DecodeC0(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC0");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC0flyID = (env)->GetFieldID(jReturnClass, "DataC0flyID", "I");

	env->SetIntField(jReturnObj, DataC0flyID, static_cast<int>(Parse.Data.DataC0.flyID));

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeC1(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC1");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC1FlyID = (env)->GetFieldID(jReturnClass, "DataC1FlyID", "I");
	jfieldID DataC1FrameCount = (env)->GetFieldID(jReturnClass, "DataC1FrameCount", "I");
	jfieldID DataC1FyAngle = (env)->GetFieldID(jReturnClass, "DataC1FyAngle", "I");
	jfieldID DataC1GzAngle = (env)->GetFieldID(jReturnClass, "DataC1GzAngle", "I");
	jfieldID DataC1HeadAngle = (env)->GetFieldID(jReturnClass, "DataC1HeadAngle", "I");
	jfieldID DataC1FyW = (env)->GetFieldID(jReturnClass, "DataC1FyW", "F");
	jfieldID DataC1GzW = (env)->GetFieldID(jReturnClass, "DataC1GzW", "F");
	jfieldID DataC1PhW = (env)->GetFieldID(jReturnClass, "DataC1PhW", "F");
	jfieldID DataC1Xw = (env)->GetFieldID(jReturnClass, "DataC1Xw", "F");
	jfieldID DataC1Yw = (env)->GetFieldID(jReturnClass, "DataC1Yw", "F");
	jfieldID DataC1Zw = (env)->GetFieldID(jReturnClass, "DataC1Zw", "F");
	jfieldID DataC1FyGiven = (env)->GetFieldID(jReturnClass, "DataC1FyGiven", "I");
	jfieldID DataC1GzGiven = (env)->GetFieldID(jReturnClass, "DataC1GzGiven", "I");
	jfieldID DataC1rotorFyGiven = (env)->GetFieldID(jReturnClass, "DataC1rotorFyGiven", "F");
	jfieldID DataC1rotorGzGiven = (env)->GetFieldID(jReturnClass, "DataC1rotorGzGiven", "F");
	jfieldID DataC1HeadGiven = (env)->GetFieldID(jReturnClass, "DataC1HeadGiven", "F");
	jfieldID DataC1OpenCMDRe = (env)->GetFieldID(jReturnClass, "DataC1OpenCMDRe", "I");

	env->SetIntField(jReturnObj, DataC1FlyID, static_cast<int>(Parse.Data.DataC1.FlyID));
	env->SetIntField(jReturnObj, DataC1FrameCount, static_cast<int>(Parse.Data.DataC1.FrameCount));
	env->SetIntField(jReturnObj, DataC1FyAngle, round(Parse.Data.DataC1.FyAngle * 100));
	env->SetIntField(jReturnObj, DataC1GzAngle, round(Parse.Data.DataC1.GzAngle * 100));
	env->SetIntField(jReturnObj, DataC1HeadAngle, round(Parse.Data.DataC1.HeadAngle * 100));
	env->SetFloatField(jReturnObj, DataC1FyW, Parse.Data.DataC1.FyW);
	env->SetFloatField(jReturnObj, DataC1GzW, Parse.Data.DataC1.GzW);
	env->SetFloatField(jReturnObj, DataC1PhW, Parse.Data.DataC1.PhW);
	env->SetFloatField(jReturnObj, DataC1Xw, Parse.Data.DataC1.Xw);
	env->SetFloatField(jReturnObj, DataC1Yw, Parse.Data.DataC1.Yw);
	env->SetFloatField(jReturnObj, DataC1Zw, Parse.Data.DataC1.Zw);
	env->SetIntField(jReturnObj, DataC1FyGiven, round(Parse.Data.DataC1.FyGiven * 2));
	env->SetIntField(jReturnObj, DataC1GzGiven, round(Parse.Data.DataC1.GzGiven * 2));
	env->SetFloatField(jReturnObj, DataC1rotorFyGiven, Parse.Data.DataC1.rotorFyGiven);
	env->SetFloatField(jReturnObj, DataC1rotorGzGiven, Parse.Data.DataC1.rotorGzGiven);
	env->SetFloatField(jReturnObj, DataC1HeadGiven, static_cast<int>(Parse.Data.DataC1.HeadGiven));
	env->SetIntField(jReturnObj, DataC1OpenCMDRe, static_cast<int>(Parse.Data.DataC1.OpenCMDRe));

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeC2(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC2");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC2flyID = (env)->GetFieldID(jReturnClass, "DataC2flyID", "I");
	jfieldID DataC2FrameCount = (env)->GetFieldID(jReturnClass, "DataC2FrameCount", "I");
	jfieldID DataC2GPSLongitude = (env)->GetFieldID(jReturnClass, "DataC2GPSLongitude", "I");
	jfieldID DataC2GPSLatitude = (env)->GetFieldID(jReturnClass, "DataC2GPSLatitude", "I");
	jfieldID DataC2HBHeight = (env)->GetFieldID(jReturnClass, "DataC2HBHeight", "I");
	jfieldID DataC2AirHeight = (env)->GetFieldID(jReturnClass, "DataC2AirHeight", "I");
	jfieldID DataC2ReLHeight = (env)->GetFieldID(jReturnClass, "DataC2ReLHeight", "I");
	jfieldID DataC2GroundSpeed = (env)->GetFieldID(jReturnClass, "DataC2GroundSpeed", "I");
	jfieldID DataC2GroundSpeedDirect = (env)->GetFieldID(jReturnClass, "DataC2GroundSpeedDirect", "I");
	jfieldID DataC2VeSpeed = (env)->GetFieldID(jReturnClass, "DataC2VeSpeed", "I");
	jfieldID DataC2AirSpeed = (env)->GetFieldID(jReturnClass, "DataC2AirSpeed", "I");
	jfieldID DataC2RealAirSpped = (env)->GetFieldID(jReturnClass, "DataC2RealAirSpped", "I");
	jfieldID DataC2ForwardSpeed = (env)->GetFieldID(jReturnClass, "DataC2ForwardSpeed", "I");
	jfieldID DataC2CPSpeed = (env)->GetFieldID(jReturnClass, "DataC2CPSpeed", "I");

	env->SetIntField(jReturnObj, DataC2flyID, static_cast<int>(Parse.Data.DataC2.flyID));
	env->SetIntField(jReturnObj, DataC2FrameCount, static_cast<int>(Parse.Data.DataC2.FrameCount));
	env->SetIntField(jReturnObj, DataC2GPSLongitude, round(Parse.Data.DataC2.GPSLongitude * 1e7));
	env->SetIntField(jReturnObj, DataC2GPSLatitude, round(Parse.Data.DataC2.GPSLatitude * 1e7));
	env->SetIntField(jReturnObj, DataC2HBHeight, round(Parse.Data.DataC2.HBHeight * 100));
	env->SetIntField(jReturnObj, DataC2AirHeight, round(Parse.Data.DataC2.AirHeight * 100));
	env->SetIntField(jReturnObj, DataC2ReLHeight, round(Parse.Data.DataC2.RelHeight * 100));
	env->SetIntField(jReturnObj, DataC2GroundSpeed, round(Parse.Data.DataC2.GroundSpeed * 100));
	env->SetIntField(jReturnObj, DataC2GroundSpeedDirect, round(Parse.Data.DataC2.GroundSpeedDirect * 100));
	env->SetIntField(jReturnObj, DataC2VeSpeed, round(Parse.Data.DataC2.VeSpeed * 100));
	env->SetIntField(jReturnObj, DataC2AirSpeed, round(Parse.Data.DataC2.AirSpeed * 100));
	env->SetIntField(jReturnObj, DataC2RealAirSpped, round(Parse.Data.DataC2.RealAirSpped * 2));
	env->SetIntField(jReturnObj, DataC2ForwardSpeed, round(Parse.Data.DataC2.ForwardSpeed * 2));
	env->SetIntField(jReturnObj, DataC2CPSpeed, round(Parse.Data.DataC2.CPSpeed * 2));

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeC3(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC3");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC3flyID = (env)->GetFieldID(jReturnClass, "DataC3flyID", "I");
	jfieldID DataC3FrameCount = (env)->GetFieldID(jReturnClass, "DataC3FrameCount", "I");
	jfieldID DataC3FlyStatus_Mode_Period = (env)->GetFieldID(jReturnClass, "DataC3FlyStatus_Mode_Period", "I");
	jfieldID DataC3NaviMode_Step = (env)->GetFieldID(jReturnClass, "DataC3NaviMode_Step", "I");
	jfieldID DataC3HorVerCtrLMode = (env)->GetFieldID(jReturnClass, "DataC3HorVerCtrLMode", "I");
	jfieldID DataC3VerCmd_Step = (env)->GetFieldID(jReturnClass, "DataC3VerCmd_Step", "I");
	jfieldID DataC3GasMode_HorCmd = (env)->GetFieldID(jReturnClass, "DataC3GasMode_HorCmd", "I");
	jfieldID DataC3subFrameID = (env)->GetFieldID(jReturnClass, "DataC3subFrameID", "I");
	jfieldID DataC3sub0DataUseStatus = (env)->GetFieldID(jReturnClass, "DataC3sub0DataUseStatus", "J");
	jfieldID DataC3sub1SensorOnOffFlag = (env)->GetFieldID(jReturnClass, "DataC3sub1SensorOnOffFlag", "I");
	jfieldID DataC3sub1FlyAreaFlag = (env)->GetFieldID(jReturnClass, "DataC3sub1FlyAreaFlag", "I");
	jfieldID DataC3sub2SelfCheckFlag = (env)->GetFieldID(jReturnClass, "DataC3sub2SelfCheckFlag", "I");
	jfieldID DataC3sub2IronReadFlag = (env)->GetFieldID(jReturnClass, "DataC3sub2IronReadFlag", "I");

	env->SetIntField(jReturnObj, DataC3flyID, static_cast<int>(Parse.Data.DataC3.flyID));
	env->SetIntField(jReturnObj, DataC3FrameCount, static_cast<int>(Parse.Data.DataC3.FrameCount));
	env->SetIntField(jReturnObj, DataC3FlyStatus_Mode_Period, static_cast<int>(Parse.Data.DataC3.FlyStatus_Mode_Period));
	env->SetIntField(jReturnObj, DataC3NaviMode_Step, static_cast<int>(Parse.Data.DataC3.NaviMode_Step));
	env->SetIntField(jReturnObj, DataC3HorVerCtrLMode, static_cast<int>(Parse.Data.DataC3.HorVerCtrlMode));
	env->SetIntField(jReturnObj, DataC3VerCmd_Step, static_cast<int>(Parse.Data.DataC3.VerCmd_Step));
	env->SetIntField(jReturnObj, DataC3GasMode_HorCmd, static_cast<int>(Parse.Data.DataC3.GasMode_HorCmd));
	env->SetIntField(jReturnObj, DataC3subFrameID, static_cast<int>(Parse.Data.DataC3.subFrameID));
	env->SetLongField(jReturnObj, DataC3sub0DataUseStatus, static_cast<long long>(Parse.Data.DataC3.sub0.DataUseStatus));
	env->SetIntField(jReturnObj, DataC3sub1SensorOnOffFlag, static_cast<int>(Parse.Data.DataC3.sub1.SensorOnOffFlag));
	env->SetIntField(jReturnObj, DataC3sub1FlyAreaFlag, static_cast<int>(Parse.Data.DataC3.sub1.FlyAreaFlag));
	env->SetIntField(jReturnObj, DataC3sub2SelfCheckFlag, static_cast<int>(Parse.Data.DataC3.sub2.SelfCheckFlag));
	env->SetIntField(jReturnObj, DataC3sub2IronReadFlag, static_cast<int>(Parse.Data.DataC3.sub2.IronReadFlag));

	std::cout << "״̬־start" << std::endl;

	// 1. ״̬־
	jfieldID FlightStatusFlagParam = (env)->GetFieldID(jReturnClass, "DataC3FlyStateFlag", "Lcom/htfp/jni/uav981C/bean/param/FlightStatusFlagParam;");
	jclass returnClass1 = env->FindClass("com/htfp/jni/uav981C/bean/param/FlightStatusFlagParam");
	jmethodID FlightStatusFlagId = env->GetMethodID(returnClass1, "<init>", "()V");
	jobject obj1 = env->NewObject(returnClass1, FlightStatusFlagId);

	jfieldID preTakeoff = env->GetFieldID(returnClass1, "preTakeoff", "Z");
	jfieldID inTheAir = env->GetFieldID(returnClass1, "inTheAir", "Z");
	jfieldID unlock = env->GetFieldID(returnClass1, "unlock", "Z");
	jfieldID manualGrounding = env->GetFieldID(returnClass1, "manualGrounding", "Z");

	uint32_t flight_flag = Parse.Data.DataC3.FlyStateFlag;
	env->SetBooleanField(obj1, preTakeoff, flight_flag);
	env->SetBooleanField(obj1, inTheAir, flight_flag >> 2);
	env->SetBooleanField(obj1, unlock, flight_flag >> 8);
	env->SetBooleanField(obj1, manualGrounding, flight_flag >> 12);

	// Լ
	jfieldID TakeoffSelfCheckParam = (env)->GetFieldID(returnClass1, "takeoffSelfCheck", "Lcom/htfp/jni/uav981C/bean/param/TakeoffSelfCheckParam;");
	jclass localClass = env->FindClass("com/htfp/jni/uav981C/bean/param/TakeoffSelfCheckParam");
	jmethodID takeoffSelfCheckId = env->GetMethodID(localClass, "<init>", "()V");
	{
		jobject localObj = env->NewObject(localClass, takeoffSelfCheckId);

		uint32_t flight_flag1 = flight_flag >> 19;
		{
			jfieldID selfChecking = env->GetFieldID(localClass, "selfChecking", "Z");
			jfieldID selfCheckCompleted = env->GetFieldID(localClass, "selfCheckCompleted", "Z");
			env->SetBooleanField(localObj, selfChecking, flight_flag1);
			env->SetBooleanField(localObj, selfCheckCompleted, flight_flag1 >> 1);
		}

		env->SetObjectField(obj1, TakeoffSelfCheckParam, localObj);
		env->DeleteLocalRef(localClass);

	}
	env->SetObjectField(jReturnObj, FlightStatusFlagParam, obj1);
	env->DeleteLocalRef(returnClass1);

	// 2. ״̬ϱ־
	jfieldID FlightStatusFaultFlagsParam = (env)->GetFieldID(jReturnClass, "DataC3FlyErrorStatus", "Lcom/htfp/jni/uav981C/bean/param/FlightStatusFaultFlagsParam;");
	jclass returnClass2 = env->FindClass("com/htfp/jni/uav981C/bean/param/FlightStatusFaultFlagsParam");
	jmethodID FlightStatusFaultFlagsId = env->GetMethodID(returnClass2, "<init>", "()V");
	jobject obj2 = env->NewObject(returnClass2, FlightStatusFaultFlagsId);

	// ̬
	{
		jfieldID AttitudeOverrunParam = (env)->GetFieldID(returnClass2, "attitudeOverrun", "Lcom/htfp/jni/uav981C/bean/param/AttitudeOverrunParam;");
		jclass localClass = env->FindClass("com/htfp/jni/uav981C/bean/param/AttitudeOverrunParam");
		jmethodID attitudeOverrunId = env->GetMethodID(localClass, "<init>", "()V");
		jobject localObj = env->NewObject(localClass, attitudeOverrunId);

		uint16_t flyError_flag = Parse.Data.DataC3.FlyErrorStatus >> 1;
		jfieldID fixedWingAttitudeOverrun = env->GetFieldID(localClass, "fixedWingAttitudeOverrun", "Z");
		jfieldID rotorWingAttitudeOverrun = env->GetFieldID(localClass, "rotorWingAttitudeOverrun", "Z");
		env->SetBooleanField(localObj, fixedWingAttitudeOverrun, flyError_flag);
		env->SetBooleanField(localObj, rotorWingAttitudeOverrun, flyError_flag >> 1);
		env->SetObjectField(obj2, AttitudeOverrunParam, localObj);

		flyError_flag = Parse.Data.DataC3.FlyErrorStatus >> 4;
		jfieldID altitudeFall = env->GetFieldID(returnClass2, "altitudeFall", "Z");
		env->SetBooleanField(obj2, altitudeFall, flyError_flag);

		env->DeleteLocalRef(localClass);

	}// if end
	env->SetObjectField(jReturnObj, FlightStatusFaultFlagsParam, obj2);
	env->DeleteLocalRef(returnClass2);

	// 3. ״̬
	jfieldID AvionicFaultFlagsParam = (env)->GetFieldID(jReturnClass, "DataC3HDErrorStatus", "Lcom/htfp/jni/uav981C/bean/param/AvionicFaultFlagsParam;");
	jclass returnClass3 = env->FindClass("com/htfp/jni/uav981C/bean/param/AvionicFaultFlagsParam");
	jmethodID AvionicFaultFlagsId = env->GetMethodID(returnClass3, "<init>", "()V");
	jobject obj3 = env->NewObject(returnClass3, AvionicFaultFlagsId);

	{
		uint32_t hdError_flag = Parse.Data.DataC3.HDErrorStatus;
		jfieldID satNavPositioning = env->GetFieldID(returnClass3, "satNavPositioning", "Z");
		jfieldID differentialState = env->GetFieldID(returnClass3, "differentialState", "Z");
		jfieldID satNavAttitude = env->GetFieldID(returnClass3, "satNavAttitude", "Z");
		env->SetBooleanField(obj3, satNavPositioning, hdError_flag);
		env->SetBooleanField(obj3, satNavPositioning, hdError_flag >> 1);
		env->SetBooleanField(obj3, satNavAttitude, hdError_flag >> 2);

		// 
		jfieldID HangUpPowerParam = (env)->GetFieldID(returnClass3, "hangUpPower", "Lcom/htfp/jni/uav981C/bean/param/HangUpPowerParam;");
		jclass localClass1 = env->FindClass("com/htfp/jni/uav981C/bean/param/HangUpPowerParam");
		jmethodID HangUpPowerId = env->GetMethodID(localClass1, "<init>", "()V");
		jobject localObj = env->NewObject(localClass1, HangUpPowerId);

		jfieldID powerSystem1 = env->GetFieldID(localClass1, "powerSystem1", "Z");
		jfieldID powerSystem2 = env->GetFieldID(localClass1, "powerSystem2", "Z");
		jfieldID powerSystem3 = env->GetFieldID(localClass1, "powerSystem3", "Z");
		jfieldID powerSystem4 = env->GetFieldID(localClass1, "powerSystem4", "Z");
		jfieldID powerSystem5 = env->GetFieldID(localClass1, "powerSystem5", "Z");
		jfieldID powerSystem6 = env->GetFieldID(localClass1, "powerSystem6", "Z");
		jfieldID powerSystem7 = env->GetFieldID(localClass1, "powerSystem7", "Z");
		jfieldID powerSystem8 = env->GetFieldID(localClass1, "powerSystem8", "Z");
		hdError_flag = hdError_flag >> 8;
		env->SetBooleanField(localObj, powerSystem1, hdError_flag);
		env->SetBooleanField(localObj, powerSystem2, hdError_flag >> 1);
		env->SetBooleanField(localObj, powerSystem3, hdError_flag >> 2);
		env->SetBooleanField(localObj, powerSystem4, hdError_flag >> 3);
		env->SetBooleanField(localObj, powerSystem5, hdError_flag >> 4);
		env->SetBooleanField(localObj, powerSystem6, hdError_flag >> 5);
		env->SetBooleanField(localObj, powerSystem7, hdError_flag >> 6);
		env->SetBooleanField(localObj, powerSystem8, hdError_flag >> 7);

		env->SetObjectField(obj3, HangUpPowerParam, localObj);
		env->DeleteLocalRef(localClass1);

		// ϵͳ
		jfieldID ServoSystemParam = (env)->GetFieldID(returnClass3, "servoSystem", "Lcom/htfp/jni/uav981C/bean/param/ServoSystemParam;");
		jclass localClass2 = env->FindClass("com/htfp/jni/uav981C/bean/param/ServoSystemParam");
		jmethodID ServoSystemId = env->GetMethodID(localClass2, "<init>", "()V");
		localObj = env->NewObject(localClass2, ServoSystemId);

		jfieldID leftOuterAileron = env->GetFieldID(localClass2, "leftOuterAileron", "Z");
		jfieldID leftInnerAileron = env->GetFieldID(localClass2, "leftInnerAileron", "Z");
		jfieldID rightInnerAileron = env->GetFieldID(localClass2, "rightInnerAileron", "Z");
		jfieldID rightOuterAileron = env->GetFieldID(localClass2, "rightOuterAileron", "Z");
		jfieldID leftElevator = env->GetFieldID(localClass2, "leftElevator", "Z");
		jfieldID middleLeftElevator = env->GetFieldID(localClass2, "middleLeftElevator", "Z");
		jfieldID rightElevator = env->GetFieldID(localClass2, "rightElevator", "Z");
		jfieldID leftRudder = env->GetFieldID(localClass2, "leftRudder", "Z");
		jfieldID rightRudder = env->GetFieldID(localClass2, "rightRudder", "Z");
		hdError_flag = hdError_flag >> 8;
		env->SetBooleanField(localObj, leftOuterAileron, hdError_flag);
		env->SetBooleanField(localObj, leftInnerAileron, hdError_flag >> 1);
		env->SetBooleanField(localObj, rightInnerAileron, hdError_flag >> 2);
		env->SetBooleanField(localObj, rightOuterAileron, hdError_flag >> 3);
		env->SetBooleanField(localObj, leftElevator, hdError_flag >> 4);
		env->SetBooleanField(localObj, middleLeftElevator, hdError_flag >> 5);
		env->SetBooleanField(localObj, rightElevator, hdError_flag >> 6);
		env->SetBooleanField(localObj, leftRudder, hdError_flag >> 7);
		env->SetBooleanField(localObj, rightRudder, hdError_flag >> 8);
		env->SetObjectField(obj3, ServoSystemParam, localObj);
		env->DeleteLocalRef(localClass2);

		hdError_flag = hdError_flag >> 8;
		jfieldID tailThrustPower = env->GetFieldID(returnClass3, "tailThrustPower", "Z");
		jfieldID receiver = env->GetFieldID(returnClass3, "receiver", "Z");
		jfieldID batteryVoltage = env->GetFieldID(returnClass3, "batteryVoltage", "Z");
		env->SetBooleanField(obj3, tailThrustPower, hdError_flag);
		env->SetBooleanField(obj3, receiver, hdError_flag >> 1);
		env->SetBooleanField(obj3, batteryVoltage, hdError_flag >> 2);
	}

	env->SetObjectField(jReturnObj, AvionicFaultFlagsParam, obj3);
	env->DeleteLocalRef(returnClass3);


	//4. ״̬
	jfieldID SensorStatusParam = (env)->GetFieldID(jReturnClass, "DataC3SensorStatus", "Lcom/htfp/jni/uav981C/bean/param/SensorStatusParam;");
	jclass returnClass4 = env->FindClass("com/htfp/jni/uav981C/bean/param/SensorStatusParam");
	jmethodID SensorStatusId = env->GetMethodID(returnClass4, "<init>", "()V");
	jobject obj4 = env->NewObject(returnClass4, SensorStatusId);

	uint16_t sensorStatus_flag1 = Parse.Data.DataC3.SensorStatus16;
	uint8_t sensorStatus_flag2 = Parse.Data.DataC3.SensorStatus8;
	{
		// ϵ
		jfieldID CombinationNavParam = (env)->GetFieldID(returnClass4, "combinationNav", "Lcom/htfp/jni/uav981C/bean/param/CombinationNavParam;");
		jclass localClass1 = env->FindClass("com/htfp/jni/uav981C/bean/param/CombinationNavParam");
		jmethodID CombinationNavId = env->GetMethodID(localClass1, "<init>", "()V");
		jobject localObj = env->NewObject(localClass1, CombinationNavId);
		jfieldID combinationNavA = env->GetFieldID(localClass1, "combinationNavA", "Z");
		jfieldID combinationNavB = env->GetFieldID(localClass1, "combinationNavB", "Z");
		env->SetBooleanField(localObj, combinationNavA, sensorStatus_flag1);
		env->SetBooleanField(localObj, combinationNavB, sensorStatus_flag1 >> 3);
		env->SetObjectField(obj4, CombinationNavParam, localObj);
		env->DeleteLocalRef(localClass1);

		// ݼӱ
		jfieldID GyroAccelerometerParam = (env)->GetFieldID(returnClass4, "gyroAccelerometer", "Lcom/htfp/jni/uav981C/bean/param/GyroAccelerometerParam;");
		jclass localClass2 = env->FindClass("com/htfp/jni/uav981C/bean/param/GyroAccelerometerParam");
		jmethodID GyroAccelerometerId = env->GetMethodID(localClass2, "<init>", "()V");
		localObj = env->NewObject(localClass2, GyroAccelerometerId);
		jfieldID gyroAccelerometerA = env->GetFieldID(localClass2, "gyroAccelerometerA", "Z");
		jfieldID gyroAccelerometerB = env->GetFieldID(localClass2, "gyroAccelerometerB", "Z");
		env->SetBooleanField(localObj, gyroAccelerometerA, sensorStatus_flag1 >> 1);
		env->SetBooleanField(localObj, gyroAccelerometerB, sensorStatus_flag1 >> 4);
		env->SetObjectField(obj4, GyroAccelerometerParam, localObj);
		env->DeleteLocalRef(localClass2);

		// ߶ȱ

		jfieldID AltimeterParam = (env)->GetFieldID(returnClass4, "altimeter", "Lcom/htfp/jni/uav981C/bean/param/AltimeterParam;");
		jclass localClass3 = env->FindClass("com/htfp/jni/uav981C/bean/param/AltimeterParam");
		jmethodID AltimeterId = env->GetMethodID(localClass3, "<init>", "()V");
		localObj = env->NewObject(localClass3, AltimeterId);
		jfieldID millimeterWaveRadar = env->GetFieldID(localClass3, "millimeterWaveRadar", "Z");
		jfieldID laserRadar = env->GetFieldID(localClass3, "laserRadar", "Z");
		env->SetBooleanField(localObj, millimeterWaveRadar, sensorStatus_flag2);
		env->SetBooleanField(localObj, laserRadar, sensorStatus_flag2 >> 1);
		env->SetObjectField(obj4, AltimeterParam, localObj);
		env->DeleteLocalRef(localClass3);

		// ѹ
		jfieldID BarometerParam = (env)->GetFieldID(returnClass4, "barometer", "Lcom/htfp/jni/uav981C/bean/param/BarometerParam;");
		jclass localClass4 = env->FindClass("com/htfp/jni/uav981C/bean/param/BarometerParam");
		jmethodID BarometerId = env->GetMethodID(localClass4, "<init>", "()V");
		localObj = env->NewObject(localClass4, BarometerId);
		jfieldID pressureAltitudeA = env->GetFieldID(localClass4, "pressureAltitudeA", "Z");
		jfieldID pressureAltitudeB = env->GetFieldID(localClass4, "pressureAltitudeB", "Z");
		jfieldID pressureAltitudeC = env->GetFieldID(localClass4, "pressureAltitudeC", "Z");
		env->SetBooleanField(localObj, pressureAltitudeA, sensorStatus_flag2 >> 2);
		env->SetBooleanField(localObj, pressureAltitudeB, sensorStatus_flag2 >> 4);
		env->SetBooleanField(localObj, pressureAltitudeC, sensorStatus_flag2 >> 6);
		env->SetObjectField(obj4, BarometerParam, localObj);
		env->DeleteLocalRef(localClass4);

		// ټ
		jfieldID AirspeedMeterParam = (env)->GetFieldID(returnClass4, "airspeedMeter", "Lcom/htfp/jni/uav981C/bean/param/AirspeedMeterParam;");
		jclass localClass5 = env->FindClass("com/htfp/jni/uav981C/bean/param/AirspeedMeterParam");
		jmethodID AirspeedMeterId = env->GetMethodID(localClass5, "<init>", "()V");
		localObj = env->NewObject(localClass5, AirspeedMeterId);
		jfieldID airspeedA = env->GetFieldID(localClass5, "airspeedA", "Z");
		jfieldID airspeedB = env->GetFieldID(localClass5, "airspeedB", "Z");
		jfieldID airspeedC = env->GetFieldID(localClass5, "airspeedC", "Z");
		env->SetBooleanField(localObj, airspeedA, sensorStatus_flag2 >> 3);
		env->SetBooleanField(localObj, airspeedB, sensorStatus_flag2 >> 5);
		env->SetBooleanField(localObj, airspeedC, sensorStatus_flag2 >> 7);
		env->SetObjectField(obj4, AirspeedMeterParam, localObj);
		env->DeleteLocalRef(localClass5);
	}
	env->SetObjectField(jReturnObj, SensorStatusParam, obj4);
	env->DeleteLocalRef(returnClass4);

	// 5. װ־
	jfieldID BindingFlagsParam = (env)->GetFieldID(jReturnClass, "DataC3sub0DataBindFlag", "Lcom/htfp/jni/uav981C/bean/param/BindingFlagsParam;");
	jclass returnClass5 = env->FindClass("com/htfp/jni/uav981C/bean/param/BindingFlagsParam");
	jmethodID BindingFlagsId = env->GetMethodID(returnClass5, "<init>", "()V");
	jobject obj5 = env->NewObject(returnClass5, BindingFlagsId);
	uint16_t binding_flag = Parse.Data.DataC3.sub0.DataBindFlag;

	jfieldID route1Binding = env->GetFieldID(returnClass5, "route1Binding", "Z");
	jfieldID recyclingRouteBinding = env->GetFieldID(returnClass5, "recyclingRouteBinding", "Z");
	jfieldID emergencyRouteBinding = env->GetFieldID(returnClass5, "emergencyRouteBinding", "Z");
	jfieldID takeoffParameterBinding = env->GetFieldID(returnClass5, "takeoffParameterBinding", "Z");

	env->SetBooleanField(obj5, route1Binding, binding_flag);
	env->SetBooleanField(obj5, recyclingRouteBinding, binding_flag >> 5);
	env->SetBooleanField(obj5, emergencyRouteBinding, binding_flag >> 6);
	env->SetBooleanField(obj5, takeoffParameterBinding, binding_flag >> 13);

	env->SetObjectField(jReturnObj, BindingFlagsParam, obj5);
	env->DeleteLocalRef(returnClass5);

	// 6. ջ״̬
	jfieldID ClosedLoopControlStatusParam = (env)->GetFieldID(jReturnClass, "DataC3sub1CtrLInLoopFlag", "Lcom/htfp/jni/uav981C/bean/param/ClosedLoopControlStatusParam;");
	jclass returnClass6 = env->FindClass("com/htfp/jni/uav981C/bean/param/ClosedLoopControlStatusParam");
	jmethodID ClosedLoopControlStatusId = env->GetMethodID(returnClass6, "<init>", "()V");
	jobject obj6 = env->NewObject(returnClass6, ClosedLoopControlStatusId);
	jfieldID airspeedKeeping = env->GetFieldID(returnClass6, "airspeedKeeping", "Z");
	env->SetBooleanField(obj6, airspeedKeeping, Parse.Data.DataC3.sub1.CtrlInLoopFlag >> 1);
	env->SetObjectField(jReturnObj, ClosedLoopControlStatusParam, obj6);
	env->DeleteLocalRef(returnClass6);


	// 7. VTOL״̬
	jfieldID VerticalTakeoffAndLandingStatusParam = (env)->GetFieldID(jReturnClass, "DataC3sub2VTOLFlag", "Lcom/htfp/jni/uav981C/bean/param/VerticalTakeoffAndLandingStatusParam;");
	jclass returnClass7 = env->FindClass("com/htfp/jni/uav981C/bean/param/VerticalTakeoffAndLandingStatusParam");
	jmethodID VerticalTakeoffAndLandingStatusId = env->GetMethodID(returnClass7, "<init>", "()V");
	jobject obj7 = env->NewObject(returnClass7, VerticalTakeoffAndLandingStatusId);
	jfieldID rollout = env->GetFieldID(returnClass7, "rollout", "Z");
	env->SetBooleanField(obj7, rollout, Parse.Data.DataC3.sub2.VTOLFlag >> 7);
	env->SetObjectField(jReturnObj, VerticalTakeoffAndLandingStatusParam, obj7);
	env->DeleteLocalRef(returnClass7);

	// 8. ״̬
	jfieldID SensorOverrunStatusParam = (env)->GetFieldID(jReturnClass, "DataC3sub3StatusSensorLimit", "Lcom/htfp/jni/uav981C/bean/param/SensorOverrunStatusParam;");
	jclass returnClass8 = env->FindClass("com/htfp/jni/uav981C/bean/param/SensorOverrunStatusParam");
	jmethodID SensorOverrunStatusId = env->GetMethodID(returnClass8, "<init>", "()V");
	jobject obj8 = env->NewObject(returnClass8, SensorOverrunStatusId);

	uint16_t sensorLimit_flag = Parse.Data.DataC3.sub3.StatusSensorLimit;

	jfieldID satNavAAttitudeOverrun = env->GetFieldID(returnClass8, "satNavAAttitudeOverrun", "Z");
	jfieldID satNavBAttitudeOverrun = env->GetFieldID(returnClass8, "satNavBAttitudeOverrun", "Z");
	jfieldID opticalFiberCourseOverrun = env->GetFieldID(returnClass8, "opticalFiberCourseOverrun", "Z");
	jfieldID millimeterWaveRangingOverrun = env->GetFieldID(returnClass8, "millimeterWaveRangingOverrun", "Z");
	jfieldID laserRadarRangingOverrun = env->GetFieldID(returnClass8, "laserRadarRangingOverrun", "Z");
	jfieldID globalPositioningSystemAltimeterOverrun = env->GetFieldID(returnClass8, "globalPositioningSystemAltimeterOverrun", "Z");
	jfieldID onboardPressureAOverrun = env->GetFieldID(returnClass8, "onboardPressureAOverrun", "Z");
	jfieldID onboardPressureBOverrun = env->GetFieldID(returnClass8, "onboardPressureBOverrun", "Z");
	jfieldID airspeedMeterPressureOverrun = env->GetFieldID(returnClass8, "airspeedMeterPressureOverrun", "Z");
	jfieldID onboardAAirspeedOverrun = env->GetFieldID(returnClass8, "onboardAAirspeedOverrun", "Z");
	jfieldID onboardBAirspeedOverrun = env->GetFieldID(returnClass8, "onboardBAirspeedOverrun", "Z");
	jfieldID airspeedMeterAirspeedOverrun = env->GetFieldID(returnClass8, "airspeedMeterAirspeedOverrun", "Z");


	env->SetBooleanField(obj8, satNavAAttitudeOverrun, sensorLimit_flag);
	env->SetBooleanField(obj8, satNavBAttitudeOverrun, sensorLimit_flag >> 1);
	env->SetBooleanField(obj8, opticalFiberCourseOverrun, sensorLimit_flag >> 2);
	env->SetBooleanField(obj8, millimeterWaveRangingOverrun, sensorLimit_flag >> 3);
	env->SetBooleanField(obj8, laserRadarRangingOverrun, sensorLimit_flag >> 4);
	env->SetBooleanField(obj8, globalPositioningSystemAltimeterOverrun, sensorLimit_flag >> 5);
	env->SetBooleanField(obj8, onboardPressureAOverrun, sensorLimit_flag >> 6);
	env->SetBooleanField(obj8, onboardPressureBOverrun, sensorLimit_flag >> 7);
	env->SetBooleanField(obj8, airspeedMeterPressureOverrun, sensorLimit_flag >> 8);
	env->SetBooleanField(obj8, onboardAAirspeedOverrun, sensorLimit_flag >> 9);
	env->SetBooleanField(obj8, onboardBAirspeedOverrun, sensorLimit_flag >> 10);
	env->SetBooleanField(obj8, airspeedMeterAirspeedOverrun, sensorLimit_flag >> 11);

	env->SetObjectField(jReturnObj, SensorOverrunStatusParam, obj8);
	env->DeleteLocalRef(returnClass8);

	env->DeleteLocalRef(jReturnClass);
	return jReturnObj;
}

jobject Decode981C::DecodeC4(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC4");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC4flyID = (env)->GetFieldID(jReturnClass, "DataC4flyID", "I");
	jfieldID DataC4FrameCount = (env)->GetFieldID(jReturnClass, "DataC4FrameCount", "I");
	jfieldID DataC4OriLineNum = (env)->GetFieldID(jReturnClass, "DataC4OriLineNum", "I");
	jfieldID DataC4OriPtNum = (env)->GetFieldID(jReturnClass, "DataC4OriPtNum", "I");
	jfieldID DataC4NextLineNum = (env)->GetFieldID(jReturnClass, "DataC4NextLineNum", "I");
	jfieldID DataC4NextPtNum = (env)->GetFieldID(jReturnClass, "DataC4NextPtNum", "I");
	jfieldID DataC4FlyLineNum = (env)->GetFieldID(jReturnClass, "DataC4FlyLineNum", "I");
	jfieldID DataC4FlyLinePointNem = (env)->GetFieldID(jReturnClass, "DataC4FlyLinePointNem", "I");
	jfieldID DataC4NeedFLyDist = (env)->GetFieldID(jReturnClass, "DataC4NeedFLyDist", "S");
	jfieldID DataC4PHju = (env)->GetFieldID(jReturnClass, "DataC4PHju", "F");
	jfieldID DataC4PHJiao = (env)->GetFieldID(jReturnClass, "DataC4PHJiao", "F");
	jfieldID DataC4subFrameID = (env)->GetFieldID(jReturnClass, "DataC4subFrameID", "I");
	jfieldID DataC4sub0AltDeviation = (env)->GetFieldID(jReturnClass, "DataC4sub0AltDeviation", "F");
	jfieldID DataC4sub0NextHeading = (env)->GetFieldID(jReturnClass, "DataC4sub0NextHeading", "F");
	jfieldID DataC4sub0IncludedAngle = (env)->GetFieldID(jReturnClass, "DataC4sub0IncludedAngle", "F");
	jfieldID DataC4sub0PXFlag = (env)->GetFieldID(jReturnClass, "DataC4sub0PXFlag", "S");
	jfieldID DataC4sub0PXRadius = (env)->GetFieldID(jReturnClass, "DataC4sub0PXRadius", "I");
	jfieldID DataC4sub0PXDirect = (env)->GetFieldID(jReturnClass, "DataC4sub0PXDirect", "S");
	jfieldID DataC4sub0PXcircles = (env)->GetFieldID(jReturnClass, "DataC4sub0PXcircles", "S");
	jfieldID DataC4sub1AreaSumPointNum = (env)->GetFieldID(jReturnClass, "DataC4sub1AreaSumPointNum", "I");
	jfieldID DataC4sub1AreaNearPointNum = (env)->GetFieldID(jReturnClass, "DataC4sub1AreaNearPointNum", "I");
	jfieldID DataC4sub1AreaShortestDis = (env)->GetFieldID(jReturnClass, "DataC4sub1AreaShortestDis", "S");
	jfieldID DataC4sub1LandPointNum = (env)->GetFieldID(jReturnClass, "DataC4sub1LandPointNum", "I");
	jfieldID DataC4sub1NearLandPointNum = (env)->GetFieldID(jReturnClass, "DataC4sub1NearLandPointNum", "I");
	jfieldID DataC4sub1HUPA0AccelerateDis = (env)->GetFieldID(jReturnClass, "DataC4sub1HUPA0AccelerateDis", "F");
	jfieldID DataC4sub1HUAPA0SLowDownDis = (env)->GetFieldID(jReturnClass, "DataC4sub1HUAPA0SLowDownDis", "F");
	jfieldID DataC4sub1HUAPA0SLideslipDis = (env)->GetFieldID(jReturnClass, "DataC4sub1HUAPA0SLideslipDis", "B");
	jfieldID DataC4sub1HUAPAOYawAngle = (env)->GetFieldID(jReturnClass, "DataC4sub1HUAPAOYawAngle", "F");

	env->SetIntField(jReturnObj, DataC4flyID, static_cast<int>(Parse.Data.DataC4.flyID));
	env->SetIntField(jReturnObj, DataC4FrameCount, static_cast<int>(Parse.Data.DataC4.FrameCount));
	env->SetIntField(jReturnObj, DataC4OriLineNum, static_cast<int>(Parse.Data.DataC4.OriLineNum));
	env->SetIntField(jReturnObj, DataC4OriPtNum, static_cast<int>(Parse.Data.DataC4.OriPtNum));
	env->SetIntField(jReturnObj, DataC4NextLineNum, static_cast<int>(Parse.Data.DataC4.NextLineNum));
	env->SetIntField(jReturnObj, DataC4NextPtNum, static_cast<int>(Parse.Data.DataC4.NextPtNum));
	env->SetIntField(jReturnObj, DataC4FlyLineNum, static_cast<int>(Parse.Data.DataC4.FlyLineNum));
	env->SetIntField(jReturnObj, DataC4FlyLinePointNem, static_cast<int>(Parse.Data.DataC4.FlyLinePointNem));
	env->SetShortField(jReturnObj, DataC4NeedFLyDist, Parse.Data.DataC4.NeedFlyDist);
	env->SetFloatField(jReturnObj, DataC4PHju, Parse.Data.DataC4.PHju);
	env->SetFloatField(jReturnObj, DataC4PHJiao, Parse.Data.DataC4.PHJiao);
	env->SetIntField(jReturnObj, DataC4subFrameID, static_cast<int>(Parse.Data.DataC4.subFrameID));
	env->SetFloatField(jReturnObj, DataC4sub0AltDeviation, Parse.Data.DataC4.sub0.AltDeviation);
	env->SetFloatField(jReturnObj, DataC4sub0NextHeading, Parse.Data.DataC4.sub0.NextHeading);
	env->SetFloatField(jReturnObj, DataC4sub0IncludedAngle, Parse.Data.DataC4.sub0.IncludedAngle);
	env->SetShortField(jReturnObj, DataC4sub0PXFlag, Parse.Data.DataC4.sub0.PXFlag);
	env->SetIntField(jReturnObj, DataC4sub0PXRadius, Parse.Data.DataC4.sub0.PXRadius);
	env->SetShortField(jReturnObj, DataC4sub0PXDirect, Parse.Data.DataC4.sub0.PXDirect);
	env->SetShortField(jReturnObj, DataC4sub0PXcircles, Parse.Data.DataC4.sub0.PXCircles);
	env->SetIntField(jReturnObj, DataC4sub1AreaSumPointNum, static_cast<int>(Parse.Data.DataC4.sub1.AreaSumPointNum));
	env->SetIntField(jReturnObj, DataC4sub1AreaNearPointNum, static_cast<int>(Parse.Data.DataC4.sub1.AreaNearPointNum));
	env->SetShortField(jReturnObj, DataC4sub1AreaShortestDis, Parse.Data.DataC4.sub1.AreaShortestDis);
	env->SetIntField(jReturnObj, DataC4sub1LandPointNum, static_cast<int>(Parse.Data.DataC4.sub1.LandPointNum));
	env->SetIntField(jReturnObj, DataC4sub1NearLandPointNum, static_cast<int>(Parse.Data.DataC4.sub1.NearLandPointNum));
	env->SetFloatField(jReturnObj, DataC4sub1HUPA0AccelerateDis, Parse.Data.DataC4.sub1.HUPAOAccelerateDis);
	env->SetFloatField(jReturnObj, DataC4sub1HUAPA0SLowDownDis, Parse.Data.DataC4.sub1.HUAPAOSlowDownDis);
	env->SetByteField(jReturnObj, DataC4sub1HUAPA0SLideslipDis, Parse.Data.DataC4.sub1.HUAPAOSlideslipDis);
	env->SetFloatField(jReturnObj, DataC4sub1HUAPAOYawAngle, Parse.Data.DataC4.sub1.HUAPAOYawAngle);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeC5(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC5");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC5flyID = (env)->GetFieldID(jReturnClass, "DataC5flyID", "I");
	jfieldID DataC5FrameCount = (env)->GetFieldID(jReturnClass, "DataC5FrameCount", "I");
	jfieldID DataC5MCHeightI = (env)->GetFieldID(jReturnClass, "DataC5MCHeightI", "B");
	jfieldID DataC5MCHeightGiven = (env)->GetFieldID(jReturnClass, "DataC5MCHeightGiven", "F");
	jfieldID DataC5MCVerSpedGiven = (env)->GetFieldID(jReturnClass, "DataC5MCVerSpedGiven", "F");
	jfieldID DataC5MCNorSpedGiven = (env)->GetFieldID(jReturnClass, "DataC5MCNorSpedGiven", "F");
	jfieldID DataC5MCEastSpedGiven = (env)->GetFieldID(jReturnClass, "DataC5MCEastSpedGiven", "F");
	jfieldID DataC5MCRollRateGiven = (env)->GetFieldID(jReturnClass, "DataC5MCRollRateGiven", "F");
	jfieldID DataC5MCPitchRateGiven = (env)->GetFieldID(jReturnClass, "DataC5MCPitchRateGiven", "F");
	jfieldID DataC5MCHeadingRateGiven = (env)->GetFieldID(jReturnClass, "DataC5MCHeadingRateGiven", "F");
	jfieldID DataC5MCElevatorGiven = (env)->GetFieldID(jReturnClass, "DataC5MCElevatorGiven", "F");
	jfieldID DataC5MCAileronGiven = (env)->GetFieldID(jReturnClass, "DataC5MCAileronGiven", "F");
	jfieldID DataC5MCRudderGiven = (env)->GetFieldID(jReturnClass, "DataC5MCRudderGiven", "F");
	jfieldID DataC5MCOutputOil = (env)->GetFieldID(jReturnClass, "DataC5MCOutputOil", "B");
	jfieldID DataC5MCBalancedOil = (env)->GetFieldID(jReturnClass, "DataC5MCBalancedOil", "B");
	jfieldID DataC5MCPitchContinus = (env)->GetFieldID(jReturnClass, "DataC5MCPitchContinus", "F");
	jfieldID DataC5MCRollContinus = (env)->GetFieldID(jReturnClass, "DataC5MCRollContinus", "F");
	jfieldID DataC5MCHeadingContinus = (env)->GetFieldID(jReturnClass, "DataC5MCHeadingContinus", "F");
	jfieldID DataC5MCtrlHandleValue = (env)->GetFieldID(jReturnClass, "DataC5MCtrlHandleValue", "B");
	jfieldID DataC5MCForwardSpeedGiven = (env)->GetFieldID(jReturnClass, "DataC5MCForwardSpeedGiven", "B");

	env->SetIntField(jReturnObj, DataC5flyID, static_cast<int>(Parse.Data.DataC5.flyID));
	env->SetIntField(jReturnObj, DataC5FrameCount, static_cast<int>(Parse.Data.DataC5.FrameCount));
	env->SetByteField(jReturnObj, DataC5MCHeightI, Parse.Data.DataC5.MCHeightI);
	env->SetFloatField(jReturnObj, DataC5MCHeightGiven, Parse.Data.DataC5.MCHeightGiven);
	env->SetFloatField(jReturnObj, DataC5MCVerSpedGiven, Parse.Data.DataC5.MCVerSpedGiven);
	env->SetFloatField(jReturnObj, DataC5MCNorSpedGiven, Parse.Data.DataC5.MCNorSpedGiven);
	env->SetFloatField(jReturnObj, DataC5MCEastSpedGiven, Parse.Data.DataC5.MCEastSpedGiven);
	env->SetFloatField(jReturnObj, DataC5MCRollRateGiven, Parse.Data.DataC5.MCRollRateGiven);
	env->SetFloatField(jReturnObj, DataC5MCPitchRateGiven, Parse.Data.DataC5.MCPitchRateGiven);
	env->SetFloatField(jReturnObj, DataC5MCHeadingRateGiven, Parse.Data.DataC5.MCHeadingRateGiven);
	env->SetFloatField(jReturnObj, DataC5MCElevatorGiven, Parse.Data.DataC5.MCElevatorGiven);
	env->SetFloatField(jReturnObj, DataC5MCAileronGiven, Parse.Data.DataC5.MCAileronGiven);
	env->SetFloatField(jReturnObj, DataC5MCRudderGiven, Parse.Data.DataC5.MCRudderGiven);
	env->SetByteField(jReturnObj, DataC5MCOutputOil, Parse.Data.DataC5.MCOutputOil);
	env->SetByteField(jReturnObj, DataC5MCBalancedOil, Parse.Data.DataC5.MCBalancedOil);
	env->SetFloatField(jReturnObj, DataC5MCPitchContinus, Parse.Data.DataC5.MCPitchContinus);
	env->SetFloatField(jReturnObj, DataC5MCRollContinus, Parse.Data.DataC5.MCRollContinus);
	env->SetFloatField(jReturnObj, DataC5MCHeadingContinus, Parse.Data.DataC5.MCHeadingContinus);
	env->SetByteField(jReturnObj, DataC5MCtrlHandleValue, Parse.Data.DataC5.MCtrlHandleValue);
	env->SetByteField(jReturnObj, DataC5MCForwardSpeedGiven, Parse.Data.DataC5.MCForwardSpeedGiven);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeC6(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC6");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC6flyID = (env)->GetFieldID(jReturnClass, "DataC6flyID", "I");
	jfieldID DataC6FrameCount = (env)->GetFieldID(jReturnClass, "DataC6FrameCount", "I");
	jfieldID DataC6HeightGiven = (env)->GetFieldID(jReturnClass, "DataC6HeightGiven", "F");
	jfieldID DataC6AirSpeedGiven = (env)->GetFieldID(jReturnClass, "DataC6AirSpeedGiven", "F");
	jfieldID DataC6VerSpeedGiven = (env)->GetFieldID(jReturnClass, "DataC6VerSpeedGiven", "F");
	jfieldID DataC6FengMenGiven = (env)->GetFieldID(jReturnClass, "DataC6FengMenGiven", "S");
	jfieldID DataC6subFrameID = (env)->GetFieldID(jReturnClass, "DataC6subFrameID", "I");
	jfieldID DataC6sub0PitchAdjust = (env)->GetFieldID(jReturnClass, "DataC6sub0PitchAdjust", "S");
	jfieldID DataC6sub0RollAdjust = (env)->GetFieldID(jReturnClass, "DataC6sub0RollAdjust", "S");
	jfieldID DataC6sub0DistanceForFLyAdjust = (env)->GetFieldID(jReturnClass, "DataC6sub0DistanceForFLyAdjust", "S");
	jfieldID DataC6sub0SlideDisAdjust = (env)->GetFieldID(jReturnClass, "DataC6sub0SlideDisAdjust", "S");
	jfieldID DataC6sub0AirSpeedAdjust = (env)->GetFieldID(jReturnClass, "DataC6sub0AirSpeedAdjust", "S");
	jfieldID DataC6sub0LandAirSpeedAdjust = (env)->GetFieldID(jReturnClass, "DataC6sub0LandAirSpeedAdjust", "S");
	jfieldID DataC6sub0AngleDeepDownAdjust = (env)->GetFieldID(jReturnClass, "DataC6sub0AngleDeepDownAdjust", "F");
	jfieldID DataC6sub1SumThrottleGiven = (env)->GetFieldID(jReturnClass, "DataC6sub1SumThrottleGiven", "I");
	jfieldID DataC6sub1DefaultThrottleGiven = (env)->GetFieldID(jReturnClass, "DataC6sub1DefaultThrottleGiven", "I");
	jfieldID DataC6sub1AirSpeedCloseLoopProdFMGiven = (env)->GetFieldID(jReturnClass, "DataC6sub1AirSpeedCloseLoopProdFMGiven", "B");
	jfieldID DataC6sub1AirSpeedCloseLoopGasI = (env)->GetFieldID(jReturnClass, "DataC6sub1AirSpeedCloseLoopGasI", "F");
	jfieldID DataC6sub1SumPitchGiven = (env)->GetFieldID(jReturnClass, "DataC6sub1SumPitchGiven", "F");
	jfieldID DataC6sub1DefaultPitchGiven = (env)->GetFieldID(jReturnClass, "DataC6sub1DefaultPitchGiven", "F");
	jfieldID DataC6sub1HeightCloseLoopPitchGiven = (env)->GetFieldID(jReturnClass, "DataC6sub1HeightCloseLoopPitchGiven", "F");
	jfieldID DataC6sub1AirSpeedCloseLoopPitchGiven = (env)->GetFieldID(jReturnClass, "DataC6sub1AirSpeedCloseLoopPitchGiven", "F");
	jfieldID DataC6sub1AirSpeedCloseLoopPitchI = (env)->GetFieldID(jReturnClass, "DataC6sub1AirSpeedCloseLoopPitchI", "F");
	jfieldID DataC6sub1PitchBalencedValue = (env)->GetFieldID(jReturnClass, "DataC6sub1PitchBalencedValue", "F");
	jfieldID DataC6sub1SumRolLGiven = (env)->GetFieldID(jReturnClass, "DataC6sub1SumRolLGiven", "F");
	jfieldID DataC6sub1CircleRollGiven = (env)->GetFieldID(jReturnClass, "DataC6sub1CircleRollGiven", "F");
	jfieldID DataC6sub1RolLAngleI = (env)->GetFieldID(jReturnClass, "DataC6sub1RolLAngleI", "F");
	jfieldID DataC6sub1SlideI = (env)->GetFieldID(jReturnClass, "DataC6sub1SlideI", "F");
	jfieldID DataC6sub1HeightI = (env)->GetFieldID(jReturnClass, "DataC6sub1HeightI", "F");

	env->SetIntField(jReturnObj, DataC6flyID, static_cast<int>(Parse.Data.DataC6.flyID));
	env->SetIntField(jReturnObj, DataC6FrameCount, static_cast<int>(Parse.Data.DataC6.FrameCount));
	env->SetFloatField(jReturnObj, DataC6HeightGiven, Parse.Data.DataC6.HeightGiven);
	env->SetFloatField(jReturnObj, DataC6AirSpeedGiven, Parse.Data.DataC6.AirSpeedGiven);
	env->SetFloatField(jReturnObj, DataC6VerSpeedGiven, Parse.Data.DataC6.VerSpeedGiven);
	env->SetShortField(jReturnObj, DataC6FengMenGiven, Parse.Data.DataC6.FengMenGiven);
	env->SetIntField(jReturnObj, DataC6subFrameID, static_cast<int>(Parse.Data.DataC6.subFrameID));
	env->SetShortField(jReturnObj, DataC6sub0PitchAdjust, Parse.Data.DataC6.sub0.PitchAdjust);
	env->SetShortField(jReturnObj, DataC6sub0RollAdjust, Parse.Data.DataC6.sub0.RollAdjust);
	env->SetShortField(jReturnObj, DataC6sub0DistanceForFLyAdjust, Parse.Data.DataC6.sub0.DistanceForFlyAdjust);
	env->SetShortField(jReturnObj, DataC6sub0SlideDisAdjust, Parse.Data.DataC6.sub0.SlideDisAdjust);
	env->SetShortField(jReturnObj, DataC6sub0AirSpeedAdjust, Parse.Data.DataC6.sub0.AirSpeedAdjust);
	env->SetShortField(jReturnObj, DataC6sub0LandAirSpeedAdjust, Parse.Data.DataC6.sub0.LandAirSpeedAdjust);
	env->SetFloatField(jReturnObj, DataC6sub0AngleDeepDownAdjust, Parse.Data.DataC6.sub0.AngleDeepDownAdjust);
	env->SetIntField(jReturnObj, DataC6sub1SumThrottleGiven, static_cast<int>(Parse.Data.DataC6.sub1.SumThrottleGiven));
	env->SetIntField(jReturnObj, DataC6sub1DefaultThrottleGiven, static_cast<int>(Parse.Data.DataC6.sub1.DefaultThrottleGiven));
	env->SetByteField(jReturnObj, DataC6sub1AirSpeedCloseLoopProdFMGiven, Parse.Data.DataC6.sub1.AirSpeedCloseLoopProdFMGiven);
	env->SetFloatField(jReturnObj, DataC6sub1AirSpeedCloseLoopGasI, Parse.Data.DataC6.sub1.AirSpeedCloseLoopGasI);
	env->SetFloatField(jReturnObj, DataC6sub1SumPitchGiven, Parse.Data.DataC6.sub1.SumPitchGiven);
	env->SetFloatField(jReturnObj, DataC6sub1DefaultPitchGiven, Parse.Data.DataC6.sub1.DefaultPitchGiven);
	env->SetFloatField(jReturnObj, DataC6sub1HeightCloseLoopPitchGiven, Parse.Data.DataC6.sub1.HeightCloseLoopPitchGiven);
	env->SetFloatField(jReturnObj, DataC6sub1AirSpeedCloseLoopPitchGiven, Parse.Data.DataC6.sub1.AirSpeedCloseLoopPitchGiven);
	env->SetFloatField(jReturnObj, DataC6sub1AirSpeedCloseLoopPitchI, Parse.Data.DataC6.sub1.AirSpeedCloseLoopPitchI);
	env->SetFloatField(jReturnObj, DataC6sub1PitchBalencedValue, Parse.Data.DataC6.sub1.PitchBalencedValue);
	env->SetFloatField(jReturnObj, DataC6sub1SumRolLGiven, Parse.Data.DataC6.sub1.SumRollGiven);
	env->SetFloatField(jReturnObj, DataC6sub1CircleRollGiven, Parse.Data.DataC6.sub1.CircleRollGiven);
	env->SetFloatField(jReturnObj, DataC6sub1RolLAngleI, Parse.Data.DataC6.sub1.RollAngleI);
	env->SetFloatField(jReturnObj, DataC6sub1SlideI, Parse.Data.DataC6.sub1.SlideI);
	env->SetFloatField(jReturnObj, DataC6sub1HeightI, Parse.Data.DataC6.sub1.HeightI);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}


jobject Decode981C::DecodeC7(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC7");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC7flyID = (env)->GetFieldID(jReturnClass, "DataC7flyID", "I");
	jfieldID DataC7FrameCount = (env)->GetFieldID(jReturnClass, "DataC7FrameCount", "I");
	jfieldID DataC7UpDownGiven = (env)->GetFieldID(jReturnClass, "DataC7UpDownGiven", "F");
	jfieldID DataC7AssFYGiven = (env)->GetFieldID(jReturnClass, "DataC7AssFYGiven", "F");
	jfieldID DataC7DirDuoGiven = (env)->GetFieldID(jReturnClass, "DataC7DirDuoGiven", "F");
	jfieldID DataC7subFrameID = (env)->GetFieldID(jReturnClass, "DataC7subFrameID", "I");
	jfieldID DataC7sub0LeftOutAWingState = (env)->GetFieldID(jReturnClass, "DataC7sub0LeftOutAWingState", "B");
	jfieldID DataC7sub0LeftInAWingState = (env)->GetFieldID(jReturnClass, "DataC7sub0LeftInAWingState", "B");
	jfieldID DataC7sub0RightInAWingState = (env)->GetFieldID(jReturnClass, "DataC7sub0RightInAWingState", "B");
	jfieldID DataC7sub0RightoutAWingState = (env)->GetFieldID(jReturnClass, "DataC7sub0RightoutAWingState", "B");
	jfieldID DataC7sub0LUpDownState = (env)->GetFieldID(jReturnClass, "DataC7sub0LUpDownState", "B");
	jfieldID DataC7sub0MidUpDownState = (env)->GetFieldID(jReturnClass, "DataC7sub0MidUpDownState", "B");
	jfieldID DataC7sub0MidRUpDownStateAngle = (env)->GetFieldID(jReturnClass, "DataC7sub0MidRUpDownStateAngle", "F");
	jfieldID DataC7sub0MidRUpDownStateEle = (env)->GetFieldID(jReturnClass, "DataC7sub0MidRUpDownStateEle", "F");
	jfieldID DataC7sub0MidRUpDownStateTemp = (env)->GetFieldID(jReturnClass, "DataC7sub0MidRUpDownStateTemp", "F");
	jfieldID DataC7sub0LeftOutAWingRe = (env)->GetFieldID(jReturnClass, "DataC7sub0LeftOutAWingRe", "F");
	jfieldID DataC7sub0LeftInAWingRe = (env)->GetFieldID(jReturnClass, "DataC7sub0LeftInAWingRe", "F");
	jfieldID DataC7sub0RightInAWingRe = (env)->GetFieldID(jReturnClass, "DataC7sub0RightInAWingRe", "F");
	jfieldID DataC7sub0RightOutAWingRe = (env)->GetFieldID(jReturnClass, "DataC7sub0RightOutAWingRe", "F");
	jfieldID DataC7sub0LUpDownRe = (env)->GetFieldID(jReturnClass, "DataC7sub0LUpDownRe", "F");
	jfieldID DataC7sub0MidLeftUpDownRe = (env)->GetFieldID(jReturnClass, "DataC7sub0MidLeftUpDownRe", "F");
	jfieldID DataC7sub0RUpDownRe = (env)->GetFieldID(jReturnClass, "DataC7sub0RUpDownRe", "F");
	jfieldID DataC7sub0LDirRudderRe = (env)->GetFieldID(jReturnClass, "DataC7sub0LDirRudderRe", "F");
	jfieldID DataC7sub0RDirRudderRe = (env)->GetFieldID(jReturnClass, "DataC7sub0RDirRudderRe", "F");
	jfieldID DataC7sub0AirDropSteerForword = (env)->GetFieldID(jReturnClass, "DataC7sub0AirDropSteerForword", "B");
	jfieldID DataC7sub0AirDropSteerBack = (env)->GetFieldID(jReturnClass, "DataC7sub0AirDropSteerBack", "B");
	jfieldID DataC7sub0LeftHatchStree = (env)->GetFieldID(jReturnClass, "DataC7sub0LeftHatchStree", "B");
	jfieldID DataC7sub1LeftOutAWingCurrent = (env)->GetFieldID(jReturnClass, "DataC7sub1LeftOutAWingCurrent", "F");
	jfieldID DataC7sub1LeftInAWingCurrent = (env)->GetFieldID(jReturnClass, "DataC7sub1LeftInAWingCurrent", "F");
	jfieldID DataC7sub1RightInAWingCurrent = (env)->GetFieldID(jReturnClass, "DataC7sub1RightInAWingCurrent", "F");
	jfieldID DataC7sub1RightOutAWingCurrent = (env)->GetFieldID(jReturnClass, "DataC7sub1RightOutAWingCurrent", "F");
	jfieldID DataC7sub1LUpDownCurrent = (env)->GetFieldID(jReturnClass, "DataC7sub1LUpDownCurrent", "F");
	jfieldID DataC7sub1MidUpDownCurrent = (env)->GetFieldID(jReturnClass, "DataC7sub1MidUpDownCurrent", "F");
	jfieldID DataC7sub1RUpDownCurrent = (env)->GetFieldID(jReturnClass, "DataC7sub1RUpDownCurrent", "F");
	jfieldID DataC7sub1LDirRudderCurrent = (env)->GetFieldID(jReturnClass, "DataC7sub1LDirRudderCurrent", "F");
	jfieldID DataC7sub1RDirRudderCurrent = (env)->GetFieldID(jReturnClass, "DataC7sub1RDirRudderCurrent", "F");
	jfieldID DataC7sub1LeftOutAWingTemperature = (env)->GetFieldID(jReturnClass, "DataC7sub1LeftOutAWingTemperature", "F");
	jfieldID DataC7sub1LeftInAWingTemperature = (env)->GetFieldID(jReturnClass, "DataC7sub1LeftInAWingTemperature", "F");
	jfieldID DataC7sub1RightInAWingTemperature = (env)->GetFieldID(jReturnClass, "DataC7sub1RightInAWingTemperature", "F");
	jfieldID DataC7sub1RightOutAWingTemperature = (env)->GetFieldID(jReturnClass, "DataC7sub1RightOutAWingTemperature", "F");
	jfieldID DataC7sub1LUpDownTemperature = (env)->GetFieldID(jReturnClass, "DataC7sub1LUpDownTemperature", "F");
	jfieldID DataC7sub1MidUpDownTemperature = (env)->GetFieldID(jReturnClass, "DataC7sub1MidUpDownTemperature", "F");
	jfieldID DataC7sub1RUpDownTemperature = (env)->GetFieldID(jReturnClass, "DataC7sub1RUpDownTemperature", "F");
	jfieldID DataC7sub1LDirRudderTemperature = (env)->GetFieldID(jReturnClass, "DataC7sub1LDirRudderTemperature", "F");
	jfieldID DataC7sub1RDirRudderTemperature = (env)->GetFieldID(jReturnClass, "DataC7sub1RDirRudderTemperature", "F");
	jfieldID DataC7sub1RightHatchSteer = (env)->GetFieldID(jReturnClass, "DataC7sub1RightHatchSteer", "B");
	jfieldID DataC7sub1AirDropForwordEle = (env)->GetFieldID(jReturnClass, "DataC7sub1AirDropForwordEle", "B");
	jfieldID DataC7sub1HatchEle = (env)->GetFieldID(jReturnClass, "DataC7sub1HatchEle", "B");

	env->SetIntField(jReturnObj, DataC7flyID, static_cast<int>(Parse.Data.DataC7.flyID));
	env->SetIntField(jReturnObj, DataC7FrameCount, static_cast<int>(Parse.Data.DataC7.FrameCount));
	env->SetFloatField(jReturnObj, DataC7UpDownGiven, Parse.Data.DataC7.UpDownGiven);
	env->SetFloatField(jReturnObj, DataC7AssFYGiven, Parse.Data.DataC7.AssFYGiven);
	env->SetFloatField(jReturnObj, DataC7DirDuoGiven, Parse.Data.DataC7.DirDuoGiven);
	env->SetIntField(jReturnObj, DataC7subFrameID, static_cast<int>(Parse.Data.DataC7.subFrameID));
	env->SetByteField(jReturnObj, DataC7sub0LeftOutAWingState, Parse.Data.DataC7.sub0.LeftOutAWingState);
	env->SetByteField(jReturnObj, DataC7sub0LeftInAWingState, Parse.Data.DataC7.sub0.LeftInAWingState);
	env->SetByteField(jReturnObj, DataC7sub0RightInAWingState, Parse.Data.DataC7.sub0.RightInAWingState);
	env->SetByteField(jReturnObj, DataC7sub0RightoutAWingState, Parse.Data.DataC7.sub0.RightOutAWingState);
	env->SetByteField(jReturnObj, DataC7sub0LUpDownState, Parse.Data.DataC7.sub0.LUpDownState);
	env->SetByteField(jReturnObj, DataC7sub0MidUpDownState, Parse.Data.DataC7.sub0.MidUpDownState);
	env->SetFloatField(jReturnObj, DataC7sub0MidRUpDownStateAngle, Parse.Data.DataC7.sub0.MidRUpDownStateAngle);
	env->SetFloatField(jReturnObj, DataC7sub0MidRUpDownStateEle, Parse.Data.DataC7.sub0.MidRUpDownStateEle);
	env->SetFloatField(jReturnObj, DataC7sub0MidRUpDownStateTemp, Parse.Data.DataC7.sub0.MidRUpDownStateTemp);
	env->SetFloatField(jReturnObj, DataC7sub0LeftOutAWingRe, Parse.Data.DataC7.sub0.LeftOutAWingRe);
	env->SetFloatField(jReturnObj, DataC7sub0LeftInAWingRe, Parse.Data.DataC7.sub0.LeftInAWingRe);
	env->SetFloatField(jReturnObj, DataC7sub0RightInAWingRe, Parse.Data.DataC7.sub0.RightInAWingRe);
	env->SetFloatField(jReturnObj, DataC7sub0RightOutAWingRe, Parse.Data.DataC7.sub0.RightOutAWingRe);
	env->SetFloatField(jReturnObj, DataC7sub0LUpDownRe, Parse.Data.DataC7.sub0.LUpDownRe);
	env->SetFloatField(jReturnObj, DataC7sub0MidLeftUpDownRe, Parse.Data.DataC7.sub0.MidLeftUpDownRe);
	env->SetFloatField(jReturnObj, DataC7sub0RUpDownRe, Parse.Data.DataC7.sub0.RUpDownRe);
	env->SetFloatField(jReturnObj, DataC7sub0LDirRudderRe, Parse.Data.DataC7.sub0.LDirRudderRe);
	env->SetFloatField(jReturnObj, DataC7sub0RDirRudderRe, Parse.Data.DataC7.sub0.RDirRudderRe);
	env->SetByteField(jReturnObj, DataC7sub0AirDropSteerForword, Parse.Data.DataC7.sub0.AirDropSteerForword);
	env->SetByteField(jReturnObj, DataC7sub0AirDropSteerBack, Parse.Data.DataC7.sub0.AirDropSteerBack);
	env->SetByteField(jReturnObj, DataC7sub0LeftHatchStree, Parse.Data.DataC7.sub0.LeftHatchStree);
	env->SetFloatField(jReturnObj, DataC7sub1LeftOutAWingCurrent, Parse.Data.DataC7.sub1.LeftOutAWingCurrent);
	env->SetFloatField(jReturnObj, DataC7sub1LeftInAWingCurrent, Parse.Data.DataC7.sub1.LeftInAWingCurrent);
	env->SetFloatField(jReturnObj, DataC7sub1RightInAWingCurrent, Parse.Data.DataC7.sub1.RightInAWingCurrent);
	env->SetFloatField(jReturnObj, DataC7sub1RightOutAWingCurrent, Parse.Data.DataC7.sub1.RightOutAWingCurrent);
	env->SetFloatField(jReturnObj, DataC7sub1LUpDownCurrent, Parse.Data.DataC7.sub1.LUpDownCurrent);
	env->SetFloatField(jReturnObj, DataC7sub1MidUpDownCurrent, Parse.Data.DataC7.sub1.MidUpDownCurrent);
	env->SetFloatField(jReturnObj, DataC7sub1RUpDownCurrent, Parse.Data.DataC7.sub1.RUpDownCurrent);
	env->SetFloatField(jReturnObj, DataC7sub1LDirRudderCurrent, Parse.Data.DataC7.sub1.LDirRudderCurrent);
	env->SetFloatField(jReturnObj, DataC7sub1RDirRudderCurrent, Parse.Data.DataC7.sub1.RDirRudderCurrent);
	env->SetFloatField(jReturnObj, DataC7sub1LeftOutAWingTemperature, Parse.Data.DataC7.sub1.LeftOutAWingTemperature);
	env->SetFloatField(jReturnObj, DataC7sub1LeftInAWingTemperature, Parse.Data.DataC7.sub1.LeftInAWingTemperature);
	env->SetFloatField(jReturnObj, DataC7sub1RightInAWingTemperature, Parse.Data.DataC7.sub1.RightInAWingTemperature);
	env->SetFloatField(jReturnObj, DataC7sub1RightOutAWingTemperature, Parse.Data.DataC7.sub1.RightOutAWingTemperature);
	env->SetFloatField(jReturnObj, DataC7sub1LUpDownTemperature, Parse.Data.DataC7.sub1.LUpDownTemperature);
	env->SetFloatField(jReturnObj, DataC7sub1MidUpDownTemperature, Parse.Data.DataC7.sub1.MidUpDownTemperature);
	env->SetFloatField(jReturnObj, DataC7sub1RUpDownTemperature, Parse.Data.DataC7.sub1.RUpDownTemperature);
	env->SetFloatField(jReturnObj, DataC7sub1LDirRudderTemperature, Parse.Data.DataC7.sub1.LDirRudderTemperature);
	env->SetFloatField(jReturnObj, DataC7sub1RDirRudderTemperature, Parse.Data.DataC7.sub1.RDirRudderTemperature);
	env->SetByteField(jReturnObj, DataC7sub1RightHatchSteer, Parse.Data.DataC7.sub1.RightHatchSteer);
	env->SetByteField(jReturnObj, DataC7sub1AirDropForwordEle, Parse.Data.DataC7.sub1.AirDropForwordEle);
	env->SetByteField(jReturnObj, DataC7sub1HatchEle, Parse.Data.DataC7.sub1.HatchEle);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeC8(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC8");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC8flyID = (env)->GetFieldID(jReturnClass, "DataC8flyID", "I");
	jfieldID DataC8FrameCount = (env)->GetFieldID(jReturnClass, "DataC8FrameCount", "I");
	jfieldID DataC8SubFrameID = (env)->GetFieldID(jReturnClass, "DataC8SubFrameID", "I");
	jfieldID DataC8sub0MCM1OUT = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM1OUT", "I");
	jfieldID DataC8sub0MCM2OUT = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM2OUT", "I");
	jfieldID DataC8sub0MCM3OUT = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM3OUT", "I");
	jfieldID DataC8sub0MCM4OUT = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM4OUT", "I");
	jfieldID DataC8sub0MCM5OUT = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM5OUT", "I");
	jfieldID DataC8sub0MCM6OUT = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM6OUT", "I");
	jfieldID DataC8sub0MCM7OUT = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM7OUT", "I");
	jfieldID DataC8sub0MCM8OUT = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM8OUT", "I");
	jfieldID DataC8sub0MCM1InGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM1InGas", "S");
	jfieldID DataC8sub0MCM2InGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM2InGas", "S");
	jfieldID DataC8sub0MCM3InGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM3InGas", "S");
	jfieldID DataC8sub0MCM4InGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM4InGas", "S");
	jfieldID DataC8sub0MCM5InGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM5InGas", "S");
	jfieldID DataC8sub0MCM6InGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM6InGas", "S");
	jfieldID DataC8sub0MCM7InGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM7InGas", "S");
	jfieldID DataC8sub0MCM8InGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM8InGas", "S");
	jfieldID DataC8sub0MCM1OutGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM1OutGas", "I");
	jfieldID DataC8sub0MCM2OutGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM2OutGas", "I");
	jfieldID DataC8sub0MCM3OutGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM3OutGas", "I");
	jfieldID DataC8sub0MCM4OutGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM4OutGas", "I");
	jfieldID DataC8sub0MCM5OutGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM5OutGas", "I");
	jfieldID DataC8sub0MCM6OutGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM6OutGas", "I");
	jfieldID DataC8sub0MCM7OutGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM7OutGas", "I");
	jfieldID DataC8sub0MCM8OutGas = (env)->GetFieldID(jReturnClass, "DataC8sub0MCM8OutGas", "I");
	jfieldID DataC8sub1MCSped1 = (env)->GetFieldID(jReturnClass, "DataC8sub1MCSped1", "I");
	jfieldID DataC8sub1MCSped2 = (env)->GetFieldID(jReturnClass, "DataC8sub1MCSped2", "I");
	jfieldID DataC8sub1MCSped3 = (env)->GetFieldID(jReturnClass, "DataC8sub1MCSped3", "I");
	jfieldID DataC8sub1MCSped4 = (env)->GetFieldID(jReturnClass, "DataC8sub1MCSped4", "I");
	jfieldID DataC8sub1MCSped5 = (env)->GetFieldID(jReturnClass, "DataC8sub1MCSped5", "I");
	jfieldID DataC8sub1MCSped6 = (env)->GetFieldID(jReturnClass, "DataC8sub1MCSped6", "I");
	jfieldID DataC8sub1MCSped7 = (env)->GetFieldID(jReturnClass, "DataC8sub1MCSped7", "I");
	jfieldID DataC8sub1MCSped8 = (env)->GetFieldID(jReturnClass, "DataC8sub1MCSped8", "I");
	jfieldID DataC8sub1MCM1DTTemp = (env)->GetFieldID(jReturnClass, "DataC8sub1MCM1DTTemp", "S");
	jfieldID DataC8sub1MCM2DTTemp = (env)->GetFieldID(jReturnClass, "DataC8sub1MCM2DTTemp", "S");
	jfieldID DataC8sub1MCM3DTTemp = (env)->GetFieldID(jReturnClass, "DataC8sub1MCM3DTTemp", "S");
	jfieldID DataC8sub1MCM4DTTemp = (env)->GetFieldID(jReturnClass, "DataC8sub1MCM4DTTemp", "S");
	jfieldID DataC8sub1MCM5DTTemp = (env)->GetFieldID(jReturnClass, "DataC8sub1MCM5DTTemp", "S");
	jfieldID DataC8sub1MCM6DTTemp = (env)->GetFieldID(jReturnClass, "DataC8sub1MCM6DTTemp", "S");
	jfieldID DataC8sub1MCM7DTTemp = (env)->GetFieldID(jReturnClass, "DataC8sub1MCM7DTTemp", "S");
	jfieldID DataC8sub1MCM8DTTemp = (env)->GetFieldID(jReturnClass, "DataC8sub1MCM8DTTemp", "S");
	jfieldID DataC8sub2HangUpVol_1 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpVol_1", "F");
	jfieldID DataC8sub2HangUpVol_2 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpVol_2", "F");
	jfieldID DataC8sub2HangUpVol_3 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpVol_3", "F");
	jfieldID DataC8sub2HangUpVol_4 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpVol_4", "F");
	jfieldID DataC8sub2HangUpVol_5 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpVol_5", "F");
	jfieldID DataC8sub2HangUpVol_6 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpVol_6", "F");
	jfieldID DataC8sub2HangUpVol_7 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpVol_7", "F");
	jfieldID DataC8sub2HangUpVol_8 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpVol_8", "F");
	jfieldID DataC8sub2HangUpESCVol_1 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpESCVol_1", "F");
	jfieldID DataC8sub2HangUpESCVol_2 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpESCVol_2", "F");
	jfieldID DataC8sub2HangUpESCVol_3 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpESCVol_3", "F");
	jfieldID DataC8sub2HangUpESCVol_4 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpESCVol_4", "F");
	jfieldID DataC8sub2HangUpESCVol_5 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpESCVol_5", "F");
	jfieldID DataC8sub2HangUpESCVol_6 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpESCVol_6", "F");
	jfieldID DataC8sub2HangUpESCVol_7 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpESCVol_7", "F");
	jfieldID DataC8sub2HangUpESCVol_8 = (env)->GetFieldID(jReturnClass, "DataC8sub2HangUpESCVol_8", "F");
	jfieldID DataC8sub2MCM1Current = (env)->GetFieldID(jReturnClass, "DataC8sub2MCM1Current", "F");
	jfieldID DataC8sub2MCM2Current = (env)->GetFieldID(jReturnClass, "DataC8sub2MCM2Current", "F");
	jfieldID DataC8sub2MCM3Current = (env)->GetFieldID(jReturnClass, "DataC8sub2MCM3Current", "F");
	jfieldID DataC8sub2MCM4Current = (env)->GetFieldID(jReturnClass, "DataC8sub2MCM4Current", "F");
	jfieldID DataC8sub2MCM5Current = (env)->GetFieldID(jReturnClass, "DataC8sub2MCM5Current", "F");
	jfieldID DataC8sub2MCM6Current = (env)->GetFieldID(jReturnClass, "DataC8sub2MCM6Current", "F");
	jfieldID DataC8sub2MCM7Current = (env)->GetFieldID(jReturnClass, "DataC8sub2MCM7Current", "F");
	jfieldID DataC8sub2MCM8Current = (env)->GetFieldID(jReturnClass, "DataC8sub2MCM8Current", "F");
	jfieldID DataC8sub3MCM1Status = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM1Status", "I");
	jfieldID DataC8sub3MCM2Status = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM2Status", "I");
	jfieldID DataC8sub3MCM3Status = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM3Status", "I");
	jfieldID DataC8sub3MCM4Status = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM4Status", "I");
	jfieldID DataC8sub3MCM5Status = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM5Status", "I");
	jfieldID DataC8sub3MCM6Status = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM6Status", "I");
	jfieldID DataC8sub3MCM7Status = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM7Status", "I");
	jfieldID DataC8sub3MCM8Status = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM8Status", "I");
	jfieldID DataC8sub3MCM1PowerRipple = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM1PowerRipple", "S");
	jfieldID DataC8sub3MCM2PowerRipple = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM2PowerRipple", "S");
	jfieldID DataC8sub3MCM3PowerRipple = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM3PowerRipple", "S");
	jfieldID DataC8sub3MCM4PowerRipple = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM4PowerRipple", "S");
	jfieldID DataC8sub3MCM5PowerRipple = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM5PowerRipple", "S");
	jfieldID DataC8sub3MCM6PowerRipple = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM6PowerRipple", "S");
	jfieldID DataC8sub3MCM7PowerRipple = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM7PowerRipple", "S");
	jfieldID DataC8sub3MCM8PowerRipple = (env)->GetFieldID(jReturnClass, "DataC8sub3MCM8PowerRipple", "S");

	env->SetIntField(jReturnObj, DataC8flyID, static_cast<int>(Parse.Data.DataC8.flyID));
	env->SetIntField(jReturnObj, DataC8FrameCount, static_cast<int>(Parse.Data.DataC8.FrameCount));
	env->SetIntField(jReturnObj, DataC8SubFrameID, static_cast<int>(Parse.Data.DataC8.SubFrameID));
	env->SetIntField(jReturnObj, DataC8sub0MCM1OUT, static_cast<int>(Parse.Data.DataC8.sub0.MCM1OUT));
	env->SetIntField(jReturnObj, DataC8sub0MCM2OUT, static_cast<int>(Parse.Data.DataC8.sub0.MCM2OUT));
	env->SetIntField(jReturnObj, DataC8sub0MCM3OUT, static_cast<int>(Parse.Data.DataC8.sub0.MCM3OUT));
	env->SetIntField(jReturnObj, DataC8sub0MCM4OUT, static_cast<int>(Parse.Data.DataC8.sub0.MCM4OUT));
	env->SetIntField(jReturnObj, DataC8sub0MCM5OUT, static_cast<int>(Parse.Data.DataC8.sub0.MCM5OUT));
	env->SetIntField(jReturnObj, DataC8sub0MCM6OUT, static_cast<int>(Parse.Data.DataC8.sub0.MCM6OUT));
	env->SetIntField(jReturnObj, DataC8sub0MCM7OUT, static_cast<int>(Parse.Data.DataC8.sub0.MCM7OUT));
	env->SetIntField(jReturnObj, DataC8sub0MCM8OUT, static_cast<int>(Parse.Data.DataC8.sub0.MCM8OUT));
	env->SetShortField(jReturnObj, DataC8sub0MCM1InGas, Parse.Data.DataC8.sub0.MCM1InGas);
	env->SetShortField(jReturnObj, DataC8sub0MCM2InGas, Parse.Data.DataC8.sub0.MCM2InGas);
	env->SetShortField(jReturnObj, DataC8sub0MCM3InGas, Parse.Data.DataC8.sub0.MCM3InGas);
	env->SetShortField(jReturnObj, DataC8sub0MCM4InGas, Parse.Data.DataC8.sub0.MCM4InGas);
	env->SetShortField(jReturnObj, DataC8sub0MCM5InGas, Parse.Data.DataC8.sub0.MCM5InGas);
	env->SetShortField(jReturnObj, DataC8sub0MCM6InGas, Parse.Data.DataC8.sub0.MCM6InGas);
	env->SetShortField(jReturnObj, DataC8sub0MCM7InGas, Parse.Data.DataC8.sub0.MCM7InGas);
	env->SetShortField(jReturnObj, DataC8sub0MCM8InGas, Parse.Data.DataC8.sub0.MCM8InGas);
	env->SetIntField(jReturnObj, DataC8sub0MCM1OutGas, static_cast<int>(Parse.Data.DataC8.sub0.MCM1OutGas));
	env->SetIntField(jReturnObj, DataC8sub0MCM2OutGas, static_cast<int>(Parse.Data.DataC8.sub0.MCM2OutGas));
	env->SetIntField(jReturnObj, DataC8sub0MCM3OutGas, static_cast<int>(Parse.Data.DataC8.sub0.MCM3OutGas));
	env->SetIntField(jReturnObj, DataC8sub0MCM4OutGas, static_cast<int>(Parse.Data.DataC8.sub0.MCM4OutGas));
	env->SetIntField(jReturnObj, DataC8sub0MCM5OutGas, static_cast<int>(Parse.Data.DataC8.sub0.MCM5OutGas));
	env->SetIntField(jReturnObj, DataC8sub0MCM6OutGas, static_cast<int>(Parse.Data.DataC8.sub0.MCM6OutGas));
	env->SetIntField(jReturnObj, DataC8sub0MCM7OutGas, static_cast<int>(Parse.Data.DataC8.sub0.MCM7OutGas));
	env->SetIntField(jReturnObj, DataC8sub0MCM8OutGas, static_cast<int>(Parse.Data.DataC8.sub0.MCM8OutGas));
	env->SetIntField(jReturnObj, DataC8sub1MCSped1, static_cast<int>(Parse.Data.DataC8.sub1.MCSped1));
	env->SetIntField(jReturnObj, DataC8sub1MCSped2, static_cast<int>(Parse.Data.DataC8.sub1.MCSped2));
	env->SetIntField(jReturnObj, DataC8sub1MCSped3, static_cast<int>(Parse.Data.DataC8.sub1.MCSped3));
	env->SetIntField(jReturnObj, DataC8sub1MCSped4, static_cast<int>(Parse.Data.DataC8.sub1.MCSped4));
	env->SetIntField(jReturnObj, DataC8sub1MCSped5, static_cast<int>(Parse.Data.DataC8.sub1.MCSped5));
	env->SetIntField(jReturnObj, DataC8sub1MCSped6, static_cast<int>(Parse.Data.DataC8.sub1.MCSped6));
	env->SetIntField(jReturnObj, DataC8sub1MCSped7, static_cast<int>(Parse.Data.DataC8.sub1.MCSped7));
	env->SetIntField(jReturnObj, DataC8sub1MCSped8, static_cast<int>(Parse.Data.DataC8.sub1.MCSped8));
	env->SetShortField(jReturnObj, DataC8sub1MCM1DTTemp, Parse.Data.DataC8.sub1.MCM1DTTemp);
	env->SetShortField(jReturnObj, DataC8sub1MCM2DTTemp, Parse.Data.DataC8.sub1.MCM2DTTemp);
	env->SetShortField(jReturnObj, DataC8sub1MCM3DTTemp, Parse.Data.DataC8.sub1.MCM3DTTemp);
	env->SetShortField(jReturnObj, DataC8sub1MCM4DTTemp, Parse.Data.DataC8.sub1.MCM4DTTemp);
	env->SetShortField(jReturnObj, DataC8sub1MCM5DTTemp, Parse.Data.DataC8.sub1.MCM5DTTemp);
	env->SetShortField(jReturnObj, DataC8sub1MCM6DTTemp, Parse.Data.DataC8.sub1.MCM6DTTemp);
	env->SetShortField(jReturnObj, DataC8sub1MCM7DTTemp, Parse.Data.DataC8.sub1.MCM7DTTemp);
	env->SetShortField(jReturnObj, DataC8sub1MCM8DTTemp, Parse.Data.DataC8.sub1.MCM8DTTemp);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpVol_1, Parse.Data.DataC8.sub2.HangUpVol_1);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpVol_2, Parse.Data.DataC8.sub2.HangUpVol_2);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpVol_3, Parse.Data.DataC8.sub2.HangUpVol_3);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpVol_4, Parse.Data.DataC8.sub2.HangUpVol_4);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpVol_5, Parse.Data.DataC8.sub2.HangUpVol_5);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpVol_6, Parse.Data.DataC8.sub2.HangUpVol_6);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpVol_7, Parse.Data.DataC8.sub2.HangUpVol_7);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpVol_8, Parse.Data.DataC8.sub2.HangUpVol_8);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpESCVol_1, Parse.Data.DataC8.sub2.HangUpESCVol_1);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpESCVol_2, Parse.Data.DataC8.sub2.HangUpESCVol_2);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpESCVol_3, Parse.Data.DataC8.sub2.HangUpESCVol_3);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpESCVol_4, Parse.Data.DataC8.sub2.HangUpESCVol_4);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpESCVol_5, Parse.Data.DataC8.sub2.HangUpESCVol_5);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpESCVol_6, Parse.Data.DataC8.sub2.HangUpESCVol_6);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpESCVol_7, Parse.Data.DataC8.sub2.HangUpESCVol_7);
	env->SetFloatField(jReturnObj, DataC8sub2HangUpESCVol_8, Parse.Data.DataC8.sub2.HangUpESCVol_8);
	env->SetFloatField(jReturnObj, DataC8sub2MCM1Current, Parse.Data.DataC8.sub2.MCM1Current);
	env->SetFloatField(jReturnObj, DataC8sub2MCM2Current, Parse.Data.DataC8.sub2.MCM2Current);
	env->SetFloatField(jReturnObj, DataC8sub2MCM3Current, Parse.Data.DataC8.sub2.MCM3Current);
	env->SetFloatField(jReturnObj, DataC8sub2MCM4Current, Parse.Data.DataC8.sub2.MCM4Current);
	env->SetFloatField(jReturnObj, DataC8sub2MCM5Current, Parse.Data.DataC8.sub2.MCM5Current);
	env->SetFloatField(jReturnObj, DataC8sub2MCM6Current, Parse.Data.DataC8.sub2.MCM6Current);
	env->SetFloatField(jReturnObj, DataC8sub2MCM7Current, Parse.Data.DataC8.sub2.MCM7Current);
	env->SetFloatField(jReturnObj, DataC8sub2MCM8Current, Parse.Data.DataC8.sub2.MCM8Current);
	env->SetIntField(jReturnObj, DataC8sub3MCM1Status, static_cast<int>(Parse.Data.DataC8.sub3.MCM1Status));
	env->SetIntField(jReturnObj, DataC8sub3MCM2Status, static_cast<int>(Parse.Data.DataC8.sub3.MCM2Status));
	env->SetIntField(jReturnObj, DataC8sub3MCM3Status, static_cast<int>(Parse.Data.DataC8.sub3.MCM3Status));
	env->SetIntField(jReturnObj, DataC8sub3MCM4Status, static_cast<int>(Parse.Data.DataC8.sub3.MCM4Status));
	env->SetIntField(jReturnObj, DataC8sub3MCM5Status, static_cast<int>(Parse.Data.DataC8.sub3.MCM5Status));
	env->SetIntField(jReturnObj, DataC8sub3MCM6Status, static_cast<int>(Parse.Data.DataC8.sub3.MCM6Status));
	env->SetIntField(jReturnObj, DataC8sub3MCM7Status, static_cast<int>(Parse.Data.DataC8.sub3.MCM7Status));
	env->SetIntField(jReturnObj, DataC8sub3MCM8Status, static_cast<int>(Parse.Data.DataC8.sub3.MCM8Status));
	env->SetShortField(jReturnObj, DataC8sub3MCM1PowerRipple, Parse.Data.DataC8.sub3.MCM1PowerRipple);
	env->SetShortField(jReturnObj, DataC8sub3MCM2PowerRipple, Parse.Data.DataC8.sub3.MCM2PowerRipple);
	env->SetShortField(jReturnObj, DataC8sub3MCM3PowerRipple, Parse.Data.DataC8.sub3.MCM3PowerRipple);
	env->SetShortField(jReturnObj, DataC8sub3MCM4PowerRipple, Parse.Data.DataC8.sub3.MCM4PowerRipple);
	env->SetShortField(jReturnObj, DataC8sub3MCM5PowerRipple, Parse.Data.DataC8.sub3.MCM5PowerRipple);
	env->SetShortField(jReturnObj, DataC8sub3MCM6PowerRipple, Parse.Data.DataC8.sub3.MCM6PowerRipple);
	env->SetShortField(jReturnObj, DataC8sub3MCM7PowerRipple, Parse.Data.DataC8.sub3.MCM7PowerRipple);
	env->SetShortField(jReturnObj, DataC8sub3MCM8PowerRipple, Parse.Data.DataC8.sub3.MCM8PowerRipple);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}


jobject Decode981C::DecodeC9(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameC9");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataC9flyID = (env)->GetFieldID(jReturnClass, "DataC9flyID", "I");
	jfieldID DataC9FrameCount = (env)->GetFieldID(jReturnClass, "DataC9FrameCount", "I");
	jfieldID DataC9SubFrameID = (env)->GetFieldID(jReturnClass, "DataC9SubFrameID", "I");
	jfieldID DataC9sub0TailMotorStatus = (env)->GetFieldID(jReturnClass, "DataC9sub0TailMotorStatus", "I");
	jfieldID DataC9sub0TailMotorInGas = (env)->GetFieldID(jReturnClass, "DataC9sub0TailMotorInGas", "I");
	jfieldID DataC9sub0TailMotorOutGas = (env)->GetFieldID(jReturnClass, "DataC9sub0TailMotorOutGas", "I");
	jfieldID DataC9sub0TailMotorSpeed = (env)->GetFieldID(jReturnClass, "DataC9sub0TailMotorSpeed", "I");
	jfieldID DataC9sub0TailMotorVol = (env)->GetFieldID(jReturnClass, "DataC9sub0TailMotorVol", "I");
	jfieldID DataC9sub0TailMotorCurrent = (env)->GetFieldID(jReturnClass, "DataC9sub0TailMotorCurrent", "I");
	jfieldID DataC9sub0TailMotorDTTemp = (env)->GetFieldID(jReturnClass, "DataC9sub0TailMotorDTTemp", "S");
	jfieldID DataC9sub0TailMotorPowerRipple = (env)->GetFieldID(jReturnClass, "DataC9sub0TailMotorPowerRipple", "S");
	jfieldID DataC9sub0PendulousVol = (env)->GetFieldID(jReturnClass, "DataC9sub0PendulousVol", "I");
	jfieldID DataC9sub0PendulousEle_1 = (env)->GetFieldID(jReturnClass, "DataC9sub0PendulousEle_1", "F");
	jfieldID DataC9sub0PendulousEle_2 = (env)->GetFieldID(jReturnClass, "DataC9sub0PendulousEle_2", "F");
	jfieldID DataC9sub0TailESCvol = (env)->GetFieldID(jReturnClass, "DataC9sub0TailESCvol", "F");
	jfieldID DataC9sub1TailBatteryTemp_1 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_1", "S");
	jfieldID DataC9sub1TailBatteryTemp_2 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_2", "S");
	jfieldID DataC9sub1TailBatteryTemp_3 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_3", "S");
	jfieldID DataC9sub1TailBatteryTemp_4 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_4", "S");
	jfieldID DataC9sub1TailBatteryTemp_5 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_5", "S");
	jfieldID DataC9sub1TailBatteryTemp_6 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_6", "S");
	jfieldID DataC9sub1TailBatteryTemp_7 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_7", "S");
	jfieldID DataC9sub1TailBatteryTemp_8 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_8", "S");
	jfieldID DataC9sub1TailBatteryTemp_9 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_9", "S");
	jfieldID DataC9sub1TailBatteryTemp_10 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_10", "S");
	jfieldID DataC9sub1TailBatteryTemp_11 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_11", "S");
	jfieldID DataC9sub1TailBatteryTemp_12 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryTemp_12", "S");
	jfieldID DataC9sub1TailBatteryVol_1 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_1", "F");
	jfieldID DataC9sub1TailBatteryVol_2 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_2", "F");
	jfieldID DataC9sub1TailBatteryVol_3 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_3", "F");
	jfieldID DataC9sub1TailBatteryVol_4 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_4", "F");
	jfieldID DataC9sub1TailBatteryVol_5 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_5", "F");
	jfieldID DataC9sub1TailBatteryVol_6 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_6", "F");
	jfieldID DataC9sub1TailBatteryVol_7 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_7", "F");
	jfieldID DataC9sub1TailBatteryVol_8 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_8", "F");
	jfieldID DataC9sub1TailBatteryVol_9 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_9", "F");
	jfieldID DataC9sub1TailBatteryVol_10 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_10", "F");
	jfieldID DataC9sub1TailBatteryVol_11 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_11", "F");
	jfieldID DataC9sub1TailBatteryVol_12 = (env)->GetFieldID(jReturnClass, "DataC9sub1TailBatteryVol_12", "F");

	env->SetIntField(jReturnObj, DataC9flyID, static_cast<int>(Parse.Data.DataC9.flyID));
	env->SetIntField(jReturnObj, DataC9FrameCount, static_cast<int>(Parse.Data.DataC9.FrameCount));
	env->SetIntField(jReturnObj, DataC9SubFrameID, static_cast<int>(Parse.Data.DataC9.SubFrameID));
	env->SetIntField(jReturnObj, DataC9sub0TailMotorStatus, static_cast<int>(Parse.Data.DataC9.sub0.TailMotorStatus));
	env->SetIntField(jReturnObj, DataC9sub0TailMotorInGas, static_cast<int>(Parse.Data.DataC9.sub0.TailMotorInGas));
	env->SetIntField(jReturnObj, DataC9sub0TailMotorOutGas, static_cast<int>(Parse.Data.DataC9.sub0.TailMotorOutGas));
	env->SetIntField(jReturnObj, DataC9sub0TailMotorSpeed, static_cast<int>(Parse.Data.DataC9.sub0.TailMotorSpeed));
	env->SetIntField(jReturnObj, DataC9sub0TailMotorVol, round(Parse.Data.DataC9.sub0.TailMotorVol * 100));
	env->SetIntField(jReturnObj, DataC9sub0TailMotorCurrent, static_cast<int>(Parse.Data.DataC9.sub0.TailMotorCurrent));
	env->SetShortField(jReturnObj, DataC9sub0TailMotorDTTemp, Parse.Data.DataC9.sub0.TailMotorDTTemp);
	env->SetShortField(jReturnObj, DataC9sub0TailMotorPowerRipple, Parse.Data.DataC9.sub0.TailMotorPowerRipple);
	env->SetIntField(jReturnObj, DataC9sub0PendulousVol, round(Parse.Data.DataC9.sub0.PendulousVol * 100));
	env->SetFloatField(jReturnObj, DataC9sub0PendulousEle_1, Parse.Data.DataC9.sub0.PendulousEle_1);
	env->SetFloatField(jReturnObj, DataC9sub0PendulousEle_2, Parse.Data.DataC9.sub0.PendulousEle_2);
	env->SetFloatField(jReturnObj, DataC9sub0TailESCvol, Parse.Data.DataC9.sub0.TailESCvol);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_1, Parse.Data.DataC9.sub1.TailBatteryTemp_1);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_2, Parse.Data.DataC9.sub1.TailBatteryTemp_2);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_3, Parse.Data.DataC9.sub1.TailBatteryTemp_3);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_4, Parse.Data.DataC9.sub1.TailBatteryTemp_4);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_5, Parse.Data.DataC9.sub1.TailBatteryTemp_5);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_6, Parse.Data.DataC9.sub1.TailBatteryTemp_6);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_7, Parse.Data.DataC9.sub1.TailBatteryTemp_7);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_8, Parse.Data.DataC9.sub1.TailBatteryTemp_8);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_9, Parse.Data.DataC9.sub1.TailBatteryTemp_9);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_10, Parse.Data.DataC9.sub1.TailBatteryTemp_10);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_11, Parse.Data.DataC9.sub1.TailBatteryTemp_11);
	env->SetShortField(jReturnObj, DataC9sub1TailBatteryTemp_12, Parse.Data.DataC9.sub1.TailBatteryTemp_12);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_1, Parse.Data.DataC9.sub1.TailBatteryVol_1);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_2, Parse.Data.DataC9.sub1.TailBatteryVol_2);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_3, Parse.Data.DataC9.sub1.TailBatteryVol_3);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_4, Parse.Data.DataC9.sub1.TailBatteryVol_4);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_5, Parse.Data.DataC9.sub1.TailBatteryVol_5);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_6, Parse.Data.DataC9.sub1.TailBatteryVol_6);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_7, Parse.Data.DataC9.sub1.TailBatteryVol_7);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_8, Parse.Data.DataC9.sub1.TailBatteryVol_8);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_9, Parse.Data.DataC9.sub1.TailBatteryVol_9);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_10, Parse.Data.DataC9.sub1.TailBatteryVol_10);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_11, Parse.Data.DataC9.sub1.TailBatteryVol_11);
	env->SetFloatField(jReturnObj, DataC9sub1TailBatteryVol_12, Parse.Data.DataC9.sub1.TailBatteryVol_12);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeCA(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCA");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataCAFrameCount = (env)->GetFieldID(jReturnClass, "DataCAFrameCount", "I");
	jfieldID DataCAflyID = (env)->GetFieldID(jReturnClass, "DataCAflyID", "I");
	jfieldID DataCAMCIntegratedPitch = (env)->GetFieldID(jReturnClass, "DataCAMCIntegratedPitch", "F");
	jfieldID DataCAMCIntegratedRoll = (env)->GetFieldID(jReturnClass, "DataCAMCIntegratedRoll", "F");
	jfieldID DataCAMCIntegratedHeading = (env)->GetFieldID(jReturnClass, "DataCAMCIntegratedHeading", "F");
	jfieldID DataCAMCIntegratedNorSped = (env)->GetFieldID(jReturnClass, "DataCAMCIntegratedNorSped", "F");
	jfieldID DataCAMCIntegratedEastSped = (env)->GetFieldID(jReturnClass, "DataCAMCIntegratedEastSped", "F");
	jfieldID DataCAMCIntegratedVerSped = (env)->GetFieldID(jReturnClass, "DataCAMCIntegratedVerSped", "F");
	jfieldID DataCASubFrameID = (env)->GetFieldID(jReturnClass, "DataCASubFrameID", "I");
	jfieldID DataCAsub0MCRollRate = (env)->GetFieldID(jReturnClass, "DataCAsub0MCRollRate", "F");
	jfieldID DataCAsub0MCPitchRate = (env)->GetFieldID(jReturnClass, "DataCAsub0MCPitchRate", "F");
	jfieldID DataCAsub0MCHeadingRate = (env)->GetFieldID(jReturnClass, "DataCAsub0MCHeadingRate", "F");
	jfieldID DataCAsub0MCForwardAC = (env)->GetFieldID(jReturnClass, "DataCAsub0MCForwardAC", "F");
	jfieldID DataCAsub0MCRightAC = (env)->GetFieldID(jReturnClass, "DataCAsub0MCRightAC", "F");
	jfieldID DataCAsub0MCVerAC = (env)->GetFieldID(jReturnClass, "DataCAsub0MCVerAC", "F");
	jfieldID DataCAsub1MCIntegratedLon = (env)->GetFieldID(jReturnClass, "DataCAsub1MCIntegratedLon", "D");
	jfieldID DataCAsub1MCIntegratedLat = (env)->GetFieldID(jReturnClass, "DataCAsub1MCIntegratedLat", "D");
	jfieldID DataCAsub1MCIntegratedAlt = (env)->GetFieldID(jReturnClass, "DataCAsub1MCIntegratedAlt", "F");
	jfieldID DataCAsub1MCIntegratedWord = (env)->GetFieldID(jReturnClass, "DataCAsub1MCIntegratedWord", "I");
	jfieldID DataCAsub1MC9250Temperature = (env)->GetFieldID(jReturnClass, "DataCAsub1MC9250Temperature", "I");
	jfieldID DataCAsub2MCIntegratedUDSped = (env)->GetFieldID(jReturnClass, "DataCAsub2MCIntegratedUDSped", "F");
	jfieldID DataCAsub2MCIntegratedPreHgt = (env)->GetFieldID(jReturnClass, "DataCAsub2MCIntegratedPreHgt", "F");
	jfieldID DataCAsub2IntergSwitch = (env)->GetFieldID(jReturnClass, "DataCAsub2IntergSwitch", "I");
	jfieldID DataCAsub2Fault_GyroBias = (env)->GetFieldID(jReturnClass, "DataCAsub2Fault_GyroBias", "I");
	jfieldID DataCAsub2MC9250OffsetValZ = (env)->GetFieldID(jReturnClass, "DataCAsub2MC9250OffsetValZ", "F");

	env->SetIntField(jReturnObj, DataCAFrameCount, static_cast<int>(Parse.Data.DataCA.FrameCount));
	env->SetIntField(jReturnObj, DataCAflyID, static_cast<int>(Parse.Data.DataCA.flyID));
	env->SetFloatField(jReturnObj, DataCAMCIntegratedPitch, Parse.Data.DataCA.MCIntegratedPitch);
	env->SetFloatField(jReturnObj, DataCAMCIntegratedRoll, Parse.Data.DataCA.MCIntegratedRoll);
	env->SetFloatField(jReturnObj, DataCAMCIntegratedHeading, Parse.Data.DataCA.MCIntegratedHeading);
	env->SetFloatField(jReturnObj, DataCAMCIntegratedNorSped, Parse.Data.DataCA.MCIntegratedNorSped);
	env->SetFloatField(jReturnObj, DataCAMCIntegratedEastSped, Parse.Data.DataCA.MCIntegratedEastSped);
	env->SetFloatField(jReturnObj, DataCAMCIntegratedVerSped, Parse.Data.DataCA.MCIntegratedVerSped);
	env->SetIntField(jReturnObj, DataCASubFrameID, static_cast<int>(Parse.Data.DataCA.SubFrameID));
	env->SetFloatField(jReturnObj, DataCAsub0MCRollRate, Parse.Data.DataCA.sub0.MCRollRate);
	env->SetFloatField(jReturnObj, DataCAsub0MCPitchRate, Parse.Data.DataCA.sub0.MCPitchRate);
	env->SetFloatField(jReturnObj, DataCAsub0MCHeadingRate, Parse.Data.DataCA.sub0.MCHeadingRate);
	env->SetFloatField(jReturnObj, DataCAsub0MCForwardAC, Parse.Data.DataCA.sub0.MCForwardAC);
	env->SetFloatField(jReturnObj, DataCAsub0MCRightAC, Parse.Data.DataCA.sub0.MCRightAC);
	env->SetFloatField(jReturnObj, DataCAsub0MCVerAC, Parse.Data.DataCA.sub0.MCVerAC);
	env->SetDoubleField(jReturnObj, DataCAsub1MCIntegratedLon, Parse.Data.DataCA.sub1.MCIntegratedLon);
	env->SetDoubleField(jReturnObj, DataCAsub1MCIntegratedLat, Parse.Data.DataCA.sub1.MCIntegratedLat);
	env->SetFloatField(jReturnObj, DataCAsub1MCIntegratedAlt, Parse.Data.DataCA.sub1.MCIntegratedAlt);
	env->SetIntField(jReturnObj, DataCAsub1MCIntegratedWord, static_cast<int>(Parse.Data.DataCA.sub1.MCIntegratedWord));
	env->SetIntField(jReturnObj, DataCAsub1MC9250Temperature, Parse.Data.DataCA.sub1.MC9250Temperature);
	env->SetFloatField(jReturnObj, DataCAsub2MCIntegratedUDSped, Parse.Data.DataCA.sub2.MCIntegratedUDSped);
	env->SetFloatField(jReturnObj, DataCAsub2MCIntegratedPreHgt, Parse.Data.DataCA.sub2.MCIntegratedPreHgt);
	env->SetIntField(jReturnObj, DataCAsub2IntergSwitch, static_cast<int>(Parse.Data.DataCA.sub2.IntergSwitch));
	env->SetIntField(jReturnObj, DataCAsub2Fault_GyroBias, static_cast<int>(Parse.Data.DataCA.sub2.Fault_GyroBias));
	env->SetFloatField(jReturnObj, DataCAsub2MC9250OffsetValZ, Parse.Data.DataCA.sub2.MC9250OffsetValZ);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeCB(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCB");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataCBflyID = (env)->GetFieldID(jReturnClass, "DataCBflyID", "I");
	jfieldID DataCBFrameCount = (env)->GetFieldID(jReturnClass, "DataCBFrameCount", "I");
	jfieldID DataCBMIMUFyAngle = (env)->GetFieldID(jReturnClass, "DataCBMIMUFyAngle", "F");
	jfieldID DataCBMIMUGzAngle = (env)->GetFieldID(jReturnClass, "DataCBMIMUGzAngle", "F");
	jfieldID DataCBMIMUHeadAngle = (env)->GetFieldID(jReturnClass, "DataCBMIMUHeadAngle", "F");
	jfieldID DataCBMIMUNorSpeed = (env)->GetFieldID(jReturnClass, "DataCBMIMUNorSpeed", "F");
	jfieldID DataCBMIMUEastSpeed = (env)->GetFieldID(jReturnClass, "DataCBMIMUEastSpeed", "F");
	jfieldID DataCBMIMUGndSpeed = (env)->GetFieldID(jReturnClass, "DataCBMIMUGndSpeed", "F");
	jfieldID DataCBsubFrameID = (env)->GetFieldID(jReturnClass, "DataCBsubFrameID", "I");
	jfieldID DataCBsub0PlaneXAngularSpeed = (env)->GetFieldID(jReturnClass, "DataCBsub0PlaneXAngularSpeed", "F");
	jfieldID DataCBsub0PlaneYAngularSpeed = (env)->GetFieldID(jReturnClass, "DataCBsub0PlaneYAngularSpeed", "F");
	jfieldID DataCBsub0PlaneZAngularSpeed = (env)->GetFieldID(jReturnClass, "DataCBsub0PlaneZAngularSpeed", "F");
	jfieldID DataCBsub0PlaneXAcceleration = (env)->GetFieldID(jReturnClass, "DataCBsub0PlaneXAcceleration", "F");
	jfieldID DataCBsub0PlaneYAcceleration = (env)->GetFieldID(jReturnClass, "DataCBsub0PlaneYAcceleration", "F");
	jfieldID DataCBsub0PlaneZAcceleration = (env)->GetFieldID(jReturnClass, "DataCBsub0PlaneZAcceleration", "F");
	jfieldID DataCBsub1MIMUStatus = (env)->GetFieldID(jReturnClass, "DataCBsub1MIMUStatus", "I");
	jfieldID DataCBsub1NoumenonTemp = (env)->GetFieldID(jReturnClass, "DataCBsub1NoumenonTemp", "I");
	jfieldID DataCBsub1MIMULon = (env)->GetFieldID(jReturnClass, "DataCBsub1MIMULon", "D");
	jfieldID DataCBsub1MIMULat = (env)->GetFieldID(jReturnClass, "DataCBsub1MIMULat", "D");
	jfieldID DataCBsub1MIMUAlt = (env)->GetFieldID(jReturnClass, "DataCBsub1MIMUAlt", "D");

	env->SetIntField(jReturnObj, DataCBflyID, static_cast<int>(Parse.Data.DataCB.flyID));
	env->SetIntField(jReturnObj, DataCBFrameCount, static_cast<int>(Parse.Data.DataCB.FrameCount));
	env->SetFloatField(jReturnObj, DataCBMIMUFyAngle, Parse.Data.DataCB.MIMUFyAngle);
	env->SetFloatField(jReturnObj, DataCBMIMUGzAngle, Parse.Data.DataCB.MIMUGzAngle);
	env->SetFloatField(jReturnObj, DataCBMIMUHeadAngle, Parse.Data.DataCB.MIMUHeadAngle);
	env->SetFloatField(jReturnObj, DataCBMIMUNorSpeed, Parse.Data.DataCB.MIMUNorSpeed);
	env->SetFloatField(jReturnObj, DataCBMIMUEastSpeed, Parse.Data.DataCB.MIMUEastSpeed);
	env->SetFloatField(jReturnObj, DataCBMIMUGndSpeed, Parse.Data.DataCB.MIMUGndSpeed);
	env->SetIntField(jReturnObj, DataCBsubFrameID, static_cast<int>(Parse.Data.DataCB.subFrameID));
	env->SetFloatField(jReturnObj, DataCBsub0PlaneXAngularSpeed, Parse.Data.DataCB.sub0.PlaneXAngularSpeed);
	env->SetFloatField(jReturnObj, DataCBsub0PlaneYAngularSpeed, Parse.Data.DataCB.sub0.PlaneYAngularSpeed);
	env->SetFloatField(jReturnObj, DataCBsub0PlaneZAngularSpeed, Parse.Data.DataCB.sub0.PlaneZAngularSpeed);
	env->SetFloatField(jReturnObj, DataCBsub0PlaneXAcceleration, Parse.Data.DataCB.sub0.PlaneXAcceleration);
	env->SetFloatField(jReturnObj, DataCBsub0PlaneYAcceleration, Parse.Data.DataCB.sub0.PlaneYAcceleration);
	env->SetFloatField(jReturnObj, DataCBsub0PlaneZAcceleration, Parse.Data.DataCB.sub0.PlaneZAcceleration);
	env->SetIntField(jReturnObj, DataCBsub1MIMUStatus, static_cast<int>(Parse.Data.DataCB.sub1.MIMUStatus));
	env->SetIntField(jReturnObj, DataCBsub1NoumenonTemp, Parse.Data.DataCB.sub1.NoumenonTemp);
	env->SetDoubleField(jReturnObj, DataCBsub1MIMULon, Parse.Data.DataCB.sub1.MIMULon);
	env->SetDoubleField(jReturnObj, DataCBsub1MIMULat, Parse.Data.DataCB.sub1.MIMULat);
	env->SetDoubleField(jReturnObj, DataCBsub1MIMUAlt, Parse.Data.DataCB.sub1.MIMUAlt);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeCC(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCC");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataCCflyID = (env)->GetFieldID(jReturnClass, "DataCCflyID", "I");
	jfieldID DataCCFrameCount = (env)->GetFieldID(jReturnClass, "DataCCFrameCount", "I");
	jfieldID DataCCMIMUFyAngle = (env)->GetFieldID(jReturnClass, "DataCCMIMUFyAngle", "F");
	jfieldID DataCCMIMUGzAngle = (env)->GetFieldID(jReturnClass, "DataCCMIMUGzAngle", "F");
	jfieldID DataCCMIMUHeadAngle = (env)->GetFieldID(jReturnClass, "DataCCMIMUHeadAngle", "F");
	jfieldID DataCCMIMUNorSpeed = (env)->GetFieldID(jReturnClass, "DataCCMIMUNorSpeed", "F");
	jfieldID DataCCMIMUEastSpeed = (env)->GetFieldID(jReturnClass, "DataCCMIMUEastSpeed", "F");
	jfieldID DataCCMIMUGndSpeed = (env)->GetFieldID(jReturnClass, "DataCCMIMUGndSpeed", "F");
	jfieldID DataCCsubFrameID = (env)->GetFieldID(jReturnClass, "DataCCsubFrameID", "I");
	jfieldID DataCCsub0PlaneXAngularSpeed = (env)->GetFieldID(jReturnClass, "DataCCsub0PlaneXAngularSpeed", "F");
	jfieldID DataCCsub0PlaneYAngularSpeed = (env)->GetFieldID(jReturnClass, "DataCCsub0PlaneYAngularSpeed", "F");
	jfieldID DataCCsub0PlaneZAngularSpeed = (env)->GetFieldID(jReturnClass, "DataCCsub0PlaneZAngularSpeed", "F");
	jfieldID DataCCsub0PlaneXAcceleration = (env)->GetFieldID(jReturnClass, "DataCCsub0PlaneXAcceleration", "F");
	jfieldID DataCCsub0PlaneYAcceleration = (env)->GetFieldID(jReturnClass, "DataCCsub0PlaneYAcceleration", "F");
	jfieldID DataCCsub0PlaneZAcceleration = (env)->GetFieldID(jReturnClass, "DataCCsub0PlaneZAcceleration", "F");
	jfieldID DataCCsub1MIMUStatus = (env)->GetFieldID(jReturnClass, "DataCCsub1MIMUStatus", "I");
	jfieldID DataCCsub1NoumenonTemp = (env)->GetFieldID(jReturnClass, "DataCCsub1NoumenonTemp", "I");
	jfieldID DataCCsub1MIMULon = (env)->GetFieldID(jReturnClass, "DataCCsub1MIMULon", "D");
	jfieldID DataCCsub1MIMULat = (env)->GetFieldID(jReturnClass, "DataCCsub1MIMULat", "D");
	jfieldID DataCCsub1MIMUAlt = (env)->GetFieldID(jReturnClass, "DataCCsub1MIMUAlt", "D");

	env->SetIntField(jReturnObj, DataCCflyID, static_cast<int>(Parse.Data.DataCC.flyID));
	env->SetIntField(jReturnObj, DataCCFrameCount, static_cast<int>(Parse.Data.DataCC.FrameCount));
	env->SetFloatField(jReturnObj, DataCCMIMUFyAngle, Parse.Data.DataCC.MIMUFyAngle);
	env->SetFloatField(jReturnObj, DataCCMIMUGzAngle, Parse.Data.DataCC.MIMUGzAngle);
	env->SetFloatField(jReturnObj, DataCCMIMUHeadAngle, Parse.Data.DataCC.MIMUHeadAngle);
	env->SetFloatField(jReturnObj, DataCCMIMUNorSpeed, Parse.Data.DataCC.MIMUNorSpeed);
	env->SetFloatField(jReturnObj, DataCCMIMUEastSpeed, Parse.Data.DataCC.MIMUEastSpeed);
	env->SetFloatField(jReturnObj, DataCCMIMUGndSpeed, Parse.Data.DataCC.MIMUGndSpeed);
	env->SetIntField(jReturnObj, DataCCsubFrameID, static_cast<int>(Parse.Data.DataCC.subFrameID));
	env->SetFloatField(jReturnObj, DataCCsub0PlaneXAngularSpeed, Parse.Data.DataCC.sub0.PlaneXAngularSpeed);
	env->SetFloatField(jReturnObj, DataCCsub0PlaneYAngularSpeed, Parse.Data.DataCC.sub0.PlaneYAngularSpeed);
	env->SetFloatField(jReturnObj, DataCCsub0PlaneZAngularSpeed, Parse.Data.DataCC.sub0.PlaneZAngularSpeed);
	env->SetFloatField(jReturnObj, DataCCsub0PlaneXAcceleration, Parse.Data.DataCC.sub0.PlaneXAcceleration);
	env->SetFloatField(jReturnObj, DataCCsub0PlaneYAcceleration, Parse.Data.DataCC.sub0.PlaneYAcceleration);
	env->SetFloatField(jReturnObj, DataCCsub0PlaneZAcceleration, Parse.Data.DataCC.sub0.PlaneZAcceleration);
	env->SetIntField(jReturnObj, DataCCsub1MIMUStatus, static_cast<int>(Parse.Data.DataCC.sub1.MIMUStatus));
	env->SetIntField(jReturnObj, DataCCsub1NoumenonTemp, Parse.Data.DataCC.sub1.NoumenonTemp);
	env->SetDoubleField(jReturnObj, DataCCsub1MIMULon, Parse.Data.DataCC.sub1.MIMULon);
	env->SetDoubleField(jReturnObj, DataCCsub1MIMULat, Parse.Data.DataCC.sub1.MIMULat);
	env->SetDoubleField(jReturnObj, DataCCsub1MIMUAlt, Parse.Data.DataCC.sub1.MIMUAlt);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeCD(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCD");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataCDFrameCount = (env)->GetFieldID(jReturnClass, "DataCDFrameCount", "I");
	jfieldID DataCDflyID = (env)->GetFieldID(jReturnClass, "DataCDflyID", "I");
	jfieldID DataCDOEM718DLon = (env)->GetFieldID(jReturnClass, "DataCDOEM718DLon", "D");
	jfieldID DataCDOEM718DLat = (env)->GetFieldID(jReturnClass, "DataCDOEM718DLat", "D");
	jfieldID DataCDOEM718DAlt = (env)->GetFieldID(jReturnClass, "DataCDOEM718DAlt", "D");
	jfieldID DataCDSubFrameID = (env)->GetFieldID(jReturnClass, "DataCDSubFrameID", "I");
	jfieldID DataCDsub0OEM718DWeek = (env)->GetFieldID(jReturnClass, "DataCDsub0OEM718DWeek", "I");
	jfieldID DataCDsub0OEM718DSecInWeek = (env)->GetFieldID(jReturnClass, "DataCDsub0OEM718DSecInWeek", "J");
	jfieldID DataCDsub0OEM718DLocStatus = (env)->GetFieldID(jReturnClass, "DataCDsub0OEM718DLocStatus", "I");
	jfieldID DataCDsub0OEM718DSatNum = (env)->GetFieldID(jReturnClass, "DataCDsub0OEM718DSatNum", "S");
	jfieldID DataCDsub0OEM718DPDOP = (env)->GetFieldID(jReturnClass, "DataCDsub0OEM718DPDOP", "F");
	jfieldID DataCDsub0OEM718DPostureStatus = (env)->GetFieldID(jReturnClass, "DataCDsub0OEM718DPostureStatus", "I");
	jfieldID DataCDsub0OEM718DBUSCFStatus = (env)->GetFieldID(jReturnClass, "DataCDsub0OEM718DBUSCFStatus", "I");
	jfieldID DataCDsub0OEM718DDiffCnt = (env)->GetFieldID(jReturnClass, "DataCDsub0OEM718DDiffCnt", "S");
	jfieldID DataCDsub1OEM718DHorSped = (env)->GetFieldID(jReturnClass, "DataCDsub1OEM718DHorSped", "F");
	jfieldID DataCDsub1OEM718DGrndSpedDir = (env)->GetFieldID(jReturnClass, "DataCDsub1OEM718DGrndSpedDir", "F");
	jfieldID DataCDsub1OEM718DVerSped = (env)->GetFieldID(jReturnClass, "DataCDsub1OEM718DVerSped", "F");
	jfieldID DataCDsub1OEM718DNorSped = (env)->GetFieldID(jReturnClass, "DataCDsub1OEM718DNorSped", "F");
	jfieldID DataCDsub1OEM718DEastSped = (env)->GetFieldID(jReturnClass, "DataCDsub1OEM718DEastSped", "F");
	jfieldID DataCDsub1OEM718DDiffPacNum = (env)->GetFieldID(jReturnClass, "DataCDsub1OEM718DDiffPacNum", "I");
	jfieldID DataCDsub2OEM718DBaseLineLen = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DBaseLineLen", "D");
	jfieldID DataCDsub2OEM718DHeading = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DHeading", "F");
	jfieldID DataCDsub2OEM718DHDOP = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DHDOP", "F");
	jfieldID DataCDsub2OEM718DVDOP = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DVDOP", "F");
	jfieldID DataCDsub2OEM718DSNGT46 = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DSNGT46", "I");
	jfieldID DataCDsub2OEM718DSNGT44 = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DSNGT44", "I");
	jfieldID DataCDsub2OEM718DSNGT42 = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DSNGT42", "I");
	jfieldID DataCDsub2OEM718DSNGT40 = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DSNGT40", "I");
	jfieldID DataCDsub2OEM718DSNGT38 = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DSNGT38", "I");
	jfieldID DataCDsub2OEM718DSNGT35 = (env)->GetFieldID(jReturnClass, "DataCDsub2OEM718DSNGT35", "I");

	env->SetIntField(jReturnObj, DataCDFrameCount, static_cast<int>(Parse.Data.DataCD.FrameCount));
	env->SetIntField(jReturnObj, DataCDflyID, static_cast<int>(Parse.Data.DataCD.flyID));
	env->SetDoubleField(jReturnObj, DataCDOEM718DLon, Parse.Data.DataCD.OEM718DLon);
	env->SetDoubleField(jReturnObj, DataCDOEM718DLat, Parse.Data.DataCD.OEM718DLat);
	env->SetDoubleField(jReturnObj, DataCDOEM718DAlt, Parse.Data.DataCD.OEM718DAlt);
	env->SetIntField(jReturnObj, DataCDSubFrameID, static_cast<int>(Parse.Data.DataCD.SubFrameID));
	env->SetIntField(jReturnObj, DataCDsub0OEM718DWeek, Parse.Data.DataCD.sub0.OEM718DWeek);
	env->SetLongField(jReturnObj, DataCDsub0OEM718DSecInWeek, Parse.Data.DataCD.sub0.OEM718DSecInWeek);
	env->SetIntField(jReturnObj, DataCDsub0OEM718DLocStatus, static_cast<int>(Parse.Data.DataCD.sub0.OEM718DLocStatus));
	env->SetShortField(jReturnObj, DataCDsub0OEM718DSatNum, Parse.Data.DataCD.sub0.OEM718DSatNum);
	env->SetFloatField(jReturnObj, DataCDsub0OEM718DPDOP, Parse.Data.DataCD.sub0.OEM718DPDOP);
	env->SetIntField(jReturnObj, DataCDsub0OEM718DPostureStatus, static_cast<int>(Parse.Data.DataCD.sub0.OEM718DPostureStatus));
	env->SetIntField(jReturnObj, DataCDsub0OEM718DBUSCFStatus, static_cast<int>(Parse.Data.DataCD.sub0.OEM718DBUSCFStatus));
	env->SetShortField(jReturnObj, DataCDsub0OEM718DDiffCnt, Parse.Data.DataCD.sub0.OEM718DDiffCnt);
	env->SetFloatField(jReturnObj, DataCDsub1OEM718DHorSped, Parse.Data.DataCD.sub1.OEM718DHorSped);
	env->SetFloatField(jReturnObj, DataCDsub1OEM718DGrndSpedDir, Parse.Data.DataCD.sub1.OEM718DGrndSpedDir);
	env->SetFloatField(jReturnObj, DataCDsub1OEM718DVerSped, Parse.Data.DataCD.sub1.OEM718DVerSped);
	env->SetFloatField(jReturnObj, DataCDsub1OEM718DNorSped, Parse.Data.DataCD.sub1.OEM718DNorSped);
	env->SetFloatField(jReturnObj, DataCDsub1OEM718DEastSped, Parse.Data.DataCD.sub1.OEM718DEastSped);
	env->SetIntField(jReturnObj, DataCDsub1OEM718DDiffPacNum, static_cast<int>(Parse.Data.DataCD.sub1.OEM718DDiffPacNum));
	env->SetDoubleField(jReturnObj, DataCDsub2OEM718DBaseLineLen, Parse.Data.DataCD.sub2.OEM718DBaseLineLen);
	env->SetFloatField(jReturnObj, DataCDsub2OEM718DHeading, Parse.Data.DataCD.sub2.OEM718DHeading);
	env->SetFloatField(jReturnObj, DataCDsub2OEM718DHDOP, Parse.Data.DataCD.sub2.OEM718DHDOP);
	env->SetFloatField(jReturnObj, DataCDsub2OEM718DVDOP, Parse.Data.DataCD.sub2.OEM718DVDOP);
	env->SetIntField(jReturnObj, DataCDsub2OEM718DSNGT46, static_cast<int>(Parse.Data.DataCD.sub2.OEM718DSNGT46));
	env->SetIntField(jReturnObj, DataCDsub2OEM718DSNGT44, static_cast<int>(Parse.Data.DataCD.sub2.OEM718DSNGT44));
	env->SetIntField(jReturnObj, DataCDsub2OEM718DSNGT42, static_cast<int>(Parse.Data.DataCD.sub2.OEM718DSNGT42));
	env->SetIntField(jReturnObj, DataCDsub2OEM718DSNGT40, static_cast<int>(Parse.Data.DataCD.sub2.OEM718DSNGT40));
	env->SetIntField(jReturnObj, DataCDsub2OEM718DSNGT38, static_cast<int>(Parse.Data.DataCD.sub2.OEM718DSNGT38));
	env->SetIntField(jReturnObj, DataCDsub2OEM718DSNGT35, static_cast<int>(Parse.Data.DataCD.sub2.OEM718DSNGT35));

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeCE(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCE");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataCEFrameCount = (env)->GetFieldID(jReturnClass, "DataCEFrameCount", "I");
	jfieldID DataCEflyID = (env)->GetFieldID(jReturnClass, "DataCEflyID", "I");
	jfieldID DataCEU482Lon = (env)->GetFieldID(jReturnClass, "DataCEU482Lon", "D");
	jfieldID DataCEU482Lat = (env)->GetFieldID(jReturnClass, "DataCEU482Lat", "D");
	jfieldID DataCEU482Alt = (env)->GetFieldID(jReturnClass, "DataCEU482Alt", "D");
	jfieldID DataCESubFrameID = (env)->GetFieldID(jReturnClass, "DataCESubFrameID", "I");
	jfieldID DataCEsub0U482Week = (env)->GetFieldID(jReturnClass, "DataCEsub0U482Week", "I");
	jfieldID DataCEsub0U482SecInWeek = (env)->GetFieldID(jReturnClass, "DataCEsub0U482SecInWeek", "J");
	jfieldID DataCEsub0U482LocStatus = (env)->GetFieldID(jReturnClass, "DataCEsub0U482LocStatus", "I");
	jfieldID DataCEsub0U482SatNum = (env)->GetFieldID(jReturnClass, "DataCEsub0U482SatNum", "S");
	jfieldID DataCEsub0U482PDOP = (env)->GetFieldID(jReturnClass, "DataCEsub0U482PDOP", "F");
	jfieldID DataCEsub0U482PostureStatus = (env)->GetFieldID(jReturnClass, "DataCEsub0U482PostureStatus", "I");
	jfieldID DataCEsub0U482BUSCFStatus = (env)->GetFieldID(jReturnClass, "DataCEsub0U482BUSCFStatus", "I");
	jfieldID DataCEsub0U482DiffCnt = (env)->GetFieldID(jReturnClass, "DataCEsub0U482DiffCnt", "S");
	jfieldID DataCEsub1U482HorSped = (env)->GetFieldID(jReturnClass, "DataCEsub1U482HorSped", "F");
	jfieldID DataCEsub1U482GrndSpedDir = (env)->GetFieldID(jReturnClass, "DataCEsub1U482GrndSpedDir", "F");
	jfieldID DataCEsub1U482VerSped = (env)->GetFieldID(jReturnClass, "DataCEsub1U482VerSped", "F");
	jfieldID DataCEsub1U482NorSped = (env)->GetFieldID(jReturnClass, "DataCEsub1U482NorSped", "F");
	jfieldID DataCEsub1U482EastSped = (env)->GetFieldID(jReturnClass, "DataCEsub1U482EastSped", "F");
	jfieldID DataCEsub1U482DiffPacNum = (env)->GetFieldID(jReturnClass, "DataCEsub1U482DiffPacNum", "I");
	jfieldID DataCEsub2U482BaseLineLen = (env)->GetFieldID(jReturnClass, "DataCEsub2U482BaseLineLen", "F");
	jfieldID DataCEsub2U482Heading = (env)->GetFieldID(jReturnClass, "DataCEsub2U482Heading", "F");
	jfieldID DataCEsub2U482HDOP = (env)->GetFieldID(jReturnClass, "DataCEsub2U482HDOP", "F");
	jfieldID DataCEsub2U482VDOP = (env)->GetFieldID(jReturnClass, "DataCEsub2U482VDOP", "F");
	jfieldID DataCEsub2U482SNGT46 = (env)->GetFieldID(jReturnClass, "DataCEsub2U482SNGT46", "I");
	jfieldID DataCEsub2U482SNGT44 = (env)->GetFieldID(jReturnClass, "DataCEsub2U482SNGT44", "I");
	jfieldID DataCEsub2U482SNGT42 = (env)->GetFieldID(jReturnClass, "DataCEsub2U482SNGT42", "I");
	jfieldID DataCEsub2U482SNGT40 = (env)->GetFieldID(jReturnClass, "DataCEsub2U482SNGT40", "I");
	jfieldID DataCEsub2U482SNGT38 = (env)->GetFieldID(jReturnClass, "DataCEsub2U482SNGT38", "I");
	jfieldID DataCEsub2U482SNGT35 = (env)->GetFieldID(jReturnClass, "DataCEsub2U482SNGT35", "I");

	env->SetIntField(jReturnObj, DataCEFrameCount, static_cast<int>(Parse.Data.DataCE.FrameCount));
	env->SetIntField(jReturnObj, DataCEflyID, static_cast<int>(Parse.Data.DataCE.flyID));
	env->SetDoubleField(jReturnObj, DataCEU482Lon, Parse.Data.DataCE.U482Lon);
	env->SetDoubleField(jReturnObj, DataCEU482Lat, Parse.Data.DataCE.U482Lat);
	env->SetDoubleField(jReturnObj, DataCEU482Alt, Parse.Data.DataCE.U482Alt);
	env->SetIntField(jReturnObj, DataCESubFrameID, static_cast<int>(Parse.Data.DataCE.SubFrameID));
	env->SetIntField(jReturnObj, DataCEsub0U482Week, Parse.Data.DataCE.sub0.U482Week);
	env->SetLongField(jReturnObj, DataCEsub0U482SecInWeek, Parse.Data.DataCE.sub0.U482SecInWeek);
	env->SetIntField(jReturnObj, DataCEsub0U482LocStatus, static_cast<int>(Parse.Data.DataCE.sub0.U482LocStatus));
	env->SetShortField(jReturnObj, DataCEsub0U482SatNum, Parse.Data.DataCE.sub0.U482SatNum);
	env->SetFloatField(jReturnObj, DataCEsub0U482PDOP, Parse.Data.DataCE.sub0.U482PDOP);
	env->SetIntField(jReturnObj, DataCEsub0U482PostureStatus, static_cast<int>(Parse.Data.DataCE.sub0.U482PostureStatus));
	env->SetIntField(jReturnObj, DataCEsub0U482BUSCFStatus, static_cast<int>(Parse.Data.DataCE.sub0.U482BUSCFStatus));
	env->SetShortField(jReturnObj, DataCEsub0U482DiffCnt, Parse.Data.DataCE.sub0.U482DiffCnt);
	env->SetFloatField(jReturnObj, DataCEsub1U482HorSped, Parse.Data.DataCE.sub1.U482HorSped);
	env->SetFloatField(jReturnObj, DataCEsub1U482GrndSpedDir, Parse.Data.DataCE.sub1.U482GrndSpedDir);
	env->SetFloatField(jReturnObj, DataCEsub1U482VerSped, Parse.Data.DataCE.sub1.U482VerSped);
	env->SetFloatField(jReturnObj, DataCEsub1U482NorSped, Parse.Data.DataCE.sub1.U482NorSped);
	env->SetFloatField(jReturnObj, DataCEsub1U482EastSped, Parse.Data.DataCE.sub1.U482EastSped);
	env->SetIntField(jReturnObj, DataCEsub1U482DiffPacNum, static_cast<int>(Parse.Data.DataCE.sub1.U482DiffPacNum));
	env->SetFloatField(jReturnObj, DataCEsub2U482BaseLineLen, Parse.Data.DataCE.sub2.U482BaseLineLen);
	env->SetFloatField(jReturnObj, DataCEsub2U482Heading, Parse.Data.DataCE.sub2.U482Heading);
	env->SetFloatField(jReturnObj, DataCEsub2U482HDOP, Parse.Data.DataCE.sub2.U482HDOP);
	env->SetFloatField(jReturnObj, DataCEsub2U482VDOP, Parse.Data.DataCE.sub2.U482VDOP);
	env->SetIntField(jReturnObj, DataCEsub2U482SNGT46, static_cast<int>(Parse.Data.DataCE.sub2.U482SNGT46));
	env->SetIntField(jReturnObj, DataCEsub2U482SNGT44, static_cast<int>(Parse.Data.DataCE.sub2.U482SNGT44));
	env->SetIntField(jReturnObj, DataCEsub2U482SNGT42, static_cast<int>(Parse.Data.DataCE.sub2.U482SNGT42));
	env->SetIntField(jReturnObj, DataCEsub2U482SNGT40, static_cast<int>(Parse.Data.DataCE.sub2.U482SNGT40));
	env->SetIntField(jReturnObj, DataCEsub2U482SNGT38, static_cast<int>(Parse.Data.DataCE.sub2.U482SNGT38));
	env->SetIntField(jReturnObj, DataCEsub2U482SNGT35, static_cast<int>(Parse.Data.DataCE.sub2.U482SNGT35));

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeCF(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameCF");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataCFflyID = (env)->GetFieldID(jReturnClass, "DataCFflyID", "I");
	jfieldID DataCFFrameCount = (env)->GetFieldID(jReturnClass, "DataCFFrameCount", "I");
	jfieldID DataCFGPSLon = (env)->GetFieldID(jReturnClass, "DataCFGPSLon", "D");
	jfieldID DataCFGPSLat = (env)->GetFieldID(jReturnClass, "DataCFGPSLat", "D");
	jfieldID DataCFGPSAlt = (env)->GetFieldID(jReturnClass, "DataCFGPSAlt", "D");
	jfieldID DataCFsubFrameID = (env)->GetFieldID(jReturnClass, "DataCFsubFrameID", "I");
	jfieldID DataCFsub0UTCSecondDay = (env)->GetFieldID(jReturnClass, "DataCFsub0UTCSecondDay", "F");
	jfieldID DataCFsub0LocStat = (env)->GetFieldID(jReturnClass, "DataCFsub0LocStat", "I");
	jfieldID DataCFsub0SateNum = (env)->GetFieldID(jReturnClass, "DataCFsub0SateNum", "I");
	jfieldID DataCFsub0SNGT46 = (env)->GetFieldID(jReturnClass, "DataCFsub0SNGT46", "I");
	jfieldID DataCFsub0SNGT44 = (env)->GetFieldID(jReturnClass, "DataCFsub0SNGT44", "I");
	jfieldID DataCFsub0SNGT42 = (env)->GetFieldID(jReturnClass, "DataCFsub0SNGT42", "I");
	jfieldID DataCFsub0SNGT40 = (env)->GetFieldID(jReturnClass, "DataCFsub0SNGT40", "I");
	jfieldID DataCFsub0SNGT38 = (env)->GetFieldID(jReturnClass, "DataCFsub0SNGT38", "I");
	jfieldID DataCFsub0SNGT35 = (env)->GetFieldID(jReturnClass, "DataCFsub0SNGT35", "I");
	jfieldID DataCFsub1PDOP = (env)->GetFieldID(jReturnClass, "DataCFsub1PDOP", "F");
	jfieldID DataCFsub1NorSpeed = (env)->GetFieldID(jReturnClass, "DataCFsub1NorSpeed", "F");
	jfieldID DataCFsub1EastSpeed = (env)->GetFieldID(jReturnClass, "DataCFsub1EastSpeed", "F");
	jfieldID DataCFsub1VerSpeed = (env)->GetFieldID(jReturnClass, "DataCFsub1VerSpeed", "F");
	jfieldID DataCFsub1GndSpeed = (env)->GetFieldID(jReturnClass, "DataCFsub1GndSpeed", "F");
	jfieldID DataCFsub1GndSpeedDir = (env)->GetFieldID(jReturnClass, "DataCFsub1GndSpeedDir", "F");

	env->SetIntField(jReturnObj, DataCFflyID, static_cast<int>(Parse.Data.DataCF.flyID));
	env->SetIntField(jReturnObj, DataCFFrameCount, static_cast<int>(Parse.Data.DataCF.FrameCount));
	env->SetDoubleField(jReturnObj, DataCFGPSLon, Parse.Data.DataCF.GPSLon);
	env->SetDoubleField(jReturnObj, DataCFGPSLat, Parse.Data.DataCF.GPSLat);
	env->SetDoubleField(jReturnObj, DataCFGPSAlt, Parse.Data.DataCF.GPSAlt);
	env->SetIntField(jReturnObj, DataCFsubFrameID, static_cast<int>(Parse.Data.DataCF.subFrameID));
	env->SetFloatField(jReturnObj, DataCFsub0UTCSecondDay, Parse.Data.DataCF.sub0.UTCSecondDay);
	env->SetIntField(jReturnObj, DataCFsub0LocStat, static_cast<int>(Parse.Data.DataCF.sub0.LocStat));
	env->SetIntField(jReturnObj, DataCFsub0SateNum, static_cast<int>(Parse.Data.DataCF.sub0.SateNum));
	env->SetIntField(jReturnObj, DataCFsub0SNGT46, static_cast<int>(Parse.Data.DataCF.sub0.SNGT46));
	env->SetIntField(jReturnObj, DataCFsub0SNGT44, static_cast<int>(Parse.Data.DataCF.sub0.SNGT44));
	env->SetIntField(jReturnObj, DataCFsub0SNGT42, static_cast<int>(Parse.Data.DataCF.sub0.SNGT42));
	env->SetIntField(jReturnObj, DataCFsub0SNGT40, static_cast<int>(Parse.Data.DataCF.sub0.SNGT40));
	env->SetIntField(jReturnObj, DataCFsub0SNGT38, static_cast<int>(Parse.Data.DataCF.sub0.SNGT38));
	env->SetIntField(jReturnObj, DataCFsub0SNGT35, static_cast<int>(Parse.Data.DataCF.sub0.SNGT35));
	env->SetFloatField(jReturnObj, DataCFsub1PDOP, Parse.Data.DataCF.sub1.PDOP);
	env->SetFloatField(jReturnObj, DataCFsub1NorSpeed, Parse.Data.DataCF.sub1.NorSpeed);
	env->SetFloatField(jReturnObj, DataCFsub1EastSpeed, Parse.Data.DataCF.sub1.EastSpeed);
	env->SetFloatField(jReturnObj, DataCFsub1VerSpeed, Parse.Data.DataCF.sub1.VerSpeed);
	env->SetFloatField(jReturnObj, DataCFsub1GndSpeed, Parse.Data.DataCF.sub1.GndSpeed);
	env->SetFloatField(jReturnObj, DataCFsub1GndSpeedDir, Parse.Data.DataCF.sub1.GndSpeedDir);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeD0(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameD0");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataD0flyID = (env)->GetFieldID(jReturnClass, "DataD0flyID", "I");
	jfieldID DataD0FrameCount = (env)->GetFieldID(jReturnClass, "DataD0FrameCount", "I");
	jfieldID DataD0MillRadarAHeight = (env)->GetFieldID(jReturnClass, "DataD0MillRadarAHeight", "F");
	jfieldID DataD0MillRadarBHeight = (env)->GetFieldID(jReturnClass, "DataD0MillRadarBHeight", "F");
	jfieldID DataD0subFrameID = (env)->GetFieldID(jReturnClass, "DataD0subFrameID", "I");
	jfieldID DataD0sub0AirPressureHeight1 = (env)->GetFieldID(jReturnClass, "DataD0sub0AirPressureHeight1", "F");
	jfieldID DataD0sub0AirPressureHeight2 = (env)->GetFieldID(jReturnClass, "DataD0sub0AirPressureHeight2", "F");
	jfieldID DataD0sub0AirPressureHeight3 = (env)->GetFieldID(jReturnClass, "DataD0sub0AirPressureHeight3", "F");
	jfieldID DataD0sub0AirPressureHeight4 = (env)->GetFieldID(jReturnClass, "DataD0sub0AirPressureHeight4", "F");
	jfieldID DataD0sub0AirSpeed1 = (env)->GetFieldID(jReturnClass, "DataD0sub0AirSpeed1", "F");
	jfieldID DataD0sub0AirSpeed2 = (env)->GetFieldID(jReturnClass, "DataD0sub0AirSpeed2", "F");
	jfieldID DataD0sub0AirSpeed3 = (env)->GetFieldID(jReturnClass, "DataD0sub0AirSpeed3", "F");
	jfieldID DataD0sub0LandPointAltitude = (env)->GetFieldID(jReturnClass, "DataD0sub0LandPointAltitude", "F");
	jfieldID DataD0sub0DeparturePointAltitude = (env)->GetFieldID(jReturnClass, "DataD0sub0DeparturePointAltitude", "F");
	jfieldID DataD0sub0DeparturePointAPAltitude = (env)->GetFieldID(jReturnClass, "DataD0sub0DeparturePointAPAltitude", "F");
	jfieldID DataD0sub1HgtAirEqDGPS = (env)->GetFieldID(jReturnClass, "DataD0sub1HgtAirEqDGPS", "F");
	jfieldID DataD0sub1AirBHgtCompensate = (env)->GetFieldID(jReturnClass, "DataD0sub1AirBHgtCompensate", "F");
	jfieldID DataD0sub1AirCHgtCompensate = (env)->GetFieldID(jReturnClass, "DataD0sub1AirCHgtCompensate", "F");
	jfieldID DataD0sub1AirSpeedDim = (env)->GetFieldID(jReturnClass, "DataD0sub1AirSpeedDim", "I");
	jfieldID DataD0sub1AirHgtDim = (env)->GetFieldID(jReturnClass, "DataD0sub1AirHgtDim", "I");
	jfieldID DataD0sub1HeadingDim = (env)->GetFieldID(jReturnClass, "DataD0sub1HeadingDim", "I");
	jfieldID DataD0sub1RelativeHgtDim = (env)->GetFieldID(jReturnClass, "DataD0sub1RelativeHgtDim", "I");
	jfieldID DataD0sub1Temperature = (env)->GetFieldID(jReturnClass, "DataD0sub1Temperature", "I");
	jfieldID DataD0sub1RelWet = (env)->GetFieldID(jReturnClass, "DataD0sub1RelWet", "I");
	jfieldID DataD0sub1HangUpCharge = (env)->GetFieldID(jReturnClass, "DataD0sub1HangUpCharge", "I");
	jfieldID DataD0sub1TailCharge = (env)->GetFieldID(jReturnClass, "DataD0sub1TailCharge", "I");
	jfieldID DataD0sub1HangUpCapacity = (env)->GetFieldID(jReturnClass, "DataD0sub1HangUpCapacity", "I");
	jfieldID DataD0sub1TailCapacity = (env)->GetFieldID(jReturnClass, "DataD0sub1TailCapacity", "I");
	jfieldID DataD0sub1HangUpElePower = (env)->GetFieldID(jReturnClass, "DataD0sub1HangUpElePower", "F");
	jfieldID DataD0sub1TailElePower = (env)->GetFieldID(jReturnClass, "DataD0sub1TailElePower", "F");
	jfieldID DataD0sub3FlyCtrlAStatus = (env)->GetFieldID(jReturnClass, "DataD0sub3FlyCtrlAStatus", "I");
	jfieldID DataD0sub3FlyCtrlBStatus = (env)->GetFieldID(jReturnClass, "DataD0sub3FlyCtrlBStatus", "I");
	jfieldID DataD0sub3LineCompare = (env)->GetFieldID(jReturnClass, "DataD0sub3LineCompare", "I");
	jfieldID DataD0sub3KeyParamCompare = (env)->GetFieldID(jReturnClass, "DataD0sub3KeyParamCompare", "I");
	jfieldID DataD0sub3BusDataSrc = (env)->GetFieldID(jReturnClass, "DataD0sub3BusDataSrc", "J");
	jfieldID DataD0sub3MasterControlStatus = (env)->GetFieldID(jReturnClass, "DataD0sub3MasterControlStatus", "I");

	env->SetIntField(jReturnObj, DataD0flyID, static_cast<int>(Parse.Data.DataD0.flyID));
	env->SetIntField(jReturnObj, DataD0FrameCount, static_cast<int>(Parse.Data.DataD0.FrameCount));
	env->SetFloatField(jReturnObj, DataD0MillRadarAHeight, Parse.Data.DataD0.MillRadarAHeight);
	env->SetFloatField(jReturnObj, DataD0MillRadarBHeight, Parse.Data.DataD0.MillRadarBHeight);
	env->SetIntField(jReturnObj, DataD0subFrameID, static_cast<int>(Parse.Data.DataD0.subFrameID));
	env->SetFloatField(jReturnObj, DataD0sub0AirPressureHeight1, Parse.Data.DataD0.sub0.AirPressureHeight1);
	env->SetFloatField(jReturnObj, DataD0sub0AirPressureHeight2, Parse.Data.DataD0.sub0.AirPressureHeight2);
	env->SetFloatField(jReturnObj, DataD0sub0AirPressureHeight3, Parse.Data.DataD0.sub0.AirPressureHeight3);
	env->SetFloatField(jReturnObj, DataD0sub0AirPressureHeight4, Parse.Data.DataD0.sub0.AirPressureHeight4);
	env->SetFloatField(jReturnObj, DataD0sub0AirSpeed1, Parse.Data.DataD0.sub0.AirSpeed1);
	env->SetFloatField(jReturnObj, DataD0sub0AirSpeed2, Parse.Data.DataD0.sub0.AirSpeed2);
	env->SetFloatField(jReturnObj, DataD0sub0AirSpeed3, Parse.Data.DataD0.sub0.AirSpeed3);
	env->SetFloatField(jReturnObj, DataD0sub0LandPointAltitude, Parse.Data.DataD0.sub0.LandPointAltitude);
	env->SetFloatField(jReturnObj, DataD0sub0DeparturePointAltitude, Parse.Data.DataD0.sub0.DeparturePointAltitude);
	env->SetFloatField(jReturnObj, DataD0sub0DeparturePointAPAltitude, Parse.Data.DataD0.sub0.DeparturePointAPAltitude);
	env->SetFloatField(jReturnObj, DataD0sub1HgtAirEqDGPS, Parse.Data.DataD0.sub1.HgtAirEqDGPS);
	env->SetFloatField(jReturnObj, DataD0sub1AirBHgtCompensate, Parse.Data.DataD0.sub1.AirBHgtCompensate);
	env->SetFloatField(jReturnObj, DataD0sub1AirCHgtCompensate, Parse.Data.DataD0.sub1.AirCHgtCompensate);
	env->SetIntField(jReturnObj, DataD0sub1AirSpeedDim, static_cast<int>(Parse.Data.DataD0.sub1.AirSpeedDim));
	env->SetIntField(jReturnObj, DataD0sub1AirHgtDim, static_cast<int>(Parse.Data.DataD0.sub1.AirHgtDim));
	env->SetIntField(jReturnObj, DataD0sub1HeadingDim, static_cast<int>(Parse.Data.DataD0.sub1.HeadingDim));
	env->SetIntField(jReturnObj, DataD0sub1RelativeHgtDim, static_cast<int>(Parse.Data.DataD0.sub1.RelativeHgtDim));
	env->SetIntField(jReturnObj, DataD0sub1Temperature, static_cast<int>(Parse.Data.DataD0.sub1.Temperature));
	env->SetIntField(jReturnObj, DataD0sub1RelWet, static_cast<int>(Parse.Data.DataD0.sub1.RelWet));
	env->SetIntField(jReturnObj, DataD0sub1HangUpCharge, static_cast<int>(Parse.Data.DataD0.sub1.HangUpCharge));
	env->SetIntField(jReturnObj, DataD0sub1TailCharge, static_cast<int>(Parse.Data.DataD0.sub1.TailCharge));
	env->SetIntField(jReturnObj, DataD0sub1HangUpCapacity, static_cast<int>(Parse.Data.DataD0.sub1.HangUpCapacity));
	env->SetIntField(jReturnObj, DataD0sub1TailCapacity, static_cast<int>(Parse.Data.DataD0.sub1.TailCapacity));
	env->SetFloatField(jReturnObj, DataD0sub1HangUpElePower, Parse.Data.DataD0.sub1.HangUpElePower);
	env->SetFloatField(jReturnObj, DataD0sub1TailElePower, Parse.Data.DataD0.sub1.TailElePower);
	env->SetIntField(jReturnObj, DataD0sub3FlyCtrlAStatus, static_cast<int>(Parse.Data.DataD0.sub3.FlyCtrlAStatus));
	env->SetIntField(jReturnObj, DataD0sub3FlyCtrlBStatus, static_cast<int>(Parse.Data.DataD0.sub3.FlyCtrlBStatus));
	env->SetIntField(jReturnObj, DataD0sub3LineCompare, static_cast<int>(Parse.Data.DataD0.sub3.LineCompare));
	env->SetIntField(jReturnObj, DataD0sub3KeyParamCompare, static_cast<int>(Parse.Data.DataD0.sub3.KeyParamCompare));
	env->SetLongField(jReturnObj, DataD0sub3BusDataSrc, static_cast<long long>(Parse.Data.DataD0.sub3.BusDataSrc));
	env->SetIntField(jReturnObj, DataD0sub3MasterControlStatus, static_cast<int>(Parse.Data.DataD0.sub3.MasterControlStatus));

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeD1(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameD1");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataD1flyID = (env)->GetFieldID(jReturnClass, "DataD1flyID", "I");
	jfieldID DataD1FrameCount = (env)->GetFieldID(jReturnClass, "DataD1FrameCount", "I");
	jfieldID DataD1TeleCtrlAFreq = (env)->GetFieldID(jReturnClass, "DataD1TeleCtrlAFreq", "I");
	jfieldID DataD1TeleCtrlBFreq = (env)->GetFieldID(jReturnClass, "DataD1TeleCtrlBFreq", "I");
	jfieldID DataD1TeleCtrlCFreq = (env)->GetFieldID(jReturnClass, "DataD1TeleCtrlCFreq", "I");
	jfieldID DataD1TeleCtrlDFreq = (env)->GetFieldID(jReturnClass, "DataD1TeleCtrlDFreq", "I");
	jfieldID DataD1subFrameID = (env)->GetFieldID(jReturnClass, "DataD1subFrameID", "I");
	jfieldID DataD1sub0ParamsDevFre = (env)->GetFieldID(jReturnClass, "DataD1sub0ParamsDevFre", "I");
	jfieldID DataD1sub0INSBFreqA = (env)->GetFieldID(jReturnClass, "DataD1sub0INSBFreqA", "I");
	jfieldID DataD1sub0INSBFreqB = (env)->GetFieldID(jReturnClass, "DataD1sub0INSBFreqB", "I");
	jfieldID DataD1sub0SatNavAFreq = (env)->GetFieldID(jReturnClass, "DataD1sub0SatNavAFreq", "I");
	jfieldID DataD1sub0SatNavBFreq = (env)->GetFieldID(jReturnClass, "DataD1sub0SatNavBFreq", "I");
	jfieldID DataD1sub0SatNavCFreq = (env)->GetFieldID(jReturnClass, "DataD1sub0SatNavCFreq", "I");
	jfieldID DataD1sub0MMVRAFreq = (env)->GetFieldID(jReturnClass, "DataD1sub0MMVRAFreq", "I");
	jfieldID DataD1sub0MMVRBFreq = (env)->GetFieldID(jReturnClass, "DataD1sub0MMVRBFreq", "I");
	jfieldID DataD1sub0AtmosphereDevAFre = (env)->GetFieldID(jReturnClass, "DataD1sub0AtmosphereDevAFre", "I");
	jfieldID DataD1sub0AtmosphereDevBFre = (env)->GetFieldID(jReturnClass, "DataD1sub0AtmosphereDevBFre", "I");
	jfieldID DataD1sub0EleTreqFre = (env)->GetFieldID(jReturnClass, "DataD1sub0EleTreqFre", "I");
	jfieldID DataD1sub0Broadcast_1Freq = (env)->GetFieldID(jReturnClass, "DataD1sub0Broadcast_1Freq", "I");
	jfieldID DataD1sub0Broadcast_2Freq = (env)->GetFieldID(jReturnClass, "DataD1sub0Broadcast_2Freq", "I");
	jfieldID DataD1sub0Broadcast_3Freq = (env)->GetFieldID(jReturnClass, "DataD1sub0Broadcast_3Freq", "I");
	jfieldID DataD1sub0Broadcast_4Freq = (env)->GetFieldID(jReturnClass, "DataD1sub0Broadcast_4Freq", "I");
	jfieldID DataD1sub0Broadcast_5Freq = (env)->GetFieldID(jReturnClass, "DataD1sub0Broadcast_5Freq", "I");
	jfieldID DataD1sub0Broadcast_6Freq = (env)->GetFieldID(jReturnClass, "DataD1sub0Broadcast_6Freq", "I");
	jfieldID DataD1sub0Broadcast_7Freq = (env)->GetFieldID(jReturnClass, "DataD1sub0Broadcast_7Freq", "I");
	jfieldID DataD1sub0Broadcast_8Freq = (env)->GetFieldID(jReturnClass, "DataD1sub0Broadcast_8Freq", "I");
	jfieldID DataD1sub0Broadcast_9Freq = (env)->GetFieldID(jReturnClass, "DataD1sub0Broadcast_9Freq", "I");
	jfieldID DataD1sub1ESC1Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1ESC1Freq", "I");
	jfieldID DataD1sub1ESC2Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1ESC2Freq", "I");
	jfieldID DataD1sub1ESC3Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1ESC3Freq", "I");
	jfieldID DataD1sub1ESC4Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1ESC4Freq", "I");
	jfieldID DataD1sub1ESC5Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1ESC5Freq", "I");
	jfieldID DataD1sub1ESC6Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1ESC6Freq", "I");
	jfieldID DataD1sub1ESC7Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1ESC7Freq", "I");
	jfieldID DataD1sub1ESC8Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1ESC8Freq", "I");
	jfieldID DataD1sub1ESCTailFreq = (env)->GetFieldID(jReturnClass, "DataD1sub1ESCTailFreq", "I");
	jfieldID DataD1sub1LeftAileronFreq = (env)->GetFieldID(jReturnClass, "DataD1sub1LeftAileronFreq", "I");
	jfieldID DataD1sub1RightAileronFreq = (env)->GetFieldID(jReturnClass, "DataD1sub1RightAileronFreq", "I");
	jfieldID DataD1sub1ServoFreq1 = (env)->GetFieldID(jReturnClass, "DataD1sub1ServoFreq1", "I");
	jfieldID DataD1sub1ServoFreq2 = (env)->GetFieldID(jReturnClass, "DataD1sub1ServoFreq2", "I");
	jfieldID DataD1sub1ServoFreq3 = (env)->GetFieldID(jReturnClass, "DataD1sub1ServoFreq3", "I");
	jfieldID DataD1sub1Reserved1Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1Reserved1Freq", "I");
	jfieldID DataD1sub1Reserved2Freq = (env)->GetFieldID(jReturnClass, "DataD1sub1Reserved2Freq", "I");
	jfieldID DataD1sub1CANAFreq = (env)->GetFieldID(jReturnClass, "DataD1sub1CANAFreq", "I");
	jfieldID DataD1sub1CANBFreq = (env)->GetFieldID(jReturnClass, "DataD1sub1CANBFreq", "I");
	jfieldID DataD1sub1BUS485AFreq = (env)->GetFieldID(jReturnClass, "DataD1sub1BUS485AFreq", "I");
	jfieldID DataD1sub1BUS485BFreq = (env)->GetFieldID(jReturnClass, "DataD1sub1BUS485BFreq", "I");
	jfieldID DataD1sub2LHDESC1Freq = (env)->GetFieldID(jReturnClass, "DataD1sub2LHDESC1Freq", "I");
	jfieldID DataD1sub2LHDESC2Freq = (env)->GetFieldID(jReturnClass, "DataD1sub2LHDESC2Freq", "I");
	jfieldID DataD1sub2LHDESC3Freq = (env)->GetFieldID(jReturnClass, "DataD1sub2LHDESC3Freq", "I");
	jfieldID DataD1sub2LHDESC4Freq = (env)->GetFieldID(jReturnClass, "DataD1sub2LHDESC4Freq", "I");
	jfieldID DataD1sub2LHDESC5Freq = (env)->GetFieldID(jReturnClass, "DataD1sub2LHDESC5Freq", "I");
	jfieldID DataD1sub2LHDESC6Freq = (env)->GetFieldID(jReturnClass, "DataD1sub2LHDESC6Freq", "I");
	jfieldID DataD1sub2LHDESC7Freq = (env)->GetFieldID(jReturnClass, "DataD1sub2LHDESC7Freq", "I");
	jfieldID DataD1sub2LHDESC8Freq = (env)->GetFieldID(jReturnClass, "DataD1sub2LHDESC8Freq", "I");
	jfieldID DataD1sub2LHDESCTailFreq = (env)->GetFieldID(jReturnClass, "DataD1sub2LHDESCTailFreq", "I");
	jfieldID DataD1sub2TelecontrolInVoltageA = (env)->GetFieldID(jReturnClass, "DataD1sub2TelecontrolInVoltageA", "F");
	jfieldID DataD1sub2TelecontrolInVoltageB = (env)->GetFieldID(jReturnClass, "DataD1sub2TelecontrolInVoltageB", "F");
	jfieldID DataD1sub2Telecontrol5VoltageA = (env)->GetFieldID(jReturnClass, "DataD1sub2Telecontrol5VoltageA", "F");
	jfieldID DataD1sub2Telecontrol5VoltageB = (env)->GetFieldID(jReturnClass, "DataD1sub2Telecontrol5VoltageB", "F");
	jfieldID DataD1sub2Telecontrol33VoltageA = (env)->GetFieldID(jReturnClass, "DataD1sub2Telecontrol33VoltageA", "F");
	jfieldID DataD1sub2Telecontrol33VoltageB = (env)->GetFieldID(jReturnClass, "DataD1sub2Telecontrol33VoltageB", "F");
	jfieldID DataD1sub2VoltageReserved1 = (env)->GetFieldID(jReturnClass, "DataD1sub2VoltageReserved1", "F");
	jfieldID DataD1sub2VoltageReserved2 = (env)->GetFieldID(jReturnClass, "DataD1sub2VoltageReserved2", "F");
	jfieldID DataD1sub2VoltageReserved3 = (env)->GetFieldID(jReturnClass, "DataD1sub2VoltageReserved3", "F");
	jfieldID DataD1sub2VoltageReserved4 = (env)->GetFieldID(jReturnClass, "DataD1sub2VoltageReserved4", "F");
	jfieldID DataD1sub2VoltageReserved5 = (env)->GetFieldID(jReturnClass, "DataD1sub2VoltageReserved5", "F");
	jfieldID DataD1sub3MotorTestMode = (env)->GetFieldID(jReturnClass, "DataD1sub3MotorTestMode", "I");
	jfieldID DataD1sub3MotorTestNum = (env)->GetFieldID(jReturnClass, "DataD1sub3MotorTestNum", "I");
	jfieldID DataD1sub3GasCtrlMode = (env)->GetFieldID(jReturnClass, "DataD1sub3GasCtrlMode", "I");
	jfieldID DataD1sub3ParamsDevSaveType = (env)->GetFieldID(jReturnClass, "DataD1sub3ParamsDevSaveType", "I");
	jfieldID DataD1sub3FreqBackTestGas = (env)->GetFieldID(jReturnClass, "DataD1sub3FreqBackTestGas", "I");
	jfieldID DataD1sub3SpedDiffTestGas = (env)->GetFieldID(jReturnClass, "DataD1sub3SpedDiffTestGas", "I");
	jfieldID DataD1sub3LinkIDX = (env)->GetFieldID(jReturnClass, "DataD1sub3LinkIDX", "I");
	jfieldID DataD1sub3BDBoardSetting = (env)->GetFieldID(jReturnClass, "DataD1sub3BDBoardSetting", "I");
	jfieldID DataD1sub3BDBoardSettingCount = (env)->GetFieldID(jReturnClass, "DataD1sub3BDBoardSettingCount", "I");
	jfieldID DataD1sub3AirDropSteer = (env)->GetFieldID(jReturnClass, "DataD1sub3AirDropSteer", "I");
	jfieldID DataD1sub3HatchSteer = (env)->GetFieldID(jReturnClass, "DataD1sub3HatchSteer", "I");

	env->SetIntField(jReturnObj, DataD1flyID, static_cast<int>(Parse.Data.DataD1.flyID));
	env->SetIntField(jReturnObj, DataD1FrameCount, static_cast<int>(Parse.Data.DataD1.FrameCount));
	env->SetIntField(jReturnObj, DataD1TeleCtrlAFreq, static_cast<int>(Parse.Data.DataD1.TeleCtrlAFreq));
	env->SetIntField(jReturnObj, DataD1TeleCtrlBFreq, static_cast<int>(Parse.Data.DataD1.TeleCtrlBFreq));
	env->SetIntField(jReturnObj, DataD1TeleCtrlCFreq, static_cast<int>(Parse.Data.DataD1.TeleCtrlCFreq));
	env->SetIntField(jReturnObj, DataD1TeleCtrlDFreq, static_cast<int>(Parse.Data.DataD1.TeleCtrlDFreq));
	env->SetIntField(jReturnObj, DataD1subFrameID, static_cast<int>(Parse.Data.DataD1.subFrameID));
	env->SetIntField(jReturnObj, DataD1sub0ParamsDevFre, static_cast<int>(Parse.Data.DataD1.sub0.ParamsDevFre));
	env->SetIntField(jReturnObj, DataD1sub0INSBFreqA, static_cast<int>(Parse.Data.DataD1.sub0.INSBFreqA));
	env->SetIntField(jReturnObj, DataD1sub0INSBFreqB, static_cast<int>(Parse.Data.DataD1.sub0.INSBFreqB));
	env->SetIntField(jReturnObj, DataD1sub0SatNavAFreq, static_cast<int>(Parse.Data.DataD1.sub0.SatNavAFreq));
	env->SetIntField(jReturnObj, DataD1sub0SatNavBFreq, static_cast<int>(Parse.Data.DataD1.sub0.SatNavBFreq));
	env->SetIntField(jReturnObj, DataD1sub0SatNavCFreq, static_cast<int>(Parse.Data.DataD1.sub0.SatNavCFreq));
	env->SetIntField(jReturnObj, DataD1sub0MMVRAFreq, static_cast<int>(Parse.Data.DataD1.sub0.MMVRAFreq));
	env->SetIntField(jReturnObj, DataD1sub0MMVRBFreq, static_cast<int>(Parse.Data.DataD1.sub0.MMVRBFreq));
	env->SetIntField(jReturnObj, DataD1sub0AtmosphereDevAFre, static_cast<int>(Parse.Data.DataD1.sub0.AtmosphereDevAFre));
	env->SetIntField(jReturnObj, DataD1sub0AtmosphereDevBFre, static_cast<int>(Parse.Data.DataD1.sub0.AtmosphereDevBFre));
	env->SetIntField(jReturnObj, DataD1sub0EleTreqFre, static_cast<int>(Parse.Data.DataD1.sub0.EleTreqFre));
	env->SetIntField(jReturnObj, DataD1sub0Broadcast_1Freq, static_cast<int>(Parse.Data.DataD1.sub0.Broadcast_1Freq));
	env->SetIntField(jReturnObj, DataD1sub0Broadcast_2Freq, static_cast<int>(Parse.Data.DataD1.sub0.Broadcast_2Freq));
	env->SetIntField(jReturnObj, DataD1sub0Broadcast_3Freq, static_cast<int>(Parse.Data.DataD1.sub0.Broadcast_3Freq));
	env->SetIntField(jReturnObj, DataD1sub0Broadcast_4Freq, static_cast<int>(Parse.Data.DataD1.sub0.Broadcast_4Freq));
	env->SetIntField(jReturnObj, DataD1sub0Broadcast_5Freq, static_cast<int>(Parse.Data.DataD1.sub0.Broadcast_5Freq));
	env->SetIntField(jReturnObj, DataD1sub0Broadcast_6Freq, static_cast<int>(Parse.Data.DataD1.sub0.Broadcast_6Freq));
	env->SetIntField(jReturnObj, DataD1sub0Broadcast_7Freq, static_cast<int>(Parse.Data.DataD1.sub0.Broadcast_7Freq));
	env->SetIntField(jReturnObj, DataD1sub0Broadcast_8Freq, static_cast<int>(Parse.Data.DataD1.sub0.Broadcast_8Freq));
	env->SetIntField(jReturnObj, DataD1sub0Broadcast_9Freq, static_cast<int>(Parse.Data.DataD1.sub0.Broadcast_9Freq));
	env->SetIntField(jReturnObj, DataD1sub1ESC1Freq, static_cast<int>(Parse.Data.DataD1.sub1.ESC1Freq));
	env->SetIntField(jReturnObj, DataD1sub1ESC2Freq, static_cast<int>(Parse.Data.DataD1.sub1.ESC2Freq));
	env->SetIntField(jReturnObj, DataD1sub1ESC3Freq, static_cast<int>(Parse.Data.DataD1.sub1.ESC3Freq));
	env->SetIntField(jReturnObj, DataD1sub1ESC4Freq, static_cast<int>(Parse.Data.DataD1.sub1.ESC4Freq));
	env->SetIntField(jReturnObj, DataD1sub1ESC5Freq, static_cast<int>(Parse.Data.DataD1.sub1.ESC5Freq));
	env->SetIntField(jReturnObj, DataD1sub1ESC6Freq, static_cast<int>(Parse.Data.DataD1.sub1.ESC6Freq));
	env->SetIntField(jReturnObj, DataD1sub1ESC7Freq, static_cast<int>(Parse.Data.DataD1.sub1.ESC7Freq));
	env->SetIntField(jReturnObj, DataD1sub1ESC8Freq, static_cast<int>(Parse.Data.DataD1.sub1.ESC8Freq));
	env->SetIntField(jReturnObj, DataD1sub1ESCTailFreq, static_cast<int>(Parse.Data.DataD1.sub1.ESCTailFreq));
	env->SetIntField(jReturnObj, DataD1sub1LeftAileronFreq, static_cast<int>(Parse.Data.DataD1.sub1.LeftAileronFreq));
	env->SetIntField(jReturnObj, DataD1sub1RightAileronFreq, static_cast<int>(Parse.Data.DataD1.sub1.RightAileronFreq));
	env->SetIntField(jReturnObj, DataD1sub1ServoFreq1, static_cast<int>(Parse.Data.DataD1.sub1.ServoFreq1));
	env->SetIntField(jReturnObj, DataD1sub1ServoFreq2, static_cast<int>(Parse.Data.DataD1.sub1.ServoFreq2));
	env->SetIntField(jReturnObj, DataD1sub1ServoFreq3, static_cast<int>(Parse.Data.DataD1.sub1.ServoFreq3));
	env->SetIntField(jReturnObj, DataD1sub1Reserved1Freq, static_cast<int>(Parse.Data.DataD1.sub1.Reserved1Freq));
	env->SetIntField(jReturnObj, DataD1sub1Reserved2Freq, static_cast<int>(Parse.Data.DataD1.sub1.Reserved2Freq));
	env->SetIntField(jReturnObj, DataD1sub1CANAFreq, static_cast<int>(Parse.Data.DataD1.sub1.CANAFreq));
	env->SetIntField(jReturnObj, DataD1sub1CANBFreq, static_cast<int>(Parse.Data.DataD1.sub1.CANBFreq));
	env->SetIntField(jReturnObj, DataD1sub1BUS485AFreq, static_cast<int>(Parse.Data.DataD1.sub1.BUS485AFreq));
	env->SetIntField(jReturnObj, DataD1sub1BUS485BFreq, static_cast<int>(Parse.Data.DataD1.sub1.BUS485BFreq));
	env->SetIntField(jReturnObj, DataD1sub2LHDESC1Freq, static_cast<int>(Parse.Data.DataD1.sub2.LHDESC1Freq));
	env->SetIntField(jReturnObj, DataD1sub2LHDESC2Freq, static_cast<int>(Parse.Data.DataD1.sub2.LHDESC2Freq));
	env->SetIntField(jReturnObj, DataD1sub2LHDESC3Freq, static_cast<int>(Parse.Data.DataD1.sub2.LHDESC3Freq));
	env->SetIntField(jReturnObj, DataD1sub2LHDESC4Freq, static_cast<int>(Parse.Data.DataD1.sub2.LHDESC4Freq));
	env->SetIntField(jReturnObj, DataD1sub2LHDESC5Freq, static_cast<int>(Parse.Data.DataD1.sub2.LHDESC5Freq));
	env->SetIntField(jReturnObj, DataD1sub2LHDESC6Freq, static_cast<int>(Parse.Data.DataD1.sub2.LHDESC6Freq));
	env->SetIntField(jReturnObj, DataD1sub2LHDESC7Freq, static_cast<int>(Parse.Data.DataD1.sub2.LHDESC7Freq));
	env->SetIntField(jReturnObj, DataD1sub2LHDESC8Freq, static_cast<int>(Parse.Data.DataD1.sub2.LHDESC8Freq));
	env->SetIntField(jReturnObj, DataD1sub2LHDESCTailFreq, static_cast<int>(Parse.Data.DataD1.sub2.LHDESCTailFreq));
	env->SetFloatField(jReturnObj, DataD1sub2TelecontrolInVoltageA, Parse.Data.DataD1.sub2.TelecontrolInVoltageA);
	env->SetFloatField(jReturnObj, DataD1sub2TelecontrolInVoltageB, Parse.Data.DataD1.sub2.TelecontrolInVoltageB);
	env->SetFloatField(jReturnObj, DataD1sub2Telecontrol5VoltageA, Parse.Data.DataD1.sub2.Telecontrol5VoltageA);
	env->SetFloatField(jReturnObj, DataD1sub2Telecontrol5VoltageB, Parse.Data.DataD1.sub2.Telecontrol5VoltageB);
	env->SetFloatField(jReturnObj, DataD1sub2Telecontrol33VoltageA, Parse.Data.DataD1.sub2.Telecontrol33VoltageA);
	env->SetFloatField(jReturnObj, DataD1sub2Telecontrol33VoltageB, Parse.Data.DataD1.sub2.Telecontrol33VoltageB);
	env->SetFloatField(jReturnObj, DataD1sub2VoltageReserved1, Parse.Data.DataD1.sub2.VoltageReserved1);
	env->SetFloatField(jReturnObj, DataD1sub2VoltageReserved2, Parse.Data.DataD1.sub2.VoltageReserved2);
	env->SetFloatField(jReturnObj, DataD1sub2VoltageReserved3, Parse.Data.DataD1.sub2.VoltageReserved3);
	env->SetFloatField(jReturnObj, DataD1sub2VoltageReserved4, Parse.Data.DataD1.sub2.VoltageReserved4);
	env->SetFloatField(jReturnObj, DataD1sub2VoltageReserved5, Parse.Data.DataD1.sub2.VoltageReserved5);
	env->SetIntField(jReturnObj, DataD1sub3MotorTestMode, static_cast<int>(Parse.Data.DataD1.sub3.MotorTestMode));
	env->SetIntField(jReturnObj, DataD1sub3MotorTestNum, static_cast<int>(Parse.Data.DataD1.sub3.MotorTestNum));
	env->SetIntField(jReturnObj, DataD1sub3GasCtrlMode, static_cast<int>(Parse.Data.DataD1.sub3.GasCtrlMode));
	env->SetIntField(jReturnObj, DataD1sub3ParamsDevSaveType, static_cast<int>(Parse.Data.DataD1.sub3.ParamsDevSaveType));
	env->SetIntField(jReturnObj, DataD1sub3FreqBackTestGas, static_cast<int>(Parse.Data.DataD1.sub3.FreqBackTestGas));
	env->SetIntField(jReturnObj, DataD1sub3SpedDiffTestGas, static_cast<int>(Parse.Data.DataD1.sub3.SpedDiffTestGas));
	env->SetIntField(jReturnObj, DataD1sub3LinkIDX, static_cast<int>(Parse.Data.DataD1.sub3.LinkIDX));
	env->SetIntField(jReturnObj, DataD1sub3BDBoardSetting, static_cast<int>(Parse.Data.DataD1.sub3.BDBoardSetting));
	env->SetIntField(jReturnObj, DataD1sub3BDBoardSettingCount, static_cast<int>(Parse.Data.DataD1.sub3.BDBoardSettingCount));
	env->SetIntField(jReturnObj, DataD1sub3AirDropSteer, static_cast<int>(Parse.Data.DataD1.sub3.AirDropSteer));
	env->SetIntField(jReturnObj, DataD1sub3HatchSteer, static_cast<int>(Parse.Data.DataD1.sub3.HatchSteer));

	jfieldID ChargingStateParam = (env)->GetFieldID(jReturnClass, "DataD1sub3PowerSupplyStatus", "Lcom/htfp/jni/uav981C/bean/param/ChargingStateParam;");
	jclass returnClass = env->FindClass("com/htfp/jni/uav981C/bean/param/ChargingStateParam");
	jmethodID ChargingStateId = env->GetMethodID(returnClass, "<init>", "()V");
	jobject obj = env->NewObject(returnClass, ChargingStateId);
	
	{
		jfieldID preCharging = env->GetFieldID(returnClass, "preCharging", "Z");
		jfieldID preChargeCompleted = env->GetFieldID(returnClass, "preChargeCompleted", "Z");
		jfieldID powerOnCompleted = env->GetFieldID(returnClass, "powerOnCompleted", "Z");
		jfieldID duringPowerOff = env->GetFieldID(returnClass, "duringPowerOff", "Z");
		jfieldID powerOffCompleted = env->GetFieldID(returnClass, "powerOffCompleted", "Z");

		uint8_t powerSupply_flag = Parse.Data.DataD1.sub3.PowerSupplyStatus;
		env->SetBooleanField(obj, preCharging, powerSupply_flag);
		env->SetBooleanField(obj, preChargeCompleted, powerSupply_flag >> 1);
		env->SetBooleanField(obj, powerOnCompleted, powerSupply_flag >> 2);
		env->SetBooleanField(obj, duringPowerOff, powerSupply_flag >> 3);
		env->SetBooleanField(obj, powerOffCompleted, powerSupply_flag >> 4);
	}
	env->SetObjectField(jReturnObj, ChargingStateParam, obj);

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}

jobject Decode981C::DecodeD2(JNIEnv* env, CFrameFK_D_JE& Parse)
{
	jclass jReturnClass = env->FindClass("com/htfp/jni/uav981C/bean/Uav981CFlightDataFrameD2");
	jmethodID jmId = env->GetMethodID(jReturnClass, "<init>", "()V");
	jobject jReturnObj = env->NewObject(jReturnClass, jmId);

	jfieldID DataD2flyID = (env)->GetFieldID(jReturnClass, "DataD2flyID", "I");
	jfieldID DataD2FrameCount = (env)->GetFieldID(jReturnClass, "DataD2FrameCount", "I");
	jfieldID DataD2subFrameID = (env)->GetFieldID(jReturnClass, "DataD2subFrameID", "I");
	jfieldID DataD2sub0TelecontrolRunTime = (env)->GetFieldID(jReturnClass, "DataD2sub0TelecontrolRunTime", "I");
	jfieldID DataD2sub0TelecontrolMaxRuntime = (env)->GetFieldID(jReturnClass, "DataD2sub0TelecontrolMaxRuntime", "I");
	jfieldID DataD2sub0TelecontrolResetStatus = (env)->GetFieldID(jReturnClass, "DataD2sub0TelecontrolResetStatus", "I");
	jfieldID DataD2sub0TimeOutofTeleControl = (env)->GetFieldID(jReturnClass, "DataD2sub0TimeOutofTeleControl", "I");
	jfieldID DataD2sub0FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub0FlyTime", "I");
	jfieldID DataD2sub0OneFlyMileage = (env)->GetFieldID(jReturnClass, "DataD2sub0OneFlyMileage", "J");
	jfieldID DataD2sub0FlyNum = (env)->GetFieldID(jReturnClass, "DataD2sub0FlyNum", "I");
	jfieldID DataD2sub0AllFlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub0AllFlyTime", "J");
	jfieldID DataD2sub0TotalFlyMileage = (env)->GetFieldID(jReturnClass, "DataD2sub0TotalFlyMileage", "J");
	jfieldID DataD2sub1ESC1FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub1ESC1FlyTime", "J");
	jfieldID DataD2sub1Motor1FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub1Motor1FlyTime", "J");
	jfieldID DataD2sub1ESC2FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub1ESC2FlyTime", "J");
	jfieldID DataD2sub1Motor2FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub1Motor2FlyTime", "J");
	jfieldID DataD2sub1ESC3FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub1ESC3FlyTime", "J");
	jfieldID DataD2sub1Motor3FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub1Motor3FlyTime", "J");
	jfieldID DataD2sub2ESC4FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub2ESC4FlyTime", "J");
	jfieldID DataD2sub2Motor4FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub2Motor4FlyTime", "J");
	jfieldID DataD2sub2ESC5FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub2ESC5FlyTime", "J");
	jfieldID DataD2sub2Motor5FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub2Motor5FlyTime", "J");
	jfieldID DataD2sub2ESC6FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub2ESC6FlyTime", "J");
	jfieldID DataD2sub2Motor6FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub2Motor6FlyTime", "J");
	jfieldID DataD2sub3ESC7FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub3ESC7FlyTime", "J");
	jfieldID DataD2sub3Motor7FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub3Motor7FlyTime", "J");
	jfieldID DataD2sub3ESC8FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub3ESC8FlyTime", "J");
	jfieldID DataD2sub3Motor8FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub3Motor8FlyTime", "J");
	jfieldID DataD2sub3ESC9FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub3ESC9FlyTime", "J");
	jfieldID DataD2sub3Motor9FlyTime = (env)->GetFieldID(jReturnClass, "DataD2sub3Motor9FlyTime", "J");

	env->SetIntField(jReturnObj, DataD2flyID, static_cast<int>(Parse.Data.DataD2.flyID));
	env->SetIntField(jReturnObj, DataD2FrameCount, static_cast<int>(Parse.Data.DataD2.FrameCount));
	env->SetIntField(jReturnObj, DataD2subFrameID, static_cast<int>(Parse.Data.DataD2.subFrameID));
	env->SetIntField(jReturnObj, DataD2sub0TelecontrolRunTime, static_cast<int>(Parse.Data.DataD2.sub0.TelecontrolRunTime));
	env->SetIntField(jReturnObj, DataD2sub0TelecontrolMaxRuntime, static_cast<int>(Parse.Data.DataD2.sub0.TelecontrolMaxRuntime));
	env->SetIntField(jReturnObj, DataD2sub0TelecontrolResetStatus, static_cast<int>(Parse.Data.DataD2.sub0.TelecontrolResetStatus));
	env->SetIntField(jReturnObj, DataD2sub0TimeOutofTeleControl, static_cast<int>(Parse.Data.DataD2.sub0.TimeOutofTeleControl));
	env->SetIntField(jReturnObj, DataD2sub0FlyTime, static_cast<int>(Parse.Data.DataD2.sub0.FlyTime));
	env->SetLongField(jReturnObj, DataD2sub0OneFlyMileage, static_cast<long long>(Parse.Data.DataD2.sub0.OneFlyMileage));
	env->SetIntField(jReturnObj, DataD2sub0FlyNum, static_cast<int>(Parse.Data.DataD2.sub0.FlyNum));
	env->SetLongField(jReturnObj, DataD2sub0AllFlyTime, static_cast<long long>(Parse.Data.DataD2.sub0.AllFlyTime));
	env->SetLongField(jReturnObj, DataD2sub0TotalFlyMileage, static_cast<long long>(Parse.Data.DataD2.sub0.TotalFlyMileage));
	env->SetLongField(jReturnObj, DataD2sub1ESC1FlyTime, static_cast<long long>(Parse.Data.DataD2.sub1.ESC1FlyTime));
	env->SetLongField(jReturnObj, DataD2sub1Motor1FlyTime, static_cast<long long>(Parse.Data.DataD2.sub1.Motor1FlyTime));
	env->SetLongField(jReturnObj, DataD2sub1ESC2FlyTime, static_cast<long long>(Parse.Data.DataD2.sub1.ESC2FlyTime));
	env->SetLongField(jReturnObj, DataD2sub1Motor2FlyTime, static_cast<long long>(Parse.Data.DataD2.sub1.Motor2FlyTime));
	env->SetLongField(jReturnObj, DataD2sub1ESC3FlyTime, static_cast<long long>(Parse.Data.DataD2.sub1.ESC3FlyTime));
	env->SetLongField(jReturnObj, DataD2sub1Motor3FlyTime, static_cast<long long>(Parse.Data.DataD2.sub1.Motor3FlyTime));
	env->SetLongField(jReturnObj, DataD2sub2ESC4FlyTime, static_cast<long long>(Parse.Data.DataD2.sub2.ESC4FlyTime));
	env->SetLongField(jReturnObj, DataD2sub2Motor4FlyTime, static_cast<long long>(Parse.Data.DataD2.sub2.Motor4FlyTime));
	env->SetLongField(jReturnObj, DataD2sub2ESC5FlyTime, static_cast<long long>(Parse.Data.DataD2.sub2.ESC5FlyTime));
	env->SetLongField(jReturnObj, DataD2sub2Motor5FlyTime, static_cast<long long>(Parse.Data.DataD2.sub2.Motor5FlyTime));
	env->SetLongField(jReturnObj, DataD2sub2ESC6FlyTime, static_cast<long long>(Parse.Data.DataD2.sub2.ESC6FlyTime));
	env->SetLongField(jReturnObj, DataD2sub2Motor6FlyTime, static_cast<long long>(Parse.Data.DataD2.sub2.Motor6FlyTime));
	env->SetLongField(jReturnObj, DataD2sub3ESC7FlyTime, static_cast<long long>(Parse.Data.DataD2.sub3.ESC7FlyTime));
	env->SetLongField(jReturnObj, DataD2sub3Motor7FlyTime, static_cast<long long>(Parse.Data.DataD2.sub3.Motor7FlyTime));
	env->SetLongField(jReturnObj, DataD2sub3ESC8FlyTime, static_cast<long long>(Parse.Data.DataD2.sub3.ESC8FlyTime));
	env->SetLongField(jReturnObj, DataD2sub3Motor8FlyTime, static_cast<long long>(Parse.Data.DataD2.sub3.Motor8FlyTime));
	env->SetLongField(jReturnObj, DataD2sub3ESC9FlyTime, static_cast<long long>(Parse.Data.DataD2.sub3.ESC9FlyTime));
	env->SetLongField(jReturnObj, DataD2sub3Motor9FlyTime, static_cast<long long>(Parse.Data.DataD2.sub3.Motor9FlyTime));

	env->DeleteLocalRef(jReturnClass);

	return jReturnObj;
}