package com.htfp.jni.uav98.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 17:28
 */
public class Uav98FlightDataFrame81_84 extends Uav98FlightDataFrame {
    private int Data81FlyID; //飞机ID
    private int Data81FrameCount; //帧计数
    private float Data81FyAngle; //俯仰角
    private float Data81GzAngle; //滚转角
    private float Data81HeadAngle; //航向角
    private float Data81FyW; //俯仰角速度
    private float Data81GzW; //滚转角速度
    private float Data81PhW; //航向角速度
    private float Data81Xw; //前向加速度
    private float Data81Yw; //右向加速度
    private float Data81Zw; //垂向加速度
    private float Data81FyGiven; //俯仰角给定
    private float Data81GzGiven; //滚转角给定
    private float Data81HeadGiven; //航向角给定
    private int Data81ExcuteState; //执行状态返回值
    private int Data81OpenCMDRe; //遥控开关指令回报
    private int Data82FrameCount; //帧计数
    private float Data82HeightGiven; //高度给定
    private float Data82AirSpeedGiven; //空速给定
    private float Data82VerSpeedGiven; //垂向速度给定
    private long Data82FengMenGiven; //风门给定
    private int Data82VerSlideCmd; //纵向/滑跑令牌
    private int Data82VerSlideCtrlStep    ; //纵向/滑跑控制步数
    private int Data82CPCorrect; //侧偏修正量
    private int Data82CloseLoopCtrlFlag; //闭环控制标志
    private int Data82subFrameID; //子帧编号
    private float Data82sub0UpDownGiven; //升降舵给定
    private float Data82sub0AssFYGiven; //副翼舵给定
    private float Data82sub0DirDuoGiven; //方向舵给定
    private float Data82sub0JYGiven; //上襟翼舵给定
    private float Data82sub0RightJYGiven; //右下襟翼舵给定
    private float Data82sub0LeftJYGiven; //左下襟翼舵给定
    private float Data82sub0LUpDownRe; //左升降反馈
    private float Data82sub0RUpDownRe; //右升降反馈
    private float Data82sub0LAWingRe; //左副翼反馈
    private float Data82sub0RAWingRe; //右副翼反馈
    private float Data82sub0DirDuoRe; //方向舵反馈
    private float Data82sub1JYRe; //上襟翼反馈
    private float Data82sub1RightJYRe; //右下襟翼反馈
    private float Data82sub1LeftJYRe; //左下襟翼反馈
    private int Data82sub1LeftBrakeGiven; //左刹车给定
    private int Data82sub1RightBrakeGiven; //右刹车给定
    private byte Data82sub1GZCorrect; //滚转修正值
    private byte Data82sub1AirSpeedCloseLoopProdFMGiven; //空速闭环产生风门给定
    private byte Data82sub1FYZero; //俯仰零位值
    private byte Data82sub1GZZero; //滚转零位值
    private float Data82sub1HeightWarp; //高度偏差
    private int Data83FrameCount; //帧计数
    private float Data83CPSpeed; //侧偏速度
    private double Data83GPSLongitude; //GPS经度
    private double Data83GPSLatitude; //GPS纬度
    private float Data83HBHeight; //海拔高度
    private float Data83AirHeight; //气压高度
    private float Data83RelHeight; //相对海拔高度
    private float Data83AirSpeed; //空速
    private float Data83GroundSpeed; //地速
    private float Data83GroundSpeedDirect; //地速方向
    private float Data83VeSpeed; //垂向速度
    private float Data83RealAirSpeed; //真空速
    private int Data84FrameCount; //帧计数
    private int Data84ControlModel; //控制模态
    private int Data84FlyStatusandSelNavi ; //飞行状态和自主导航状态
    private int Data84FlyErrorStatus; //飞行故障标志
    private int Data84HDErrorStatus; //航电故障状态
    private int Data84HDDeviceOpenStauts; //航电设备开关状态
    private int Data84OtherStatus; //其他设备开关状态
    private int Data84FlyStateFlag; //飞行状态标志
    private long Data84DataUseStatus; //数据使用状态
    private long Data84FlyLineNum; //飞行航线号
    private long Data84FlyLinePointNem; //目标航点号
    private int Data84NeedFlyDist; //待飞距
    private float Data84PHju; //偏航距
    private float Data84PHJiao; //偏航角
    private int Data84ErrorState; //故障状态
    private int Data84ExeErrorStat; //执行机构故障状态

    public int getData81FlyID() {
        return Data81FlyID;
    }

    public int getData81FrameCount() {
        return Data81FrameCount;
    }

    public float getData81FyAngle() {
        return Data81FyAngle;
    }

    public float getData81GzAngle() {
        return Data81GzAngle;
    }

    public float getData81HeadAngle() {
        return Data81HeadAngle;
    }

    public float getData81FyW() {
        return Data81FyW;
    }

    public float getData81GzW() {
        return Data81GzW;
    }

    public float getData81PhW() {
        return Data81PhW;
    }

    public float getData81Xw() {
        return Data81Xw;
    }

    public float getData81Yw() {
        return Data81Yw;
    }

    public float getData81Zw() {
        return Data81Zw;
    }

    public float getData81FyGiven() {
        return Data81FyGiven;
    }

    public float getData81GzGiven() {
        return Data81GzGiven;
    }

    public float getData81HeadGiven() {
        return Data81HeadGiven;
    }

    public int getData81ExcuteState() {
        return Data81ExcuteState;
    }

    public int getData81OpenCMDRe() {
        return Data81OpenCMDRe;
    }

    public int getData82FrameCount() {
        return Data82FrameCount;
    }

    public float getData82HeightGiven() {
        return Data82HeightGiven;
    }

    public float getData82AirSpeedGiven() {
        return Data82AirSpeedGiven;
    }

    public float getData82VerSpeedGiven() {
        return Data82VerSpeedGiven;
    }

    public long getData82FengMenGiven() {
        return Data82FengMenGiven;
    }

    public int getData82VerSlideCmd() {
        return Data82VerSlideCmd;
    }

    public int getData82VerSlideCtrlStep() {
        return Data82VerSlideCtrlStep;
    }

    public int getData82CPCorrect() {
        return Data82CPCorrect;
    }

    public int getData82CloseLoopCtrlFlag() {
        return Data82CloseLoopCtrlFlag;
    }

    public int getData82subFrameID() {
        return Data82subFrameID;
    }

    public float getData82sub0UpDownGiven() {
        return Data82sub0UpDownGiven;
    }

    public float getData82sub0AssFYGiven() {
        return Data82sub0AssFYGiven;
    }

    public float getData82sub0DirDuoGiven() {
        return Data82sub0DirDuoGiven;
    }

    public float getData82sub0JYGiven() {
        return Data82sub0JYGiven;
    }

    public float getData82sub0RightJYGiven() {
        return Data82sub0RightJYGiven;
    }

    public float getData82sub0LeftJYGiven() {
        return Data82sub0LeftJYGiven;
    }

    public float getData82sub0LUpDownRe() {
        return Data82sub0LUpDownRe;
    }

    public float getData82sub0RUpDownRe() {
        return Data82sub0RUpDownRe;
    }

    public float getData82sub0LAWingRe() {
        return Data82sub0LAWingRe;
    }

    public float getData82sub0RAWingRe() {
        return Data82sub0RAWingRe;
    }

    public float getData82sub0DirDuoRe() {
        return Data82sub0DirDuoRe;
    }

    public float getData82sub1JYRe() {
        return Data82sub1JYRe;
    }

    public float getData82sub1RightJYRe() {
        return Data82sub1RightJYRe;
    }

    public float getData82sub1LeftJYRe() {
        return Data82sub1LeftJYRe;
    }

    public int getData82sub1LeftBrakeGiven() {
        return Data82sub1LeftBrakeGiven;
    }

    public int getData82sub1RightBrakeGiven() {
        return Data82sub1RightBrakeGiven;
    }

    public byte getData82sub1GZCorrect() {
        return Data82sub1GZCorrect;
    }

    public byte getData82sub1AirSpeedCloseLoopProdFMGiven() {
        return Data82sub1AirSpeedCloseLoopProdFMGiven;
    }

    public byte getData82sub1FYZero() {
        return Data82sub1FYZero;
    }

    public byte getData82sub1GZZero() {
        return Data82sub1GZZero;
    }

    public float getData82sub1HeightWarp() {
        return Data82sub1HeightWarp;
    }

    public int getData83FrameCount() {
        return Data83FrameCount;
    }

    public float getData83CPSpeed() {
        return Data83CPSpeed;
    }

    public double getData83GPSLongitude() {
        return Data83GPSLongitude;
    }

    public double getData83GPSLatitude() {
        return Data83GPSLatitude;
    }

    public float getData83HBHeight() {
        return Data83HBHeight;
    }

    public float getData83AirHeight() {
        return Data83AirHeight;
    }

    public float getData83RelHeight() {
        return Data83RelHeight;
    }

    public float getData83AirSpeed() {
        return Data83AirSpeed;
    }

    public float getData83GroundSpeed() {
        return Data83GroundSpeed;
    }

    public float getData83GroundSpeedDirect() {
        return Data83GroundSpeedDirect;
    }

    public float getData83VeSpeed() {
        return Data83VeSpeed;
    }

    public float getData83RealAirSpeed() {
        return Data83RealAirSpeed;
    }

    public int getData84FrameCount() {
        return Data84FrameCount;
    }

    public int getData84ControlModel() {
        return Data84ControlModel;
    }

    public int getData84FlyStatusandSelNavi() {
        return Data84FlyStatusandSelNavi;
    }

    public int getData84FlyErrorStatus() {
        return Data84FlyErrorStatus;
    }

    public int getData84HDErrorStatus() {
        return Data84HDErrorStatus;
    }

    public int getData84HDDeviceOpenStauts() {
        return Data84HDDeviceOpenStauts;
    }

    public int getData84OtherStatus() {
        return Data84OtherStatus;
    }

    public int getData84FlyStateFlag() {
        return Data84FlyStateFlag;
    }

    public long getData84DataUseStatus() {
        return Data84DataUseStatus;
    }

    public long getData84FlyLineNum() {
        return Data84FlyLineNum;
    }

    public long getData84FlyLinePointNem() {
        return Data84FlyLinePointNem;
    }

    public int getData84NeedFlyDist() {
        return Data84NeedFlyDist;
    }

    public float getData84PHju() {
        return Data84PHju;
    }

    public float getData84PHJiao() {
        return Data84PHJiao;
    }

    public int getData84ErrorState() {
        return Data84ErrorState;
    }

    public int getData84ExeErrorStat() {
        return Data84ExeErrorStat;
    }
}
