package com.htfp.jni.uav981A.bean;

import com.htfp.jni.uav981A.bean.param.AvionicFault;
import com.htfp.jni.uav981A.bean.param.FlightControlStatus;
import com.htfp.jni.uav981A.bean.param.FlightFault;

/**
 * @author Dong Jw
 * @creatTime 2024-01-06 13:47
 */
public class Uav981AFlightDataFrameA3 extends Uav981AFlightDataFrame  {
    private int DataA3FrameCount; //帧计数
    private int DataA3FlyMode; //飞行模式
    private int DataA3NaviMode; //导航模式
    private FlightControlStatus DataA3FlyStateFlag;
    private FlightFault DataA3FlyErrorStatus; //飞行故障标志
    private AvionicFault DataA3HDErrorStatus; //航电故障状态
    private int DataA3EnableFlyAreaStatus; //可飞区状态
    private int DataA3subFrameID; //子帧编号
    private long DataA3sub0DataUseStatus;  //数据使用状态
    private int DataA3sub0FerroelectricStatus;  //铁电读取状态
    private int DataA3sub0BindFlag; //装订标志
    private int DataA3sub1TakeoffTestStatus; //起飞自检状态
    private int DataA3sub1SensorForbideEnable; //传感器禁止使能状态

    public int getDataA3FrameCount() {
        return DataA3FrameCount;
    }

    public int getDataA3FlyMode() {
        return DataA3FlyMode;
    }

    public int getDataA3NaviMode() {
        return DataA3NaviMode;
    }

//    public long getDataA3FlyStateFlag() {
//        return DataA3FlyStateFlag;
//    }


    public FlightControlStatus getDataA3FlyStateFlag() {
        return DataA3FlyStateFlag;
    }

    public FlightFault getDataA3FlyErrorStatus() {
        return DataA3FlyErrorStatus;
    }

    public AvionicFault getDataA3HDErrorStatus() {
        return DataA3HDErrorStatus;
    }

    public int getDataA3EnableFlyAreaStatus() {
        return DataA3EnableFlyAreaStatus;
    }

    public int getDataA3subFrameID() {
        return DataA3subFrameID;
    }

    public long getDataA3sub0DataUseStatus() {
        return DataA3sub0DataUseStatus;
    }

    public int getDataA3sub0FerroelectricStatus() {
        return DataA3sub0FerroelectricStatus;
    }

    public int getDataA3sub0BindFlag() {
        return DataA3sub0BindFlag;
    }

    public int getDataA3sub1TakeoffTestStatus() {
        return DataA3sub1TakeoffTestStatus;
    }

    public int getDataA3sub1SensorForbideEnable() {
        return DataA3sub1SensorForbideEnable;
    }
}
