package com.htfp.jni.uav981A.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-06 14:12
 */
public class Uav981AFlightDataFrameA7 extends Uav981AFlightDataFrame  {
    private int DataA7FrameCount; //帧计数
    private int DataA7Pitch; //俯仰角
    private int DataA7Roll; //滚转角
    private int DataA7Heading; //航向角
    private int DataA7IntegratedXSpeed; //组合X轴速度
    private int DataA7IntegratedYSpeed; //组合Y轴速度
    private int DataA7IntegratedZSpeed; //组合Z轴速度
    private int DataA7SubFrameID; //子帧编号
    private int DataA7sub0PlaneXAngularSpeed; //组合X轴角速度  注滚转
    private int DataA7sub0PlaneYAngularSpeed; //组合Y轴角速度    俯仰
    private int DataA7sub0PlaneZAngularSpeed; //组合Z轴角速度    航向
    private int DataA7sub0PlaneXAcceleration; //组合X轴加速度    前向
    private int DataA7sub0PlaneYAcceleration; //组合Y轴加速度    右向
    private int DataA7sub0PlaneZAcceleration; //组合Z轴加速度    垂向
    private int DataA7sub1IntegratedLon_9250; //组合经度9250
    private int DataA7sub1IntegratedLat_9250; //组合纬度9250
    private int DataA7sub1IntegratedAlt_9250; //组合高度9250
    private int DataA7sub1IntegratedWord_9250; //组合状态字9250
    private int DataA7sub1Temperature_9250; //9250温度
    private int DataA7sub2IntegratedUDSped; //组合升降速度
    private int DataA7sub2IntegratedPreHgt; //组合气压高度
    private int DataA7sub2OffsetCalibrationValX_9250; //加表零偏校准值X
    private int DataA7sub2OffsetCalibrationValY_9250; //加表零偏校准值Y
    private int DataA7sub2OffsetCalibrationValZ_9250; //加表零偏校准值Z
    private int DataA7sub2OffsetValZ_9250; //加表零偏

    public int getDataA7FrameCount() {
        return DataA7FrameCount;
    }

    public int getDataA7Pitch() {
        return DataA7Pitch;
    }

    public int getDataA7Roll() {
        return DataA7Roll;
    }

    public int getDataA7Heading() {
        return DataA7Heading;
    }

    public int getDataA7IntegratedXSpeed() {
        return DataA7IntegratedXSpeed;
    }

    public int getDataA7IntegratedYSpeed() {
        return DataA7IntegratedYSpeed;
    }

    public int getDataA7IntegratedZSpeed() {
        return DataA7IntegratedZSpeed;
    }

    public int getDataA7SubFrameID() {
        return DataA7SubFrameID;
    }

    public int getDataA7sub0PlaneXAngularSpeed() {
        return DataA7sub0PlaneXAngularSpeed;
    }

    public int getDataA7sub0PlaneYAngularSpeed() {
        return DataA7sub0PlaneYAngularSpeed;
    }

    public int getDataA7sub0PlaneZAngularSpeed() {
        return DataA7sub0PlaneZAngularSpeed;
    }

    public int getDataA7sub0PlaneXAcceleration() {
        return DataA7sub0PlaneXAcceleration;
    }

    public int getDataA7sub0PlaneYAcceleration() {
        return DataA7sub0PlaneYAcceleration;
    }

    public int getDataA7sub0PlaneZAcceleration() {
        return DataA7sub0PlaneZAcceleration;
    }

    public int getDataA7sub1IntegratedLon_9250() {
        return DataA7sub1IntegratedLon_9250;
    }

    public int getDataA7sub1IntegratedLat_9250() {
        return DataA7sub1IntegratedLat_9250;
    }

    public int getDataA7sub1IntegratedAlt_9250() {
        return DataA7sub1IntegratedAlt_9250;
    }

    public int getDataA7sub1IntegratedWord_9250() {
        return DataA7sub1IntegratedWord_9250;
    }

    public int getDataA7sub1Temperature_9250() {
        return DataA7sub1Temperature_9250;
    }

    public int getDataA7sub2IntegratedUDSped() {
        return DataA7sub2IntegratedUDSped;
    }

    public int getDataA7sub2IntegratedPreHgt() {
        return DataA7sub2IntegratedPreHgt;
    }

    public int getDataA7sub2OffsetCalibrationValX_9250() {
        return DataA7sub2OffsetCalibrationValX_9250;
    }

    public int getDataA7sub2OffsetCalibrationValY_9250() {
        return DataA7sub2OffsetCalibrationValY_9250;
    }

    public int getDataA7sub2OffsetCalibrationValZ_9250() {
        return DataA7sub2OffsetCalibrationValZ_9250;
    }

    public int getDataA7sub2OffsetValZ_9250() {
        return DataA7sub2OffsetValZ_9250;
    }
}
