package com.htfp.jni.uav981A.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-06 14:24
 */
public class Uav981AFlightDataFrameA9 extends Uav981AFlightDataFrame  {
    private int DataA9FrameCount; //帧计数
    private int DataA9GPSLon; //卫星导航GPS经度
    private int DataA9GPSLat; //卫星导航GPS纬度
    private int DataA9GPSAlt; //卫星导航GPS高度
    private int DataA9subFrameID; //子帧编号
    private int DataA9sub0UTCSecondDay; //UTC时间
    private int DataA9sub0LocStat; //定位状态
    private int DataA9sub0SateNum; //定位星数
    private int DataA9sub0SNGT46; //信噪比大于46星数
    private int DataA9sub0SNGT44; //信噪比大于44星数
    private int DataA9sub0SNGT42; //信噪比大于42星数
    private int DataA9sub0SNGT40; //信噪比大于40星数
    private int DataA9sub0SNGT38; //信噪比大于38星数
    private int DataA9sub0SNGT35; //信噪比大于35星数
    private int DataA9sub1PDOP; //卫星PDOP
    private int DataA9sub1NorSpeed; //北向速度
    private int DataA9sub1EastSpeed; //东向速度
    private int DataA9sub1VerSpeed; //天向速度
    private int DataA9sub1GndSpeed; //导航地速
    private int DataA9sub1GndSpeedDir; //地速方向

    public int getDataA9FrameCount() {
        return DataA9FrameCount;
    }

    public int getDataA9GPSLon() {
        return DataA9GPSLon;
    }

    public int getDataA9GPSLat() {
        return DataA9GPSLat;
    }

    public int getDataA9GPSAlt() {
        return DataA9GPSAlt;
    }

    public int getDataA9subFrameID() {
        return DataA9subFrameID;
    }

    public int getDataA9sub0UTCSecondDay() {
        return DataA9sub0UTCSecondDay;
    }

    public int getDataA9sub0LocStat() {
        return DataA9sub0LocStat;
    }

    public int getDataA9sub0SateNum() {
        return DataA9sub0SateNum;
    }

    public int getDataA9sub0SNGT46() {
        return DataA9sub0SNGT46;
    }

    public int getDataA9sub0SNGT44() {
        return DataA9sub0SNGT44;
    }

    public int getDataA9sub0SNGT42() {
        return DataA9sub0SNGT42;
    }

    public int getDataA9sub0SNGT40() {
        return DataA9sub0SNGT40;
    }

    public int getDataA9sub0SNGT38() {
        return DataA9sub0SNGT38;
    }

    public int getDataA9sub0SNGT35() {
        return DataA9sub0SNGT35;
    }

    public int getDataA9sub1PDOP() {
        return DataA9sub1PDOP;
    }

    public int getDataA9sub1NorSpeed() {
        return DataA9sub1NorSpeed;
    }

    public int getDataA9sub1EastSpeed() {
        return DataA9sub1EastSpeed;
    }

    public int getDataA9sub1VerSpeed() {
        return DataA9sub1VerSpeed;
    }

    public int getDataA9sub1GndSpeed() {
        return DataA9sub1GndSpeed;
    }

    public int getDataA9sub1GndSpeedDir() {
        return DataA9sub1GndSpeedDir;
    }
}
