package com.htfp.jni.uav981A.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-06 14:26
 */
public class Uav981AFlightDataFrameAB extends Uav981AFlightDataFrame  {
    private int DataABFrameCount; //帧计数
    private int DataABsubFrameID; //子帧编号
    private int DataABsub0TelecontrolA_Fre; //遥控A帧频
    private int DataABsub0TelecontrolB_Fre; //遥控B帧频
    private int DataABsub0FlyParaFre; //飞参帧频
    private int DataABsub0SatNavPositionFre; //卫导位置帧频
    private int DataABsub0SatNavSpeedFre; //卫导速度帧频
    private int DataABsub0UBLOXBusFre; //UBLOX总线帧频
    private int DataABsub0SatNavHeadFre; //卫导航向帧频
    private int DataABsub0BoardAirPressureFre; //板载气压计帧频
    private int DataABsub0ManageHeadFre; //磁航向帧频
    private int DataABsub0VisualNavFre; //视觉导航帧频
    private int DataABsub0LaserFre; //激光雷达帧频
    private int DataABsub0ElectricAdjustFre; //电调采集帧频
    private int DataABsub0UWBFre; //UWB帧频
    private int DataABsub0LightFlowFre; //光流帧频
    private int DataABsub0ParachuteFre; //降落伞帧频
    private int DataABsub0CombinationA; //组合A
    private int DataABsub0MessageSourceUseFlag; //信息源使用标志
    private int DataABsub1TelecontrolInVoltage; //飞控供电电压
    private int DataABsub1Telecontrol5Voltage; //飞控 5V电压
    private int DataABsub1Telecontrol33Voltage; //飞控 3.3V电压
    private int DataABsub1LaserVoltage; //激光雷达电压
    private int DataABsub1ViaualNavVoltage; //视觉导航电压
    private int DataABsub1ManageHeadVoltage; //磁航向电压
    private int DataABsub1SatNavSupplyVolatge; //卫导供电电压
    private int DataABsub1UBLOXSupplyVolatge; //UBLOX供电电压
    private int DataABsub1LinkSupplyVoltage; //链路供电电压
    private int DataABsub1Loading; //载荷
    private int DataABsub1PressureHeight; //气压高度
    private int DataABsub1OpticalFiberNav; //光纤惯导
    private float DataABsub1FCVolEngStart; //FCVolEngStart
    private float DataABsub1FCVolJW;
    private float DataABsub1FCVolRDSS;
    private float DataABsub1FCVolCam;
    private float DataABsub1FCVolGNSS;
    private float DataABsub1FCVolMIMU;
    private float DataABsub1FCVolMotorBat;
    private float DataABsub1FCVolI;
    private float DataABsub1FCVolTXZJ;
    private int DataABsub1ElectricQuantity; //电量百分比
    private float DataABsub2MaxTemperature_1;
    private float DataABsub2MinTemperature_1;
    private float DataABsub2TotalVoltage_1;
    private float DataABsub2TotalElectric_1;
    private float DataABsub2ElectricQuantity_1; //电量百分比
    private int DataABsub2CycleNumber_1;
    private float DataABsub2MaxTemperature_2;
    private float DataABsub2MinTemperature_2;
    private float DataABsub2TotalVoltage_2;
    private float DataABsub2TotalElectric_2;
    private float DataABsub2ElectricQuantity_2; //电量百分比
    private int DataABsub2CycleNumber_2;

    public int getDataABFrameCount() {
        return DataABFrameCount;
    }

    public int getDataABsubFrameID() {
        return DataABsubFrameID;
    }

    public int getDataABsub0TelecontrolA_Fre() {
        return DataABsub0TelecontrolA_Fre;
    }

    public int getDataABsub0TelecontrolB_Fre() {
        return DataABsub0TelecontrolB_Fre;
    }

    public int getDataABsub0FlyParaFre() {
        return DataABsub0FlyParaFre;
    }

    public int getDataABsub0SatNavPositionFre() {
        return DataABsub0SatNavPositionFre;
    }

    public int getDataABsub0SatNavSpeedFre() {
        return DataABsub0SatNavSpeedFre;
    }

    public int getDataABsub0UBLOXBusFre() {
        return DataABsub0UBLOXBusFre;
    }

    public int getDataABsub0SatNavHeadFre() {
        return DataABsub0SatNavHeadFre;
    }

    public int getDataABsub0BoardAirPressureFre() {
        return DataABsub0BoardAirPressureFre;
    }

    public int getDataABsub0ManageHeadFre() {
        return DataABsub0ManageHeadFre;
    }

    public int getDataABsub0VisualNavFre() {
        return DataABsub0VisualNavFre;
    }

    public int getDataABsub0LaserFre() {
        return DataABsub0LaserFre;
    }

    public int getDataABsub0ElectricAdjustFre() {
        return DataABsub0ElectricAdjustFre;
    }

    public int getDataABsub0UWBFre() {
        return DataABsub0UWBFre;
    }

    public int getDataABsub0LightFlowFre() {
        return DataABsub0LightFlowFre;
    }

    public int getDataABsub0ParachuteFre() {
        return DataABsub0ParachuteFre;
    }

    public int getDataABsub0CombinationA() {
        return DataABsub0CombinationA;
    }

    public int getDataABsub0MessageSourceUseFlag() {
        return DataABsub0MessageSourceUseFlag;
    }

    public int getDataABsub1TelecontrolInVoltage() {
        return DataABsub1TelecontrolInVoltage;
    }

    public int getDataABsub1Telecontrol5Voltage() {
        return DataABsub1Telecontrol5Voltage;
    }

    public int getDataABsub1Telecontrol33Voltage() {
        return DataABsub1Telecontrol33Voltage;
    }

    public int getDataABsub1LaserVoltage() {
        return DataABsub1LaserVoltage;
    }

    public int getDataABsub1ViaualNavVoltage() {
        return DataABsub1ViaualNavVoltage;
    }

    public int getDataABsub1ManageHeadVoltage() {
        return DataABsub1ManageHeadVoltage;
    }

    public int getDataABsub1SatNavSupplyVolatge() {
        return DataABsub1SatNavSupplyVolatge;
    }

    public int getDataABsub1UBLOXSupplyVolatge() {
        return DataABsub1UBLOXSupplyVolatge;
    }

    public int getDataABsub1LinkSupplyVoltage() {
        return DataABsub1LinkSupplyVoltage;
    }

    public int getDataABsub1Loading() {
        return DataABsub1Loading;
    }

    public int getDataABsub1PressureHeight() {
        return DataABsub1PressureHeight;
    }

    public int getDataABsub1OpticalFiberNav() {
        return DataABsub1OpticalFiberNav;
    }

    public float getDataABsub1FCVolEngStart() {
        return DataABsub1FCVolEngStart;
    }

    public float getDataABsub1FCVolJW() {
        return DataABsub1FCVolJW;
    }

    public float getDataABsub1FCVolRDSS() {
        return DataABsub1FCVolRDSS;
    }

    public float getDataABsub1FCVolCam() {
        return DataABsub1FCVolCam;
    }

    public float getDataABsub1FCVolGNSS() {
        return DataABsub1FCVolGNSS;
    }

    public float getDataABsub1FCVolMIMU() {
        return DataABsub1FCVolMIMU;
    }

    public float getDataABsub1FCVolMotorBat() {
        return DataABsub1FCVolMotorBat;
    }

    public float getDataABsub1FCVolI() {
        return DataABsub1FCVolI;
    }

    public float getDataABsub1FCVolTXZJ() {
        return DataABsub1FCVolTXZJ;
    }

    public int getDataABsub1ElectricQuantity() {
        return DataABsub1ElectricQuantity;
    }

    public float getDataABsub2MaxTemperature_1() {
        return DataABsub2MaxTemperature_1;
    }

    public float getDataABsub2MinTemperature_1() {
        return DataABsub2MinTemperature_1;
    }

    public float getDataABsub2TotalVoltage_1() {
        return DataABsub2TotalVoltage_1;
    }

    public float getDataABsub2TotalElectric_1() {
        return DataABsub2TotalElectric_1;
    }

    public float getDataABsub2ElectricQuantity_1() {
        return DataABsub2ElectricQuantity_1;
    }

    public int getDataABsub2CycleNumber_1() {
        return DataABsub2CycleNumber_1;
    }

    public float getDataABsub2MaxTemperature_2() {
        return DataABsub2MaxTemperature_2;
    }

    public float getDataABsub2MinTemperature_2() {
        return DataABsub2MinTemperature_2;
    }

    public float getDataABsub2TotalVoltage_2() {
        return DataABsub2TotalVoltage_2;
    }

    public float getDataABsub2TotalElectric_2() {
        return DataABsub2TotalElectric_2;
    }

    public float getDataABsub2ElectricQuantity_2() {
        return DataABsub2ElectricQuantity_2;
    }

    public int getDataABsub2CycleNumber_2() {
        return DataABsub2CycleNumber_2;
    }
}
