package com.htfp.jni.uav981C.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameC8 extends Uav981CFlightDataFrame{
    private int DataC8flyID;    //飞机ID
    private int DataC8FrameCount;    //帧计数
    private int DataC8SubFrameID;    //子帧编号
    private int DataC8sub0MCM1OUT;    //旋翼M1OUT
    private int DataC8sub0MCM2OUT;    //旋翼M2OUT
    private int DataC8sub0MCM3OUT;    //旋翼M3OUT
    private int DataC8sub0MCM4OUT;    //旋翼M4OUT
    private int DataC8sub0MCM5OUT;    //旋翼M5OUT
    private int DataC8sub0MCM6OUT;    //旋翼M6OUT
    private int DataC8sub0MCM7OUT;    //旋翼M7OUT
    private int DataC8sub0MCM8OUT;    //旋翼M8OUT
    private short DataC8sub0MCM1InGas;    //旋翼M1输入油门
    private short DataC8sub0MCM2InGas;    //旋翼M2输入油门
    private short DataC8sub0MCM3InGas;    //旋翼M3输入油门
    private short DataC8sub0MCM4InGas;    //旋翼M4输入油门
    private short DataC8sub0MCM5InGas;    //旋翼M5输入油门
    private short DataC8sub0MCM6InGas;    //旋翼M6输入油门
    private short DataC8sub0MCM7InGas;    //旋翼M7输入油门
    private short DataC8sub0MCM8InGas;    //旋翼M8输入油门
    private int DataC8sub0MCM1OutGas;    //旋翼M1输出油门
    private int DataC8sub0MCM2OutGas;    //旋翼M2输出油门
    private int DataC8sub0MCM3OutGas;    //旋翼M3输出油门
    private int DataC8sub0MCM4OutGas;    //旋翼M4输出油门
    private int DataC8sub0MCM5OutGas;    //旋翼M5输出油门
    private int DataC8sub0MCM6OutGas;    //旋翼M6输出油门
    private int DataC8sub0MCM7OutGas;    //旋翼M7输出油门
    private int DataC8sub0MCM8OutGas;    //旋翼M8输出油门
    private int DataC8sub1MCSped1;    //转速1
    private int DataC8sub1MCSped2;    //转速2
    private int DataC8sub1MCSped3;    //转速3
    private int DataC8sub1MCSped4;    //转速4
    private int DataC8sub1MCSped5;    //转速5
    private int DataC8sub1MCSped6;    //转速6
    private int DataC8sub1MCSped7;    //转速7
    private int DataC8sub1MCSped8;    //转速8
    private short DataC8sub1MCM1DTTemp;    //旋翼M1电调温度
    private short DataC8sub1MCM2DTTemp;    //旋翼M2电调温度
    private short DataC8sub1MCM3DTTemp;    //旋翼M3电调温度
    private short DataC8sub1MCM4DTTemp;    //旋翼M4电调温度
    private short DataC8sub1MCM5DTTemp;    //旋翼M5电调温度
    private short DataC8sub1MCM6DTTemp;    //旋翼M6电调温度
    private short DataC8sub1MCM7DTTemp;    //旋翼M7电调温度
    private short DataC8sub1MCM8DTTemp;    //旋翼M8电调温度
    private float DataC8sub2HangUpVol_1;    //垂起采集电压1
    private float DataC8sub2HangUpVol_2;    //垂起采集电压2
    private float DataC8sub2HangUpVol_3;    //垂起采集电压3
    private float DataC8sub2HangUpVol_4;    //垂起采集电压4
    private float DataC8sub2HangUpVol_5;    //垂起采集电压5
    private float DataC8sub2HangUpVol_6;    //垂起采集电压6
    private float DataC8sub2HangUpVol_7;    //垂起采集电压7
    private float DataC8sub2HangUpVol_8;    //垂起采集电压8
    private float DataC8sub2HangUpESCVol_1;    //垂起电调电压1
    private float DataC8sub2HangUpESCVol_2;    //垂起电调电压2
    private float DataC8sub2HangUpESCVol_3;    //垂起电调电压3
    private float DataC8sub2HangUpESCVol_4;    //垂起电调电压4
    private float DataC8sub2HangUpESCVol_5;    //垂起电调电压5
    private float DataC8sub2HangUpESCVol_6;    //垂起电调电压6
    private float DataC8sub2HangUpESCVol_7;    //垂起电调电压7
    private float DataC8sub2HangUpESCVol_8;    //垂起电调电压8
    private float DataC8sub2MCM1Current;    //旋翼M1电流
    private float DataC8sub2MCM2Current;    //旋翼M2电流
    private float DataC8sub2MCM3Current;    //旋翼M3电流
    private float DataC8sub2MCM4Current;    //旋翼M4电流
    private float DataC8sub2MCM5Current;    //旋翼M5电流
    private float DataC8sub2MCM6Current;    //旋翼M6电流
    private float DataC8sub2MCM7Current;    //旋翼M7电流
    private float DataC8sub2MCM8Current;    //旋翼M8电流
    private int DataC8sub3MCM1Status;    //旋翼M1状态字
    private int DataC8sub3MCM2Status;    //旋翼M2状态字
    private int DataC8sub3MCM3Status;    //旋翼M3状态字
    private int DataC8sub3MCM4Status;    //旋翼M4状态字
    private int DataC8sub3MCM5Status;    //旋翼M5状态字
    private int DataC8sub3MCM6Status;    //旋翼M6状态字
    private int DataC8sub3MCM7Status;    //旋翼M7状态字
    private int DataC8sub3MCM8Status;    //旋翼M8状态字
    private short DataC8sub3MCM1PowerRipple;    //旋翼M1电机温度
    private short DataC8sub3MCM2PowerRipple;    //旋翼M2电机温度
    private short DataC8sub3MCM3PowerRipple;    //旋翼M3电机温度
    private short DataC8sub3MCM4PowerRipple;    //旋翼M4电机温度
    private short DataC8sub3MCM5PowerRipple;    //旋翼M5电机温度
    private short DataC8sub3MCM6PowerRipple;    //旋翼M6电机温度
    private short DataC8sub3MCM7PowerRipple;    //旋翼M7电机温度
    private short DataC8sub3MCM8PowerRipple;    //旋翼M8电机温度

    public int getDataC8flyID() {
        return DataC8flyID;
    }

    public int getDataC8FrameCount() {
        return DataC8FrameCount;
    }

    public int getDataC8SubFrameID() {
        return DataC8SubFrameID;
    }

    public int getDataC8sub0MCM1OUT() {
        return DataC8sub0MCM1OUT;
    }

    public int getDataC8sub0MCM2OUT() {
        return DataC8sub0MCM2OUT;
    }

    public int getDataC8sub0MCM3OUT() {
        return DataC8sub0MCM3OUT;
    }

    public int getDataC8sub0MCM4OUT() {
        return DataC8sub0MCM4OUT;
    }

    public int getDataC8sub0MCM5OUT() {
        return DataC8sub0MCM5OUT;
    }

    public int getDataC8sub0MCM6OUT() {
        return DataC8sub0MCM6OUT;
    }

    public int getDataC8sub0MCM7OUT() {
        return DataC8sub0MCM7OUT;
    }

    public int getDataC8sub0MCM8OUT() {
        return DataC8sub0MCM8OUT;
    }

    public short getDataC8sub0MCM1InGas() {
        return DataC8sub0MCM1InGas;
    }

    public short getDataC8sub0MCM2InGas() {
        return DataC8sub0MCM2InGas;
    }

    public short getDataC8sub0MCM3InGas() {
        return DataC8sub0MCM3InGas;
    }

    public short getDataC8sub0MCM4InGas() {
        return DataC8sub0MCM4InGas;
    }

    public short getDataC8sub0MCM5InGas() {
        return DataC8sub0MCM5InGas;
    }

    public short getDataC8sub0MCM6InGas() {
        return DataC8sub0MCM6InGas;
    }

    public short getDataC8sub0MCM7InGas() {
        return DataC8sub0MCM7InGas;
    }

    public short getDataC8sub0MCM8InGas() {
        return DataC8sub0MCM8InGas;
    }

    public int getDataC8sub0MCM1OutGas() {
        return DataC8sub0MCM1OutGas;
    }

    public int getDataC8sub0MCM2OutGas() {
        return DataC8sub0MCM2OutGas;
    }

    public int getDataC8sub0MCM3OutGas() {
        return DataC8sub0MCM3OutGas;
    }

    public int getDataC8sub0MCM4OutGas() {
        return DataC8sub0MCM4OutGas;
    }

    public int getDataC8sub0MCM5OutGas() {
        return DataC8sub0MCM5OutGas;
    }

    public int getDataC8sub0MCM6OutGas() {
        return DataC8sub0MCM6OutGas;
    }

    public int getDataC8sub0MCM7OutGas() {
        return DataC8sub0MCM7OutGas;
    }

    public int getDataC8sub0MCM8OutGas() {
        return DataC8sub0MCM8OutGas;
    }

    public int getDataC8sub1MCSped1() {
        return DataC8sub1MCSped1;
    }

    public int getDataC8sub1MCSped2() {
        return DataC8sub1MCSped2;
    }

    public int getDataC8sub1MCSped3() {
        return DataC8sub1MCSped3;
    }

    public int getDataC8sub1MCSped4() {
        return DataC8sub1MCSped4;
    }

    public int getDataC8sub1MCSped5() {
        return DataC8sub1MCSped5;
    }

    public int getDataC8sub1MCSped6() {
        return DataC8sub1MCSped6;
    }

    public int getDataC8sub1MCSped7() {
        return DataC8sub1MCSped7;
    }

    public int getDataC8sub1MCSped8() {
        return DataC8sub1MCSped8;
    }

    public short getDataC8sub1MCM1DTTemp() {
        return DataC8sub1MCM1DTTemp;
    }

    public short getDataC8sub1MCM2DTTemp() {
        return DataC8sub1MCM2DTTemp;
    }

    public short getDataC8sub1MCM3DTTemp() {
        return DataC8sub1MCM3DTTemp;
    }

    public short getDataC8sub1MCM4DTTemp() {
        return DataC8sub1MCM4DTTemp;
    }

    public short getDataC8sub1MCM5DTTemp() {
        return DataC8sub1MCM5DTTemp;
    }

    public short getDataC8sub1MCM6DTTemp() {
        return DataC8sub1MCM6DTTemp;
    }

    public short getDataC8sub1MCM7DTTemp() {
        return DataC8sub1MCM7DTTemp;
    }

    public short getDataC8sub1MCM8DTTemp() {
        return DataC8sub1MCM8DTTemp;
    }

    public float getDataC8sub2HangUpVol_1() {
        return DataC8sub2HangUpVol_1;
    }

    public float getDataC8sub2HangUpVol_2() {
        return DataC8sub2HangUpVol_2;
    }

    public float getDataC8sub2HangUpVol_3() {
        return DataC8sub2HangUpVol_3;
    }

    public float getDataC8sub2HangUpVol_4() {
        return DataC8sub2HangUpVol_4;
    }

    public float getDataC8sub2HangUpVol_5() {
        return DataC8sub2HangUpVol_5;
    }

    public float getDataC8sub2HangUpVol_6() {
        return DataC8sub2HangUpVol_6;
    }

    public float getDataC8sub2HangUpVol_7() {
        return DataC8sub2HangUpVol_7;
    }

    public float getDataC8sub2HangUpVol_8() {
        return DataC8sub2HangUpVol_8;
    }

    public float getDataC8sub2HangUpESCVol_1() {
        return DataC8sub2HangUpESCVol_1;
    }

    public float getDataC8sub2HangUpESCVol_2() {
        return DataC8sub2HangUpESCVol_2;
    }

    public float getDataC8sub2HangUpESCVol_3() {
        return DataC8sub2HangUpESCVol_3;
    }

    public float getDataC8sub2HangUpESCVol_4() {
        return DataC8sub2HangUpESCVol_4;
    }

    public float getDataC8sub2HangUpESCVol_5() {
        return DataC8sub2HangUpESCVol_5;
    }

    public float getDataC8sub2HangUpESCVol_6() {
        return DataC8sub2HangUpESCVol_6;
    }

    public float getDataC8sub2HangUpESCVol_7() {
        return DataC8sub2HangUpESCVol_7;
    }

    public float getDataC8sub2HangUpESCVol_8() {
        return DataC8sub2HangUpESCVol_8;
    }

    public float getDataC8sub2MCM1Current() {
        return DataC8sub2MCM1Current;
    }

    public float getDataC8sub2MCM2Current() {
        return DataC8sub2MCM2Current;
    }

    public float getDataC8sub2MCM3Current() {
        return DataC8sub2MCM3Current;
    }

    public float getDataC8sub2MCM4Current() {
        return DataC8sub2MCM4Current;
    }

    public float getDataC8sub2MCM5Current() {
        return DataC8sub2MCM5Current;
    }

    public float getDataC8sub2MCM6Current() {
        return DataC8sub2MCM6Current;
    }

    public float getDataC8sub2MCM7Current() {
        return DataC8sub2MCM7Current;
    }

    public float getDataC8sub2MCM8Current() {
        return DataC8sub2MCM8Current;
    }

    public int getDataC8sub3MCM1Status() {
        return DataC8sub3MCM1Status;
    }

    public int getDataC8sub3MCM2Status() {
        return DataC8sub3MCM2Status;
    }

    public int getDataC8sub3MCM3Status() {
        return DataC8sub3MCM3Status;
    }

    public int getDataC8sub3MCM4Status() {
        return DataC8sub3MCM4Status;
    }

    public int getDataC8sub3MCM5Status() {
        return DataC8sub3MCM5Status;
    }

    public int getDataC8sub3MCM6Status() {
        return DataC8sub3MCM6Status;
    }

    public int getDataC8sub3MCM7Status() {
        return DataC8sub3MCM7Status;
    }

    public int getDataC8sub3MCM8Status() {
        return DataC8sub3MCM8Status;
    }

    public short getDataC8sub3MCM1PowerRipple() {
        return DataC8sub3MCM1PowerRipple;
    }

    public short getDataC8sub3MCM2PowerRipple() {
        return DataC8sub3MCM2PowerRipple;
    }

    public short getDataC8sub3MCM3PowerRipple() {
        return DataC8sub3MCM3PowerRipple;
    }

    public short getDataC8sub3MCM4PowerRipple() {
        return DataC8sub3MCM4PowerRipple;
    }

    public short getDataC8sub3MCM5PowerRipple() {
        return DataC8sub3MCM5PowerRipple;
    }

    public short getDataC8sub3MCM6PowerRipple() {
        return DataC8sub3MCM6PowerRipple;
    }

    public short getDataC8sub3MCM7PowerRipple() {
        return DataC8sub3MCM7PowerRipple;
    }

    public short getDataC8sub3MCM8PowerRipple() {
        return DataC8sub3MCM8PowerRipple;
    }
}
