package com.htfp.jni.uav981C.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameCD extends Uav981CFlightDataFrame {
    private int DataCDFrameCount;    //帧计数
    private int DataCDflyID;    //飞机ID
    private double DataCDOEM718DLon;    //GPS经度
    private double DataCDOEM718DLat;    //GPS纬度
    private double DataCDOEM718DAlt;    //GPS高度
    private int DataCDSubFrameID;    //子帧编号
    private int DataCDsub0OEM718DWeek;    //GPS周
    private long DataCDsub0OEM718DSecInWeek;    //GPS周内秒
    private int DataCDsub0OEM718DLocStatus;    //定位状态
    private short DataCDsub0OEM718DSatNum;    //卫星星数
    private float DataCDsub0OEM718DPDOP;    //PDOP
    private int DataCDsub0OEM718DPostureStatus;    //测姿类型
    private int DataCDsub0OEM718DBUSCFStatus;    //总线差分状态
    private short DataCDsub0OEM718DDiffCnt;    //差分讯龄
    private float DataCDsub1OEM718DHorSped;    //水平速度
    private float DataCDsub1OEM718DGrndSpedDir;    //地速方向
    private float DataCDsub1OEM718DVerSped;    //天向速度
    private float DataCDsub1OEM718DNorSped;    //北向速度
    private float DataCDsub1OEM718DEastSped;    //东向速度
    private int DataCDsub1OEM718DDiffPacNum;    //差分包数
    private double DataCDsub2OEM718DBaseLineLen;    //已知基线长度
    private float DataCDsub2OEM718DHeading;    //测姿航向角
    private float DataCDsub2OEM718DHDOP;    //HDOP
    private float DataCDsub2OEM718DVDOP;    //VDOP
    private int DataCDsub2OEM718DSNGT46;
    private int DataCDsub2OEM718DSNGT44;
    private int DataCDsub2OEM718DSNGT42;
    private int DataCDsub2OEM718DSNGT40;
    private int DataCDsub2OEM718DSNGT38;
    private int DataCDsub2OEM718DSNGT35;

    public int getDataCDFrameCount() {
        return DataCDFrameCount;
    }

    public int getDataCDflyID() {
        return DataCDflyID;
    }

    public double getDataCDOEM718DLon() {
        return DataCDOEM718DLon;
    }

    public double getDataCDOEM718DLat() {
        return DataCDOEM718DLat;
    }

    public double getDataCDOEM718DAlt() {
        return DataCDOEM718DAlt;
    }

    public int getDataCDSubFrameID() {
        return DataCDSubFrameID;
    }

    public int getDataCDsub0OEM718DWeek() {
        return DataCDsub0OEM718DWeek;
    }

    public long getDataCDsub0OEM718DSecInWeek() {
        return DataCDsub0OEM718DSecInWeek;
    }

    public int getDataCDsub0OEM718DLocStatus() {
        return DataCDsub0OEM718DLocStatus;
    }

    public short getDataCDsub0OEM718DSatNum() {
        return DataCDsub0OEM718DSatNum;
    }

    public float getDataCDsub0OEM718DPDOP() {
        return DataCDsub0OEM718DPDOP;
    }

    public int getDataCDsub0OEM718DPostureStatus() {
        return DataCDsub0OEM718DPostureStatus;
    }

    public int getDataCDsub0OEM718DBUSCFStatus() {
        return DataCDsub0OEM718DBUSCFStatus;
    }

    public short getDataCDsub0OEM718DDiffCnt() {
        return DataCDsub0OEM718DDiffCnt;
    }

    public float getDataCDsub1OEM718DHorSped() {
        return DataCDsub1OEM718DHorSped;
    }

    public float getDataCDsub1OEM718DGrndSpedDir() {
        return DataCDsub1OEM718DGrndSpedDir;
    }

    public float getDataCDsub1OEM718DVerSped() {
        return DataCDsub1OEM718DVerSped;
    }

    public float getDataCDsub1OEM718DNorSped() {
        return DataCDsub1OEM718DNorSped;
    }

    public float getDataCDsub1OEM718DEastSped() {
        return DataCDsub1OEM718DEastSped;
    }

    public int getDataCDsub1OEM718DDiffPacNum() {
        return DataCDsub1OEM718DDiffPacNum;
    }

    public double getDataCDsub2OEM718DBaseLineLen() {
        return DataCDsub2OEM718DBaseLineLen;
    }

    public float getDataCDsub2OEM718DHeading() {
        return DataCDsub2OEM718DHeading;
    }

    public float getDataCDsub2OEM718DHDOP() {
        return DataCDsub2OEM718DHDOP;
    }

    public float getDataCDsub2OEM718DVDOP() {
        return DataCDsub2OEM718DVDOP;
    }

    public int getDataCDsub2OEM718DSNGT46() {
        return DataCDsub2OEM718DSNGT46;
    }

    public int getDataCDsub2OEM718DSNGT44() {
        return DataCDsub2OEM718DSNGT44;
    }

    public int getDataCDsub2OEM718DSNGT42() {
        return DataCDsub2OEM718DSNGT42;
    }

    public int getDataCDsub2OEM718DSNGT40() {
        return DataCDsub2OEM718DSNGT40;
    }

    public int getDataCDsub2OEM718DSNGT38() {
        return DataCDsub2OEM718DSNGT38;
    }

    public int getDataCDsub2OEM718DSNGT35() {
        return DataCDsub2OEM718DSNGT35;
    }
}
