package com.htfp.jni.uav981C.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameCE extends Uav981CFlightDataFrame {
    private int DataCEFrameCount;    //帧计数
    private int DataCEflyID;    //飞机ID
    private double DataCEU482Lon;    //GPS经度
    private double DataCEU482Lat;    //GPS纬度
    private double DataCEU482Alt;    //GPS高度
    private int DataCESubFrameID;    //子帧编号
    private int DataCEsub0U482Week;    //GPS周
    private long DataCEsub0U482SecInWeek;    //GPS周内秒
    private int DataCEsub0U482LocStatus;    //定位状态
    private short DataCEsub0U482SatNum;    //卫星星数
    private float DataCEsub0U482PDOP;    //PDOP
    private int DataCEsub0U482PostureStatus;    //测姿类型
    private int DataCEsub0U482BUSCFStatus;    //总线差分状态
    private short DataCEsub0U482DiffCnt;    //差分讯龄
    private float DataCEsub1U482HorSped;    //水平速度
    private float DataCEsub1U482GrndSpedDir;    //地速方向
    private float DataCEsub1U482VerSped;    //天向速度
    private float DataCEsub1U482NorSped;    //北向速度
    private float DataCEsub1U482EastSped;    //东向速度
    private int DataCEsub1U482DiffPacNum;    //差分包数
    private float DataCEsub2U482BaseLineLen;    //已知基线长度
    private float DataCEsub2U482Heading;    //测姿航向角
    private float DataCEsub2U482HDOP;    //HDOP
    private float DataCEsub2U482VDOP;    //VDOP
    private int DataCEsub2U482SNGT46;
    private int DataCEsub2U482SNGT44;
    private int DataCEsub2U482SNGT42;
    private int DataCEsub2U482SNGT40;
    private int DataCEsub2U482SNGT38;
    private int DataCEsub2U482SNGT35;

    public int getDataCEFrameCount() {
        return DataCEFrameCount;
    }

    public int getDataCEflyID() {
        return DataCEflyID;
    }

    public double getDataCEU482Lon() {
        return DataCEU482Lon;
    }

    public double getDataCEU482Lat() {
        return DataCEU482Lat;
    }

    public double getDataCEU482Alt() {
        return DataCEU482Alt;
    }

    public int getDataCESubFrameID() {
        return DataCESubFrameID;
    }

    public int getDataCEsub0U482Week() {
        return DataCEsub0U482Week;
    }

    public long getDataCEsub0U482SecInWeek() {
        return DataCEsub0U482SecInWeek;
    }

    public int getDataCEsub0U482LocStatus() {
        return DataCEsub0U482LocStatus;
    }

    public short getDataCEsub0U482SatNum() {
        return DataCEsub0U482SatNum;
    }

    public float getDataCEsub0U482PDOP() {
        return DataCEsub0U482PDOP;
    }

    public int getDataCEsub0U482PostureStatus() {
        return DataCEsub0U482PostureStatus;
    }

    public int getDataCEsub0U482BUSCFStatus() {
        return DataCEsub0U482BUSCFStatus;
    }

    public short getDataCEsub0U482DiffCnt() {
        return DataCEsub0U482DiffCnt;
    }

    public float getDataCEsub1U482HorSped() {
        return DataCEsub1U482HorSped;
    }

    public float getDataCEsub1U482GrndSpedDir() {
        return DataCEsub1U482GrndSpedDir;
    }

    public float getDataCEsub1U482VerSped() {
        return DataCEsub1U482VerSped;
    }

    public float getDataCEsub1U482NorSped() {
        return DataCEsub1U482NorSped;
    }

    public float getDataCEsub1U482EastSped() {
        return DataCEsub1U482EastSped;
    }

    public int getDataCEsub1U482DiffPacNum() {
        return DataCEsub1U482DiffPacNum;
    }

    public float getDataCEsub2U482BaseLineLen() {
        return DataCEsub2U482BaseLineLen;
    }

    public float getDataCEsub2U482Heading() {
        return DataCEsub2U482Heading;
    }

    public float getDataCEsub2U482HDOP() {
        return DataCEsub2U482HDOP;
    }

    public float getDataCEsub2U482VDOP() {
        return DataCEsub2U482VDOP;
    }

    public int getDataCEsub2U482SNGT46() {
        return DataCEsub2U482SNGT46;
    }

    public int getDataCEsub2U482SNGT44() {
        return DataCEsub2U482SNGT44;
    }

    public int getDataCEsub2U482SNGT42() {
        return DataCEsub2U482SNGT42;
    }

    public int getDataCEsub2U482SNGT40() {
        return DataCEsub2U482SNGT40;
    }

    public int getDataCEsub2U482SNGT38() {
        return DataCEsub2U482SNGT38;
    }

    public int getDataCEsub2U482SNGT35() {
        return DataCEsub2U482SNGT35;
    }
}
