package com.htfp.jni.uav981C.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameCF extends Uav981CFlightDataFrame{
    private int DataCFflyID;    //飞机ID
    private int DataCFFrameCount;    //帧计数
    private double DataCFGPSLon;    //GPS经度
    private double DataCFGPSLat;    //GPS纬度
    private double DataCFGPSAlt;    //GPS高度
    private int DataCFsubFrameID;    //子帧编号
    private float DataCFsub0UTCSecondDay;    //UTC天秒
    private int DataCFsub0LocStat;    //定位状态
    private int DataCFsub0SateNum;    //可用星数
    private int DataCFsub0SNGT46;    //信噪比大于46星数
    private int DataCFsub0SNGT44 ;    //信噪比大于44星数
    private int DataCFsub0SNGT42;    //信噪比大于42星数
    private int DataCFsub0SNGT40;    //信噪比大于40星数
    private int DataCFsub0SNGT38;    //信噪比大于38星数
    private int DataCFsub0SNGT35;    //信噪比大于35星数
    private float DataCFsub1PDOP;    //PDOP
    private float DataCFsub1NorSpeed;    //北向速度
    private float DataCFsub1EastSpeed;    //东向速度
    private float DataCFsub1VerSpeed;    //垂向速度
    private float DataCFsub1GndSpeed;    //地速
    private float DataCFsub1GndSpeedDir;    //地速方向

    public int getDataCFflyID() {
        return DataCFflyID;
    }

    public int getDataCFFrameCount() {
        return DataCFFrameCount;
    }

    public double getDataCFGPSLon() {
        return DataCFGPSLon;
    }

    public double getDataCFGPSLat() {
        return DataCFGPSLat;
    }

    public double getDataCFGPSAlt() {
        return DataCFGPSAlt;
    }

    public int getDataCFsubFrameID() {
        return DataCFsubFrameID;
    }

    public float getDataCFsub0UTCSecondDay() {
        return DataCFsub0UTCSecondDay;
    }

    public int getDataCFsub0LocStat() {
        return DataCFsub0LocStat;
    }

    public int getDataCFsub0SateNum() {
        return DataCFsub0SateNum;
    }

    public int getDataCFsub0SNGT46() {
        return DataCFsub0SNGT46;
    }

    public int getDataCFsub0SNGT44() {
        return DataCFsub0SNGT44;
    }

    public int getDataCFsub0SNGT42() {
        return DataCFsub0SNGT42;
    }

    public int getDataCFsub0SNGT40() {
        return DataCFsub0SNGT40;
    }

    public int getDataCFsub0SNGT38() {
        return DataCFsub0SNGT38;
    }

    public int getDataCFsub0SNGT35() {
        return DataCFsub0SNGT35;
    }

    public float getDataCFsub1PDOP() {
        return DataCFsub1PDOP;
    }

    public float getDataCFsub1NorSpeed() {
        return DataCFsub1NorSpeed;
    }

    public float getDataCFsub1EastSpeed() {
        return DataCFsub1EastSpeed;
    }

    public float getDataCFsub1VerSpeed() {
        return DataCFsub1VerSpeed;
    }

    public float getDataCFsub1GndSpeed() {
        return DataCFsub1GndSpeed;
    }

    public float getDataCFsub1GndSpeedDir() {
        return DataCFsub1GndSpeedDir;
    }
}
