package com.htfp.jni.uav981C.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameD0 extends Uav981CFlightDataFrame{
    private int DataD0flyID;    //飞机ID
    private int DataD0FrameCount;    //帧计数
    private float DataD0MillRadarAHeight;    //毫米波雷达A高度
    private float DataD0MillRadarBHeight;    //毫米波雷达B高度
    private int DataD0subFrameID;    //子帧编号
    private float DataD0sub0AirPressureHeight1;    //气压高度I
    private float DataD0sub0AirPressureHeight2;    //气压高度II
    private float DataD0sub0AirPressureHeight3;    //气压高度III
    private float DataD0sub0AirPressureHeight4;    //对地高度
    private float DataD0sub0AirSpeed1;    //空速1
    private float DataD0sub0AirSpeed2;    //空速2
    private float DataD0sub0AirSpeed3;    //空速3
    private float DataD0sub0LandPointAltitude;    //接地点海拔
    private float DataD0sub0DeparturePointAltitude;    //起飞点海拔高度
    private float DataD0sub0DeparturePointAPAltitude;    //起飞点气压高度
    private float DataD0sub1HgtAirEqDGPS;
    private float DataD0sub1AirBHgtCompensate;    //气压高度B修正量
    private float DataD0sub1AirCHgtCompensate;    //气压高度C修正量
    private int DataD0sub1AirSpeedDim;    //空速dim
    private int DataD0sub1AirHgtDim;    //气压高dim
    private int DataD0sub1HeadingDim;    //相对高dim
    private int DataD0sub1RelativeHgtDim ;    //航向dim
    private int DataD0sub1Temperature;    //温度
    private int DataD0sub1RelWet;    //相对湿度
    private int DataD0sub1HangUpCharge;    //垂起电量
    private int DataD0sub1TailCharge;    //尾推电量
    private int DataD0sub1HangUpCapacity;    //垂起容量
    private int DataD0sub1TailCapacity;    //尾推容量
    private float DataD0sub1HangUpElePower;    //垂起电功率
    private float DataD0sub1TailElePower;    //尾推电功率
    private int DataD0sub3FlyCtrlAStatus;    //飞控A状态字
    private int DataD0sub3FlyCtrlBStatus;    //飞控B状态字
    private int DataD0sub3LineCompare;    //航线对比
    private int DataD0sub3KeyParamCompare;    //重要参数对比
    private long DataD0sub3BusDataSrc;    //总线设备数据来源
    private int DataD0sub3MasterControlStatus;    // 主控状态字

    public int getDataD0flyID() {
        return DataD0flyID;
    }

    public int getDataD0FrameCount() {
        return DataD0FrameCount;
    }

    public float getDataD0MillRadarAHeight() {
        return DataD0MillRadarAHeight;
    }

    public float getDataD0MillRadarBHeight() {
        return DataD0MillRadarBHeight;
    }

    public int getDataD0subFrameID() {
        return DataD0subFrameID;
    }

    public float getDataD0sub0AirPressureHeight1() {
        return DataD0sub0AirPressureHeight1;
    }

    public float getDataD0sub0AirPressureHeight2() {
        return DataD0sub0AirPressureHeight2;
    }

    public float getDataD0sub0AirPressureHeight3() {
        return DataD0sub0AirPressureHeight3;
    }

    public float getDataD0sub0AirPressureHeight4() {
        return DataD0sub0AirPressureHeight4;
    }

    public float getDataD0sub0AirSpeed1() {
        return DataD0sub0AirSpeed1;
    }

    public float getDataD0sub0AirSpeed2() {
        return DataD0sub0AirSpeed2;
    }

    public float getDataD0sub0AirSpeed3() {
        return DataD0sub0AirSpeed3;
    }

    public float getDataD0sub0LandPointAltitude() {
        return DataD0sub0LandPointAltitude;
    }

    public float getDataD0sub0DeparturePointAltitude() {
        return DataD0sub0DeparturePointAltitude;
    }

    public float getDataD0sub0DeparturePointAPAltitude() {
        return DataD0sub0DeparturePointAPAltitude;
    }

    public float getDataD0sub1HgtAirEqDGPS() {
        return DataD0sub1HgtAirEqDGPS;
    }

    public float getDataD0sub1AirBHgtCompensate() {
        return DataD0sub1AirBHgtCompensate;
    }

    public float getDataD0sub1AirCHgtCompensate() {
        return DataD0sub1AirCHgtCompensate;
    }

    public int getDataD0sub1AirSpeedDim() {
        return DataD0sub1AirSpeedDim;
    }

    public int getDataD0sub1AirHgtDim() {
        return DataD0sub1AirHgtDim;
    }

    public int getDataD0sub1HeadingDim() {
        return DataD0sub1HeadingDim;
    }

    public int getDataD0sub1RelativeHgtDim() {
        return DataD0sub1RelativeHgtDim;
    }

    public int getDataD0sub1Temperature() {
        return DataD0sub1Temperature;
    }

    public int getDataD0sub1RelWet() {
        return DataD0sub1RelWet;
    }

    public int getDataD0sub1HangUpCharge() {
        return DataD0sub1HangUpCharge;
    }

    public int getDataD0sub1TailCharge() {
        return DataD0sub1TailCharge;
    }

    public int getDataD0sub1HangUpCapacity() {
        return DataD0sub1HangUpCapacity;
    }

    public int getDataD0sub1TailCapacity() {
        return DataD0sub1TailCapacity;
    }

    public float getDataD0sub1HangUpElePower() {
        return DataD0sub1HangUpElePower;
    }

    public float getDataD0sub1TailElePower() {
        return DataD0sub1TailElePower;
    }

    public int getDataD0sub3FlyCtrlAStatus() {
        return DataD0sub3FlyCtrlAStatus;
    }

    public int getDataD0sub3FlyCtrlBStatus() {
        return DataD0sub3FlyCtrlBStatus;
    }

    public int getDataD0sub3LineCompare() {
        return DataD0sub3LineCompare;
    }

    public int getDataD0sub3KeyParamCompare() {
        return DataD0sub3KeyParamCompare;
    }

    public long getDataD0sub3BusDataSrc() {
        return DataD0sub3BusDataSrc;
    }

    public int getDataD0sub3MasterControlStatus() {
        return DataD0sub3MasterControlStatus;
    }
}
