package com.htfp.jni.uav981C.bean;

import com.htfp.jni.uav981C.bean.param.ChargingStateParam;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameD1 extends Uav981CFlightDataFrame{
    private int DataD1flyID;    //飞机ID
    private int DataD1FrameCount;    //帧计数
    private int DataD1TeleCtrlAFreq;    //遥控A帧频
    private int DataD1TeleCtrlBFreq;    //遥控B帧频
    private int DataD1TeleCtrlCFreq;    //遥控C帧频
    private int DataD1TeleCtrlDFreq;    //遥控D帧频
    private int DataD1subFrameID;    //子帧编号
    private int DataD1sub0ParamsDevFre;    //飞参帧频
    private int DataD1sub0INSBFreqA;    //惯导A帧频
    private int DataD1sub0INSBFreqB;    //惯导B帧频
    private int DataD1sub0SatNavAFreq;    //卫导A帧频
    private int DataD1sub0SatNavBFreq;    //卫导B帧频
    private int DataD1sub0SatNavCFreq;    //卫导C帧频
    private int DataD1sub0MMVRAFreq;    //毫米波雷达A帧频
    private int DataD1sub0MMVRBFreq;    //毫米波雷达B帧频
    private int DataD1sub0AtmosphereDevAFre;    //气压A帧频
    private int DataD1sub0AtmosphereDevBFre;    //气压B帧频
    private int DataD1sub0EleTreqFre;    //电池温度帧频
    private int DataD1sub0Broadcast_1Freq;    //广播1帧频
    private int DataD1sub0Broadcast_2Freq;    //广播2帧频
    private int DataD1sub0Broadcast_3Freq;    //广播3帧频
    private int DataD1sub0Broadcast_4Freq;    //广播4帧频
    private int DataD1sub0Broadcast_5Freq;    //广播5帧频
    private int DataD1sub0Broadcast_6Freq;    //广播6帧频
    private int DataD1sub0Broadcast_7Freq;    //广播7帧频
    private int DataD1sub0Broadcast_8Freq;    //广播8帧频
    private int DataD1sub0Broadcast_9Freq;    //广播9帧频
    private int DataD1sub1ESC1Freq;    //电调1帧频  通信转接盒1帧频
    private int DataD1sub1ESC2Freq;    //电调2帧频  通信转接盒2帧频
    private int DataD1sub1ESC3Freq;    //电调3帧频  通信转接盒3帧频
    private int DataD1sub1ESC4Freq;    //电调4帧频  通信转接盒4帧频
    private int DataD1sub1ESC5Freq;    //电调5帧频 通信转接盒5帧频
    private int DataD1sub1ESC6Freq;    //电调6帧频 通信转接盒6帧频
    private int DataD1sub1ESC7Freq;    //电调7帧频 通信转接盒7帧频
    private int DataD1sub1ESC8Freq;    //电调8帧频 通信转接盒8帧频
    private int DataD1sub1ESCTailFreq;    //尾推电调帧频 尾推通信转接盒帧频
    private int DataD1sub1LeftAileronFreq;    //左副翼舵机帧频
    private int DataD1sub1RightAileronFreq;    //右副翼舵机帧频
    private int DataD1sub1ServoFreq1;    //舵机帧频1
    private int DataD1sub1ServoFreq2;    //舵机帧频2
    private int DataD1sub1ServoFreq3;    //舵机帧频3
    private int DataD1sub1Reserved1Freq;    //预留1帧频  电压采集帧频
    private int DataD1sub1Reserved2Freq;    //预留2帧频  电流采集帧频
    private int DataD1sub1CANAFreq;    //CAN总线A帧频
    private int DataD1sub1CANBFreq;    //CAN总线B帧频
    private int DataD1sub1BUS485AFreq;    //485总线A帧频
    private int DataD1sub1BUS485BFreq;    //485总线B帧频
    private int DataD1sub2LHDESC1Freq;    //通信转接盒1CAN总线帧频
    private int DataD1sub2LHDESC2Freq;    //通信转接盒2CAN总线帧频
    private int DataD1sub2LHDESC3Freq;    //通信转接盒3CAN总线帧频
    private int DataD1sub2LHDESC4Freq;    //通信转接盒4CAN总线帧频
    private int DataD1sub2LHDESC5Freq;    //通信转接盒5CAN总线帧频
    private int DataD1sub2LHDESC6Freq;    //通信转接盒6CAN总线帧频
    private int DataD1sub2LHDESC7Freq;    //通信转接盒7CAN总线帧频
    private int DataD1sub2LHDESC8Freq;    //通信转接盒8CAN总线帧频
    private int DataD1sub2LHDESCTailFreq;    //通信转接盒尾推CAN总线帧频
    private float DataD1sub2TelecontrolInVoltageA;    //飞控A输入电压
    private float DataD1sub2TelecontrolInVoltageB;    //飞控B输入电压
    private float DataD1sub2Telecontrol5VoltageA;    //飞控A 5V电压
    private float DataD1sub2Telecontrol5VoltageB;    //飞控B 5V电压
    private float DataD1sub2Telecontrol33VoltageA;    //飞控A 3.3V电压
    private float DataD1sub2Telecontrol33VoltageB;    //飞控B 3.3V电压
    private float DataD1sub2VoltageReserved1;    //电压预留1
    private float DataD1sub2VoltageReserved2;    //电压预留2
    private float DataD1sub2VoltageReserved3;    //电压预留3
    private float DataD1sub2VoltageReserved4;    //电压预留4
    private float DataD1sub2VoltageReserved5;    //电压预留5
    private int DataD1sub3MotorTestMode;    //电机测试模式
    private int DataD1sub3MotorTestNum;    //电机测试号
    private int DataD1sub3GasCtrlMode;    //油门控制方式
    private int DataD1sub3ParamsDevSaveType;    //飞参存数类型
    private int DataD1sub3FreqBackTestGas;    //频响测试油门
    private int DataD1sub3SpedDiffTestGas;    //差速测试油门
    private int DataD1sub3LinkIDX;    //链路IDX
    private int DataD1sub3BDBoardSetting;    //北斗板卡配置
    private int DataD1sub3BDBoardSettingCount;    //北斗板卡配置计数
    private int DataD1sub3AirDropSteer;    //前后空投舵机前：4~7 后：0~3
    private int DataD1sub3HatchSteer;    //左右舱门舵机左：4~7 右：0~3
    private ChargingStateParam DataD1sub3PowerSupplyStatus;    //上电标志字

    public int getDataD1flyID() {
        return DataD1flyID;
    }

    public int getDataD1FrameCount() {
        return DataD1FrameCount;
    }

    public int getDataD1TeleCtrlAFreq() {
        return DataD1TeleCtrlAFreq;
    }

    public int getDataD1TeleCtrlBFreq() {
        return DataD1TeleCtrlBFreq;
    }

    public int getDataD1TeleCtrlCFreq() {
        return DataD1TeleCtrlCFreq;
    }

    public int getDataD1TeleCtrlDFreq() {
        return DataD1TeleCtrlDFreq;
    }

    public int getDataD1subFrameID() {
        return DataD1subFrameID;
    }

    public int getDataD1sub0ParamsDevFre() {
        return DataD1sub0ParamsDevFre;
    }

    public int getDataD1sub0INSBFreqA() {
        return DataD1sub0INSBFreqA;
    }

    public int getDataD1sub0INSBFreqB() {
        return DataD1sub0INSBFreqB;
    }

    public int getDataD1sub0SatNavAFreq() {
        return DataD1sub0SatNavAFreq;
    }

    public int getDataD1sub0SatNavBFreq() {
        return DataD1sub0SatNavBFreq;
    }

    public int getDataD1sub0SatNavCFreq() {
        return DataD1sub0SatNavCFreq;
    }

    public int getDataD1sub0MMVRAFreq() {
        return DataD1sub0MMVRAFreq;
    }

    public int getDataD1sub0MMVRBFreq() {
        return DataD1sub0MMVRBFreq;
    }

    public int getDataD1sub0AtmosphereDevAFre() {
        return DataD1sub0AtmosphereDevAFre;
    }

    public int getDataD1sub0AtmosphereDevBFre() {
        return DataD1sub0AtmosphereDevBFre;
    }

    public int getDataD1sub0EleTreqFre() {
        return DataD1sub0EleTreqFre;
    }

    public int getDataD1sub0Broadcast_1Freq() {
        return DataD1sub0Broadcast_1Freq;
    }

    public int getDataD1sub0Broadcast_2Freq() {
        return DataD1sub0Broadcast_2Freq;
    }

    public int getDataD1sub0Broadcast_3Freq() {
        return DataD1sub0Broadcast_3Freq;
    }

    public int getDataD1sub0Broadcast_4Freq() {
        return DataD1sub0Broadcast_4Freq;
    }

    public int getDataD1sub0Broadcast_5Freq() {
        return DataD1sub0Broadcast_5Freq;
    }

    public int getDataD1sub0Broadcast_6Freq() {
        return DataD1sub0Broadcast_6Freq;
    }

    public int getDataD1sub0Broadcast_7Freq() {
        return DataD1sub0Broadcast_7Freq;
    }

    public int getDataD1sub0Broadcast_8Freq() {
        return DataD1sub0Broadcast_8Freq;
    }

    public int getDataD1sub0Broadcast_9Freq() {
        return DataD1sub0Broadcast_9Freq;
    }

    public int getDataD1sub1ESC1Freq() {
        return DataD1sub1ESC1Freq;
    }

    public int getDataD1sub1ESC2Freq() {
        return DataD1sub1ESC2Freq;
    }

    public int getDataD1sub1ESC3Freq() {
        return DataD1sub1ESC3Freq;
    }

    public int getDataD1sub1ESC4Freq() {
        return DataD1sub1ESC4Freq;
    }

    public int getDataD1sub1ESC5Freq() {
        return DataD1sub1ESC5Freq;
    }

    public int getDataD1sub1ESC6Freq() {
        return DataD1sub1ESC6Freq;
    }

    public int getDataD1sub1ESC7Freq() {
        return DataD1sub1ESC7Freq;
    }

    public int getDataD1sub1ESC8Freq() {
        return DataD1sub1ESC8Freq;
    }

    public int getDataD1sub1ESCTailFreq() {
        return DataD1sub1ESCTailFreq;
    }

    public int getDataD1sub1LeftAileronFreq() {
        return DataD1sub1LeftAileronFreq;
    }

    public int getDataD1sub1RightAileronFreq() {
        return DataD1sub1RightAileronFreq;
    }

    public int getDataD1sub1ServoFreq1() {
        return DataD1sub1ServoFreq1;
    }

    public int getDataD1sub1ServoFreq2() {
        return DataD1sub1ServoFreq2;
    }

    public int getDataD1sub1ServoFreq3() {
        return DataD1sub1ServoFreq3;
    }

    public int getDataD1sub1Reserved1Freq() {
        return DataD1sub1Reserved1Freq;
    }

    public int getDataD1sub1Reserved2Freq() {
        return DataD1sub1Reserved2Freq;
    }

    public int getDataD1sub1CANAFreq() {
        return DataD1sub1CANAFreq;
    }

    public int getDataD1sub1CANBFreq() {
        return DataD1sub1CANBFreq;
    }

    public int getDataD1sub1BUS485AFreq() {
        return DataD1sub1BUS485AFreq;
    }

    public int getDataD1sub1BUS485BFreq() {
        return DataD1sub1BUS485BFreq;
    }

    public int getDataD1sub2LHDESC1Freq() {
        return DataD1sub2LHDESC1Freq;
    }

    public int getDataD1sub2LHDESC2Freq() {
        return DataD1sub2LHDESC2Freq;
    }

    public int getDataD1sub2LHDESC3Freq() {
        return DataD1sub2LHDESC3Freq;
    }

    public int getDataD1sub2LHDESC4Freq() {
        return DataD1sub2LHDESC4Freq;
    }

    public int getDataD1sub2LHDESC5Freq() {
        return DataD1sub2LHDESC5Freq;
    }

    public int getDataD1sub2LHDESC6Freq() {
        return DataD1sub2LHDESC6Freq;
    }

    public int getDataD1sub2LHDESC7Freq() {
        return DataD1sub2LHDESC7Freq;
    }

    public int getDataD1sub2LHDESC8Freq() {
        return DataD1sub2LHDESC8Freq;
    }

    public int getDataD1sub2LHDESCTailFreq() {
        return DataD1sub2LHDESCTailFreq;
    }

    public float getDataD1sub2TelecontrolInVoltageA() {
        return DataD1sub2TelecontrolInVoltageA;
    }

    public float getDataD1sub2TelecontrolInVoltageB() {
        return DataD1sub2TelecontrolInVoltageB;
    }

    public float getDataD1sub2Telecontrol5VoltageA() {
        return DataD1sub2Telecontrol5VoltageA;
    }

    public float getDataD1sub2Telecontrol5VoltageB() {
        return DataD1sub2Telecontrol5VoltageB;
    }

    public float getDataD1sub2Telecontrol33VoltageA() {
        return DataD1sub2Telecontrol33VoltageA;
    }

    public float getDataD1sub2Telecontrol33VoltageB() {
        return DataD1sub2Telecontrol33VoltageB;
    }

    public float getDataD1sub2VoltageReserved1() {
        return DataD1sub2VoltageReserved1;
    }

    public float getDataD1sub2VoltageReserved2() {
        return DataD1sub2VoltageReserved2;
    }

    public float getDataD1sub2VoltageReserved3() {
        return DataD1sub2VoltageReserved3;
    }

    public float getDataD1sub2VoltageReserved4() {
        return DataD1sub2VoltageReserved4;
    }

    public float getDataD1sub2VoltageReserved5() {
        return DataD1sub2VoltageReserved5;
    }

    public int getDataD1sub3MotorTestMode() {
        return DataD1sub3MotorTestMode;
    }

    public int getDataD1sub3MotorTestNum() {
        return DataD1sub3MotorTestNum;
    }

    public int getDataD1sub3GasCtrlMode() {
        return DataD1sub3GasCtrlMode;
    }

    public int getDataD1sub3ParamsDevSaveType() {
        return DataD1sub3ParamsDevSaveType;
    }

    public int getDataD1sub3FreqBackTestGas() {
        return DataD1sub3FreqBackTestGas;
    }

    public int getDataD1sub3SpedDiffTestGas() {
        return DataD1sub3SpedDiffTestGas;
    }

    public int getDataD1sub3LinkIDX() {
        return DataD1sub3LinkIDX;
    }

    public int getDataD1sub3BDBoardSetting() {
        return DataD1sub3BDBoardSetting;
    }

    public int getDataD1sub3BDBoardSettingCount() {
        return DataD1sub3BDBoardSettingCount;
    }

    public int getDataD1sub3AirDropSteer() {
        return DataD1sub3AirDropSteer;
    }

    public int getDataD1sub3HatchSteer() {
        return DataD1sub3HatchSteer;
    }

    public ChargingStateParam getDataD1sub3PowerSupplyStatus() {
        return DataD1sub3PowerSupplyStatus;
    }
}
