package com.htfp.jni.uav985.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-11 13:39
 */
public class Uav985FlightDataFrame8B_8E extends Uav985FlightDataFrame {
    private int Data8BFrameCount; //帧计数
    private double Data8BGPSLon; //GPS经度
    private double Data8BGPSLat; //GPS纬度
    private double Data8BGPSAlt; //GPS高度
    private int Data8BsubFrameID; //子帧编号
    private float Data8Bsub0UTCSecondDay; //UTC天秒
    private int Data8Bsub0LocStat; //定位状态
    private int Data8Bsub0SateNum; //可用星数
    private int Data8Bsub0SNGT46; //信噪比大于44星数
    private int Data8Bsub0SNGT44; //信噪比大于44星数
    private int Data8Bsub0SNGT42; //信噪比大于42星数
    private int Data8Bsub0SNGT40; //信噪比大于40星数
    private int Data8Bsub0SNGT38; //信噪比大于38星数
    private int Data8Bsub0SNGT35; //信噪比大于35星数
    private float Data8Bsub1PDOP; //PDOP
    private float Data8Bsub1NorSpeed; //北向速度
    private float Data8Bsub1EastSpeed; //东向速度
    private float Data8Bsub1VerSpeed; //垂向速度
    private float Data8Bsub1GndSpeed; //地速
    private float Data8Bsub1GndSpeedDir; //地速方向
    private int Data8CFrameCount; //帧计数
    private float Data8CMIMUFyAngle; //组合俯仰角
    private float Data8CMIMUGzAngle; //组合滚转角
    private float Data8CMIMUHeadAngle; //组合航向角
    private float Data8CMIMUNorSpeed; //组合北向速度
    private float Data8CMIMUEastSpeed; //组合东向速度
    private float Data8CMIMUGndSpeed; //组合垂向速度
    private int Data8CsubFrameID; //子帧编号
    private float Data8Csub0PlaneXAngularSpeed; //X轴角速度
    private float Data8Csub0PlaneYAngularSpeed; //Y轴角速度
    private float Data8Csub0PlaneZAngularSpeed; //Z轴角速度
    private float Data8Csub0PlaneXAcceleration; //X轴加速度
    private float Data8Csub0PlaneYAcceleration; //Y轴加速度
    private float Data8Csub0PlaneZAcceleration; //Z轴加速度
    private int Data8Csub1MIMUStatus; //组合导航状态字
    private int Data8Csub1NoumenonTemp; //本体温度
    private double Data8Csub1MIMULon; //组合经度
    private double Data8Csub1MIMULat; //组合纬度
    private double Data8Csub1MIMUAlt; //组合高度
    private int Data8DFrameCount; //帧计数
    private float Data8DMIMUFyAngle; //组合俯仰角
    private float Data8DMIMUGzAngle; //组合滚转角
    private float Data8DMIMUHeadAngle; //组合航向角
    private float Data8DMIMUNorSpeed; //组合北向速度
    private float Data8DMIMUEastSpeed; //组合东向速度
    private float Data8DMIMUGndSpeed; //组合垂向速度
    private int Data8DsubFrameID; //子帧编号
    private float Data8Dsub0PlaneXAngularSpeed; //X轴角速度
    private float Data8Dsub0PlaneYAngularSpeed; //Y轴角速度
    private float Data8Dsub0PlaneZAngularSpeed; //Z轴角速度
    private float Data8Dsub0PlaneXAcceleration; //X轴加速度
    private float Data8Dsub0PlaneYAcceleration; //Y轴加速度
    private float Data8Dsub0PlaneZAcceleration; //Z轴加速度
    private int Data8Dsub1MIMUStatus; //组合导航状态字
    private int Data8Dsub1NoumenonTemp; //本体温度
    private double Data8Dsub1MIMULon; //组合经度
    private double Data8Dsub1MIMULat; //组合纬度
    private double Data8Dsub1MIMUAlt; //组合高度
    private float Data8EMIMUFyAngle; //组合姿态俯仰
    private float Data8EMIMUGzAngle; //组合姿态滚转
    private float Data8EMIMUHeadAngle; //组合姿态航向
    private float Data8EMIMUNorSpeed; //组合速度x
    private float Data8EMIMUEastSpeed; //组合速度y
    private float Data8EMIMUGndSpeed; //组合速度z
    private int Data8EsubFrameID; //子帧编号
    private float Data8Esub0PlaneXAngularSpeed; //X轴角速度
    private float Data8Esub0PlaneYAngularSpeed; //Y轴角速度
    private float Data8Esub0PlaneZAngularSpeed; //Z轴角速度
    private float Data8Esub0PlaneXAcceleration; //X轴加速度
    private float Data8Esub0PlaneYAcceleration; //Y轴加速度
    private float Data8Esub0PlaneZAcceleration; //Z轴加速度
    private int Data8Esub1MIMUStatus; //组合导航状态字
    private int Data8Esub1NoumenonTemp; //本体温度
    private double Data8Esub1MIMULon; //组合经度
    private double Data8Esub1MIMULat; //组合纬度
    private double Data8Esub1MIMUAlt; //组合高度

    public int getData8BFrameCount() {
        return Data8BFrameCount;
    }

    public double getData8BGPSLon() {
        return Data8BGPSLon;
    }

    public double getData8BGPSLat() {
        return Data8BGPSLat;
    }

    public double getData8BGPSAlt() {
        return Data8BGPSAlt;
    }

    public int getData8BsubFrameID() {
        return Data8BsubFrameID;
    }

    public float getData8Bsub0UTCSecondDay() {
        return Data8Bsub0UTCSecondDay;
    }

    public int getData8Bsub0LocStat() {
        return Data8Bsub0LocStat;
    }

    public int getData8Bsub0SateNum() {
        return Data8Bsub0SateNum;
    }

    public int getData8Bsub0SNGT46() {
        return Data8Bsub0SNGT46;
    }

    public int getData8Bsub0SNGT44() {
        return Data8Bsub0SNGT44;
    }

    public int getData8Bsub0SNGT42() {
        return Data8Bsub0SNGT42;
    }

    public int getData8Bsub0SNGT40() {
        return Data8Bsub0SNGT40;
    }

    public int getData8Bsub0SNGT38() {
        return Data8Bsub0SNGT38;
    }

    public int getData8Bsub0SNGT35() {
        return Data8Bsub0SNGT35;
    }

    public float getData8Bsub1PDOP() {
        return Data8Bsub1PDOP;
    }

    public float getData8Bsub1NorSpeed() {
        return Data8Bsub1NorSpeed;
    }

    public float getData8Bsub1EastSpeed() {
        return Data8Bsub1EastSpeed;
    }

    public float getData8Bsub1VerSpeed() {
        return Data8Bsub1VerSpeed;
    }

    public float getData8Bsub1GndSpeed() {
        return Data8Bsub1GndSpeed;
    }

    public float getData8Bsub1GndSpeedDir() {
        return Data8Bsub1GndSpeedDir;
    }

    public int getData8CFrameCount() {
        return Data8CFrameCount;
    }

    public float getData8CMIMUFyAngle() {
        return Data8CMIMUFyAngle;
    }

    public float getData8CMIMUGzAngle() {
        return Data8CMIMUGzAngle;
    }

    public float getData8CMIMUHeadAngle() {
        return Data8CMIMUHeadAngle;
    }

    public float getData8CMIMUNorSpeed() {
        return Data8CMIMUNorSpeed;
    }

    public float getData8CMIMUEastSpeed() {
        return Data8CMIMUEastSpeed;
    }

    public float getData8CMIMUGndSpeed() {
        return Data8CMIMUGndSpeed;
    }

    public int getData8CsubFrameID() {
        return Data8CsubFrameID;
    }

    public float getData8Csub0PlaneXAngularSpeed() {
        return Data8Csub0PlaneXAngularSpeed;
    }

    public float getData8Csub0PlaneYAngularSpeed() {
        return Data8Csub0PlaneYAngularSpeed;
    }

    public float getData8Csub0PlaneZAngularSpeed() {
        return Data8Csub0PlaneZAngularSpeed;
    }

    public float getData8Csub0PlaneXAcceleration() {
        return Data8Csub0PlaneXAcceleration;
    }

    public float getData8Csub0PlaneYAcceleration() {
        return Data8Csub0PlaneYAcceleration;
    }

    public float getData8Csub0PlaneZAcceleration() {
        return Data8Csub0PlaneZAcceleration;
    }

    public int getData8Csub1MIMUStatus() {
        return Data8Csub1MIMUStatus;
    }

    public int getData8Csub1NoumenonTemp() {
        return Data8Csub1NoumenonTemp;
    }

    public double getData8Csub1MIMULon() {
        return Data8Csub1MIMULon;
    }

    public double getData8Csub1MIMULat() {
        return Data8Csub1MIMULat;
    }

    public double getData8Csub1MIMUAlt() {
        return Data8Csub1MIMUAlt;
    }

    public int getData8DFrameCount() {
        return Data8DFrameCount;
    }

    public float getData8DMIMUFyAngle() {
        return Data8DMIMUFyAngle;
    }

    public float getData8DMIMUGzAngle() {
        return Data8DMIMUGzAngle;
    }

    public float getData8DMIMUHeadAngle() {
        return Data8DMIMUHeadAngle;
    }

    public float getData8DMIMUNorSpeed() {
        return Data8DMIMUNorSpeed;
    }

    public float getData8DMIMUEastSpeed() {
        return Data8DMIMUEastSpeed;
    }

    public float getData8DMIMUGndSpeed() {
        return Data8DMIMUGndSpeed;
    }

    public int getData8DsubFrameID() {
        return Data8DsubFrameID;
    }

    public float getData8Dsub0PlaneXAngularSpeed() {
        return Data8Dsub0PlaneXAngularSpeed;
    }

    public float getData8Dsub0PlaneYAngularSpeed() {
        return Data8Dsub0PlaneYAngularSpeed;
    }

    public float getData8Dsub0PlaneZAngularSpeed() {
        return Data8Dsub0PlaneZAngularSpeed;
    }

    public float getData8Dsub0PlaneXAcceleration() {
        return Data8Dsub0PlaneXAcceleration;
    }

    public float getData8Dsub0PlaneYAcceleration() {
        return Data8Dsub0PlaneYAcceleration;
    }

    public float getData8Dsub0PlaneZAcceleration() {
        return Data8Dsub0PlaneZAcceleration;
    }

    public int getData8Dsub1MIMUStatus() {
        return Data8Dsub1MIMUStatus;
    }

    public int getData8Dsub1NoumenonTemp() {
        return Data8Dsub1NoumenonTemp;
    }

    public double getData8Dsub1MIMULon() {
        return Data8Dsub1MIMULon;
    }

    public double getData8Dsub1MIMULat() {
        return Data8Dsub1MIMULat;
    }

    public double getData8Dsub1MIMUAlt() {
        return Data8Dsub1MIMUAlt;
    }

    public float getData8EMIMUFyAngle() {
        return Data8EMIMUFyAngle;
    }

    public float getData8EMIMUGzAngle() {
        return Data8EMIMUGzAngle;
    }

    public float getData8EMIMUHeadAngle() {
        return Data8EMIMUHeadAngle;
    }

    public float getData8EMIMUNorSpeed() {
        return Data8EMIMUNorSpeed;
    }

    public float getData8EMIMUEastSpeed() {
        return Data8EMIMUEastSpeed;
    }

    public float getData8EMIMUGndSpeed() {
        return Data8EMIMUGndSpeed;
    }

    public int getData8EsubFrameID() {
        return Data8EsubFrameID;
    }

    public float getData8Esub0PlaneXAngularSpeed() {
        return Data8Esub0PlaneXAngularSpeed;
    }

    public float getData8Esub0PlaneYAngularSpeed() {
        return Data8Esub0PlaneYAngularSpeed;
    }

    public float getData8Esub0PlaneZAngularSpeed() {
        return Data8Esub0PlaneZAngularSpeed;
    }

    public float getData8Esub0PlaneXAcceleration() {
        return Data8Esub0PlaneXAcceleration;
    }

    public float getData8Esub0PlaneYAcceleration() {
        return Data8Esub0PlaneYAcceleration;
    }

    public float getData8Esub0PlaneZAcceleration() {
        return Data8Esub0PlaneZAcceleration;
    }

    public int getData8Esub1MIMUStatus() {
        return Data8Esub1MIMUStatus;
    }

    public int getData8Esub1NoumenonTemp() {
        return Data8Esub1NoumenonTemp;
    }

    public double getData8Esub1MIMULon() {
        return Data8Esub1MIMULon;
    }

    public double getData8Esub1MIMULat() {
        return Data8Esub1MIMULat;
    }

    public double getData8Esub1MIMUAlt() {
        return Data8Esub1MIMUAlt;
    }
}
