package com.htfp.jni.uav985.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-11 13:39
 */
public class Uav985FlightDataFrame8F_96 extends Uav985FlightDataFrame {
    private float Data8FAirPressureHeight1; //气压高度I
    private float Data8FAirPressureHeight2; //气压高度II
    private float Data8FAirPressureHeight3; //气压高度III
    private float Data8FAirSpeed1; //空速1
    private float Data8FAirSpeed2; //空速2
    private float Data8FAirSpeed3; //空速3
    private int Data8FsubFrameID; //子帧编号
    private float Data8Fsub0MillRadarHeightDiff; //毫米波雷达高度1
    private float Data8Fsub0MillRadarHeight; //毫米波雷达高度2
    private float Data8Fsub0WirelessAltimeter; //无线电高度表高度
    private int Data8Fsub0MillRadarFreq; //毫米波I帧频
    private int Data8Fsub0MemBrakeFreq; //备用刹车帧频
    private float Data8Fsub0LeftBrakePress; //左刹车压力
    private float Data8Fsub0RightBrakePress; //右刹车压力
    private long Data8Fsub1FlyCtrlAStatus; //飞控A状态字
    private long Data8Fsub1FlyCtrlBStatus; //飞控B状态字
    private long Data8Fsub1FlyCtrlCStatus; //飞控C状态字
    private int Data8Fsub2LeftUpDnActuatorFre; //舵机管理器CAN帧频
    private int Data8Fsub2RightUpDnActuatorFre; //舵机管理器485帧频
    private int Data8Fsub2LeftFuYiActuatorFre; //舵机控制器CAN帧频
    private int Data8Fsub2RightFuYiActuatorFre; //舵机控制器485帧频
    private int Data8Fsub2LeftOutUpDnActuator; //左外升降舵机状态
    private int Data8Fsub2RightOutUpDnActuator; //右外升降舵机状态
    private int Data8Fsub2LeftOutFuYiActuator; //左外副翼舵机状态
    private int Data8Fsub2RightOutFuYiActuator; //右外副翼舵机状态
    private int Data8Fsub2UpDirActuator; //上方向舵机状态
    private int Data8Fsub2InJYDState; //内襟翼舵状态
    private int Data8Fsub2OutJYDState; //外襟翼舵状态
    private int Data8Fsub2YuLiuState; //预留状态
    private int Data8Fsub3LOut_ElevatorFault; //左外升降舵机故障状态
    private int Data8Fsub3ROut_ElevatorFault; //右外升降舵机故障状态
    private int Data8Fsub3LOut_AileronFault; //左外副翼舵机故障状态
    private int Data8Fsub3ROut_AileronFault; //右外副翼舵机故障状态
    private int Data8Fsub3UpRudderFault; //上方向舵机故障状态
    private int Data8Fsub3IN_FlapFault; //内襟翼舵故障状态
    private int Data8Fsub3OUT_FlapFault; //外襟翼舵故障状态
    private int Data8Fsub3IN_ZYGJFault; //内襟翼重要告警状态
    private int Data8Fsub3OUT_ZYGJFault; //外襟翼重要告警状态
    private int Data8Fsub3BrakeSource; //刹车数据源
    private float Data8Fsub3CPspeed; //预留，侧偏速度
    private int Data94subFrameID; //子帧编号
    private int Data94sub0CabinDoorFaultFlag; //舱门故障状态
    private int Data94sub0CabinDoorCurFlag; //舱门当前状态
    private float Data94sub0CabinDoorCurOpen; //舱门当前开度
    private int Data94sub0CabinDoorPowerSource; //舱门供电来源
    private float Data94sub0BatteryPowerVoltage; //电池供电电压
    private float Data94sub0UAVPowerVoltage; //飞机供电电压
    private byte Data94sub0ElecMachineTemp; //电机温度
    private int Data94sub0Record1; //记录仪状态字1
    private int Data94sub0Record2; //记录仪状态字2
    private int Data94sub0Record3; //记录仪状态字3
    private int Data94sub0Frozen; //结冰状态 、 温湿度湿度 二、一架机
    private int Data94sub0SmokeAlarm1; //烟雾报警器1
    private int Data94sub0SmokeAlarm2; //烟雾报警器2
    private int Data94sub0SmokeAlarm3; //烟雾报警器3
    private int Data94sub0QueryID; //温湿度-查询ID
    private int Data94sub0Humi; //温湿度-湿度
    private int Data94sub0Temperature; //温湿度-温度
    private int Data94sub0BrakeTemp; //刹车一体机温度
    private int Data94sub0BatteryTemp; //电池一体机温度
    private int Data94sub0RudderTemp; //操纵台舵机温度
    private float Data94sub0SatCom1PowerVoltage; //卫通Ⅰ供电电压
    private int Data94sub0FlightSumWeight; //飞行总重量
    private int Data94sub0ColdAirPres; //冷气压力
    private int Data94sub1ADS_Alt2   ; //高度
    private int Data94sub1AddressType; //地址类型
    private double Data94sub1ADS_Lon    ; //经度
    private double Data94sub1ADS_Lat    ; //纬度
    private float Data94sub1ADS_Alt; //高度
    private float Data94sub1ADS_Vl ; //水平速度
    private float Data94sub1ADS_Vu ; //垂直速度
    private float Data94sub1ADS_Yaw; //航向角
    private int Data94sub1S_Address; //S模式地址
    private int Data94sub1FlightNum; //航班号
    private int Data94sub1ADS_Speed; //水平速度+垂直速度
    private int Data94sub1ADS_Yaw2; //航向角
    private int Data95_TCUflyID; //帧计数
    private int Data95_TCUOperateMode; //飞机ID
    private int Data95_TCUOutBar1FinalCmd; //帧识别码0x95
    private int Data95_TCUOutBar2FinalCmd; //运行模式
    private int Data95_TCUOutBar1RealValue; //放气阀1最终指令开度
    private int Data95_TCUOutBar2RealValue; //放气阀2最终指令开度
    private float Data95_TCUPCPressure; //放气阀1实际开度
    private int Data95_TCUOutGasTemp; //放气阀2实际开度
    private int Data95_TCULubeEngineSped; //稳压腔反馈压力
    private int Data95_TCULubeLevel; //排气温度
    private int Data95_TCULubeEngineSped2 ; //滑油泵实际转速
    private int Data95_TCUsubFrameID; //滑油液位
    private int Data95_TCUsub0SwitchState1; //开关状态字1
    private float Data95_TCUsub0OutFireVol; //灭火瓶电压
    private float Data95_TCUsub0ECUInVol; //发动机管理器输入电压
    private int Data95_TCUsub0InAirTSPreErr; //进气压力温度传感器压力故障
    private int Data95_TCUsub0InAirTSTempErr; //进气压力温度传感器温度故障
    private int Data95_TCUsub0InAirPCPSPreErr; //进气稳压腔压力温度传感器压力故障
    private int Data95_TCUsub0InAirPCPSTempErr; //进气稳压腔压力温度传感器温度故障
    private int Data95_TCUsub0OutAirTSErr; //排气温度传感器故障
    private int Data95_TCUsub0LubePSErr; //滑油压力传感器故障
    private int Data95_TCUsub0LubeTSErr; //滑油温度传感器故障
    private int Data95_TCUsub0OutBarExeErr; //放气阀执行器故障
    private float Data95_TCUsub0InAirPre; //进气压力
    private byte Data95_TCUsub1InAirTemp; //进气温度
    private byte Data95_TCUsub1PCTemp; //稳压腔温度
    private float Data95_TCUsub1LubePre; //滑油压力
    private int Data95_TCUsub1LubeTemp; //滑油温度
    private int Data95_TCUsub1TempPreOLWarn; //系统超温超速警告
    private int Data95_TCUsub1ECU3CANFreq; //发管3CAN帧频
    private int Data95_TCUsub1ECU3LHDFreq; //发管2LHD帧频
    private int Data95_TCUsub1TCU485COMFreq; //TCU485串口帧频
    private int Data95_TCUsub1TCU232COMFreq; //TCU232串口帧频
    private float Data95_TCUsub1PCTargetPressure; //稳压腔目标压力
    private int Data95_TCUsub1Com232Or485; //232或485通讯采用中
    private float Data95_TCUsub1TCUVol; //TCU供电电压
    private int Data96_ADCFrameCount; //帧计数
    private int Data96_ADCFlyID; //飞机ID
    private int Data96_ADCFrameID; //帧识别码
    private int Data96_ADCWarmMode; //加温模式
    private int Data96_ADCWarmState; //加温状态
    private float Data96_ADCAtmosPresAlt; //气压高度
    private float Data96_ADCVerticalSpeed; //升降速度
    private float Data96_ADCStaticTempreture; //静温
    private float Data96_ADCIAS; //指示空速
    private float Data96_ADCTAS; //真空速
    private float Data96_ADCAOA; //真攻角
    private float Data96_ADCAOS; //侧滑角
    private int Data96_ADCFaultWord; //故障字
    private int Data96_ADCDataValidation; //数据有效性

    public float getData8FAirPressureHeight1() {
        return Data8FAirPressureHeight1;
    }

    public float getData8FAirPressureHeight2() {
        return Data8FAirPressureHeight2;
    }

    public float getData8FAirPressureHeight3() {
        return Data8FAirPressureHeight3;
    }

    public float getData8FAirSpeed1() {
        return Data8FAirSpeed1;
    }

    public float getData8FAirSpeed2() {
        return Data8FAirSpeed2;
    }

    public float getData8FAirSpeed3() {
        return Data8FAirSpeed3;
    }

    public int getData8FsubFrameID() {
        return Data8FsubFrameID;
    }

    public float getData8Fsub0MillRadarHeightDiff() {
        return Data8Fsub0MillRadarHeightDiff;
    }

    public float getData8Fsub0MillRadarHeight() {
        return Data8Fsub0MillRadarHeight;
    }

    public float getData8Fsub0WirelessAltimeter() {
        return Data8Fsub0WirelessAltimeter;
    }

    public int getData8Fsub0MillRadarFreq() {
        return Data8Fsub0MillRadarFreq;
    }

    public int getData8Fsub0MemBrakeFreq() {
        return Data8Fsub0MemBrakeFreq;
    }

    public float getData8Fsub0LeftBrakePress() {
        return Data8Fsub0LeftBrakePress;
    }

    public float getData8Fsub0RightBrakePress() {
        return Data8Fsub0RightBrakePress;
    }

    public long getData8Fsub1FlyCtrlAStatus() {
        return Data8Fsub1FlyCtrlAStatus;
    }

    public long getData8Fsub1FlyCtrlBStatus() {
        return Data8Fsub1FlyCtrlBStatus;
    }

    public long getData8Fsub1FlyCtrlCStatus() {
        return Data8Fsub1FlyCtrlCStatus;
    }

    public int getData8Fsub2LeftUpDnActuatorFre() {
        return Data8Fsub2LeftUpDnActuatorFre;
    }

    public int getData8Fsub2RightUpDnActuatorFre() {
        return Data8Fsub2RightUpDnActuatorFre;
    }

    public int getData8Fsub2LeftFuYiActuatorFre() {
        return Data8Fsub2LeftFuYiActuatorFre;
    }

    public int getData8Fsub2RightFuYiActuatorFre() {
        return Data8Fsub2RightFuYiActuatorFre;
    }

    public int getData8Fsub2LeftOutUpDnActuator() {
        return Data8Fsub2LeftOutUpDnActuator;
    }

    public int getData8Fsub2RightOutUpDnActuator() {
        return Data8Fsub2RightOutUpDnActuator;
    }

    public int getData8Fsub2LeftOutFuYiActuator() {
        return Data8Fsub2LeftOutFuYiActuator;
    }

    public int getData8Fsub2RightOutFuYiActuator() {
        return Data8Fsub2RightOutFuYiActuator;
    }

    public int getData8Fsub2UpDirActuator() {
        return Data8Fsub2UpDirActuator;
    }

    public int getData8Fsub2InJYDState() {
        return Data8Fsub2InJYDState;
    }

    public int getData8Fsub2OutJYDState() {
        return Data8Fsub2OutJYDState;
    }

    public int getData8Fsub2YuLiuState() {
        return Data8Fsub2YuLiuState;
    }

    public int getData8Fsub3LOut_ElevatorFault() {
        return Data8Fsub3LOut_ElevatorFault;
    }

    public int getData8Fsub3ROut_ElevatorFault() {
        return Data8Fsub3ROut_ElevatorFault;
    }

    public int getData8Fsub3LOut_AileronFault() {
        return Data8Fsub3LOut_AileronFault;
    }

    public int getData8Fsub3ROut_AileronFault() {
        return Data8Fsub3ROut_AileronFault;
    }

    public int getData8Fsub3UpRudderFault() {
        return Data8Fsub3UpRudderFault;
    }

    public int getData8Fsub3IN_FlapFault() {
        return Data8Fsub3IN_FlapFault;
    }

    public int getData8Fsub3OUT_FlapFault() {
        return Data8Fsub3OUT_FlapFault;
    }

    public int getData8Fsub3IN_ZYGJFault() {
        return Data8Fsub3IN_ZYGJFault;
    }

    public int getData8Fsub3OUT_ZYGJFault() {
        return Data8Fsub3OUT_ZYGJFault;
    }

    public int getData8Fsub3BrakeSource() {
        return Data8Fsub3BrakeSource;
    }

    public float getData8Fsub3CPspeed() {
        return Data8Fsub3CPspeed;
    }

    public int getData94subFrameID() {
        return Data94subFrameID;
    }

    public int getData94sub0CabinDoorFaultFlag() {
        return Data94sub0CabinDoorFaultFlag;
    }

    public int getData94sub0CabinDoorCurFlag() {
        return Data94sub0CabinDoorCurFlag;
    }

    public float getData94sub0CabinDoorCurOpen() {
        return Data94sub0CabinDoorCurOpen;
    }

    public int getData94sub0CabinDoorPowerSource() {
        return Data94sub0CabinDoorPowerSource;
    }

    public float getData94sub0BatteryPowerVoltage() {
        return Data94sub0BatteryPowerVoltage;
    }

    public float getData94sub0UAVPowerVoltage() {
        return Data94sub0UAVPowerVoltage;
    }

    public byte getData94sub0ElecMachineTemp() {
        return Data94sub0ElecMachineTemp;
    }

    public int getData94sub0Record1() {
        return Data94sub0Record1;
    }

    public int getData94sub0Record2() {
        return Data94sub0Record2;
    }

    public int getData94sub0Record3() {
        return Data94sub0Record3;
    }

    public int getData94sub0Frozen() {
        return Data94sub0Frozen;
    }

    public int getData94sub0SmokeAlarm1() {
        return Data94sub0SmokeAlarm1;
    }

    public int getData94sub0SmokeAlarm2() {
        return Data94sub0SmokeAlarm2;
    }

    public int getData94sub0SmokeAlarm3() {
        return Data94sub0SmokeAlarm3;
    }

    public int getData94sub0QueryID() {
        return Data94sub0QueryID;
    }

    public int getData94sub0Humi() {
        return Data94sub0Humi;
    }

    public int getData94sub0Temperature() {
        return Data94sub0Temperature;
    }

    public int getData94sub0BrakeTemp() {
        return Data94sub0BrakeTemp;
    }

    public int getData94sub0BatteryTemp() {
        return Data94sub0BatteryTemp;
    }

    public int getData94sub0RudderTemp() {
        return Data94sub0RudderTemp;
    }

    public float getData94sub0SatCom1PowerVoltage() {
        return Data94sub0SatCom1PowerVoltage;
    }

    public int getData94sub0FlightSumWeight() {
        return Data94sub0FlightSumWeight;
    }

    public int getData94sub0ColdAirPres() {
        return Data94sub0ColdAirPres;
    }

    public int getData94sub1ADS_Alt2() {
        return Data94sub1ADS_Alt2;
    }

    public int getData94sub1AddressType() {
        return Data94sub1AddressType;
    }

    public double getData94sub1ADS_Lon() {
        return Data94sub1ADS_Lon;
    }

    public double getData94sub1ADS_Lat() {
        return Data94sub1ADS_Lat;
    }

    public float getData94sub1ADS_Alt() {
        return Data94sub1ADS_Alt;
    }

    public float getData94sub1ADS_Vl() {
        return Data94sub1ADS_Vl;
    }

    public float getData94sub1ADS_Vu() {
        return Data94sub1ADS_Vu;
    }

    public float getData94sub1ADS_Yaw() {
        return Data94sub1ADS_Yaw;
    }

    public int getData94sub1S_Address() {
        return Data94sub1S_Address;
    }

    public int getData94sub1FlightNum() {
        return Data94sub1FlightNum;
    }

    public int getData94sub1ADS_Speed() {
        return Data94sub1ADS_Speed;
    }

    public int getData94sub1ADS_Yaw2() {
        return Data94sub1ADS_Yaw2;
    }

    public int getData95_TCUflyID() {
        return Data95_TCUflyID;
    }

    public int getData95_TCUOperateMode() {
        return Data95_TCUOperateMode;
    }

    public int getData95_TCUOutBar1FinalCmd() {
        return Data95_TCUOutBar1FinalCmd;
    }

    public int getData95_TCUOutBar2FinalCmd() {
        return Data95_TCUOutBar2FinalCmd;
    }

    public int getData95_TCUOutBar1RealValue() {
        return Data95_TCUOutBar1RealValue;
    }

    public int getData95_TCUOutBar2RealValue() {
        return Data95_TCUOutBar2RealValue;
    }

    public float getData95_TCUPCPressure() {
        return Data95_TCUPCPressure;
    }

    public int getData95_TCUOutGasTemp() {
        return Data95_TCUOutGasTemp;
    }

    public int getData95_TCULubeEngineSped() {
        return Data95_TCULubeEngineSped;
    }

    public int getData95_TCULubeLevel() {
        return Data95_TCULubeLevel;
    }

    public int getData95_TCULubeEngineSped2() {
        return Data95_TCULubeEngineSped2;
    }

    public int getData95_TCUsubFrameID() {
        return Data95_TCUsubFrameID;
    }

    public int getData95_TCUsub0SwitchState1() {
        return Data95_TCUsub0SwitchState1;
    }

    public float getData95_TCUsub0OutFireVol() {
        return Data95_TCUsub0OutFireVol;
    }

    public float getData95_TCUsub0ECUInVol() {
        return Data95_TCUsub0ECUInVol;
    }

    public int getData95_TCUsub0InAirTSPreErr() {
        return Data95_TCUsub0InAirTSPreErr;
    }

    public int getData95_TCUsub0InAirTSTempErr() {
        return Data95_TCUsub0InAirTSTempErr;
    }

    public int getData95_TCUsub0InAirPCPSPreErr() {
        return Data95_TCUsub0InAirPCPSPreErr;
    }

    public int getData95_TCUsub0InAirPCPSTempErr() {
        return Data95_TCUsub0InAirPCPSTempErr;
    }

    public int getData95_TCUsub0OutAirTSErr() {
        return Data95_TCUsub0OutAirTSErr;
    }

    public int getData95_TCUsub0LubePSErr() {
        return Data95_TCUsub0LubePSErr;
    }

    public int getData95_TCUsub0LubeTSErr() {
        return Data95_TCUsub0LubeTSErr;
    }

    public int getData95_TCUsub0OutBarExeErr() {
        return Data95_TCUsub0OutBarExeErr;
    }

    public float getData95_TCUsub0InAirPre() {
        return Data95_TCUsub0InAirPre;
    }

    public byte getData95_TCUsub1InAirTemp() {
        return Data95_TCUsub1InAirTemp;
    }

    public byte getData95_TCUsub1PCTemp() {
        return Data95_TCUsub1PCTemp;
    }

    public float getData95_TCUsub1LubePre() {
        return Data95_TCUsub1LubePre;
    }

    public int getData95_TCUsub1LubeTemp() {
        return Data95_TCUsub1LubeTemp;
    }

    public int getData95_TCUsub1TempPreOLWarn() {
        return Data95_TCUsub1TempPreOLWarn;
    }

    public int getData95_TCUsub1ECU3CANFreq() {
        return Data95_TCUsub1ECU3CANFreq;
    }

    public int getData95_TCUsub1ECU3LHDFreq() {
        return Data95_TCUsub1ECU3LHDFreq;
    }

    public int getData95_TCUsub1TCU485COMFreq() {
        return Data95_TCUsub1TCU485COMFreq;
    }

    public int getData95_TCUsub1TCU232COMFreq() {
        return Data95_TCUsub1TCU232COMFreq;
    }

    public float getData95_TCUsub1PCTargetPressure() {
        return Data95_TCUsub1PCTargetPressure;
    }

    public int getData95_TCUsub1Com232Or485() {
        return Data95_TCUsub1Com232Or485;
    }

    public float getData95_TCUsub1TCUVol() {
        return Data95_TCUsub1TCUVol;
    }

    public int getData96_ADCFrameCount() {
        return Data96_ADCFrameCount;
    }

    public int getData96_ADCFlyID() {
        return Data96_ADCFlyID;
    }

    public int getData96_ADCFrameID() {
        return Data96_ADCFrameID;
    }

    public int getData96_ADCWarmMode() {
        return Data96_ADCWarmMode;
    }

    public int getData96_ADCWarmState() {
        return Data96_ADCWarmState;
    }

    public float getData96_ADCAtmosPresAlt() {
        return Data96_ADCAtmosPresAlt;
    }

    public float getData96_ADCVerticalSpeed() {
        return Data96_ADCVerticalSpeed;
    }

    public float getData96_ADCStaticTempreture() {
        return Data96_ADCStaticTempreture;
    }

    public float getData96_ADCIAS() {
        return Data96_ADCIAS;
    }

    public float getData96_ADCTAS() {
        return Data96_ADCTAS;
    }

    public float getData96_ADCAOA() {
        return Data96_ADCAOA;
    }

    public float getData96_ADCAOS() {
        return Data96_ADCAOS;
    }

    public int getData96_ADCFaultWord() {
        return Data96_ADCFaultWord;
    }

    public int getData96_ADCDataValidation() {
        return Data96_ADCDataValidation;
    }
}
